/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

export default tokens;

declare interface DesignToken {
  $value?: any;
  $type?: string;
  $description?: string;
  name?: string;
  themeable?: boolean;
  attributes?: Record<string, unknown>;
  [key: string]: any;
}

declare const tokens: {
  container: {
    color: {
      AI: {
        dialog: {
          borderhorizontal: DesignToken;
        };
        nudge: {
          "borderAi-horizontal": DesignToken;
          "borderAi-vertical": DesignToken;
        };
        tile: {
          bordervertical: DesignToken;
        };
      };
      blockquote: {
        border: DesignToken;
      };
      interactive: {
        "bgFooter-activated": DesignToken;
        "bgFooter-active": DesignToken;
        "border-activated": DesignToken;
        "bgFooter-default": DesignToken;
        "bg-default": DesignToken;
        "bg-disabled": DesignToken;
        "bg-hover": DesignToken;
        "border-active": DesignToken;
        "border-alt": DesignToken;
        "borderalt-hover": DesignToken;
        "border-inactive": DesignToken;
        "border-default": DesignToken;
        "icon-active": DesignToken;
        "icon-default": DesignToken;
        "iconAlt-default": DesignToken;
        "icon-hover": DesignToken;
        "labelFooter-active": DesignToken;
        "labelFooter-activated": DesignToken;
        "text-active": DesignToken;
        "text-disabled": DesignToken;
        "text-default": DesignToken;
        "textAlt-default": DesignToken;
        "text-hover": DesignToken;
        detailedicon: {
          bg: DesignToken;
        };
        droptarget: {
          "bg-default": DesignToken;
        };
      };
      scrollbar: {
        "bg-default": DesignToken;
        "fg-default": DesignToken;
      };
      standard: {
        "bg-alt": DesignToken;
        "bg-default": DesignToken;
        "bgFooter-default": DesignToken;
        "border-active": DesignToken;
        "border-alt": DesignToken;
        "border-default": DesignToken;
        dimmer: DesignToken;
        icon: DesignToken;
        "text-alt": DesignToken;
        "text-default": DesignToken;
        statusborder: {
          "bg-ai": DesignToken;
          "bg-caution": DesignToken;
          "bg-negative": DesignToken;
          "bg-important": DesignToken;
          "bg-info": DesignToken;
          "bg-neutral": DesignToken;
          "bg-positive": DesignToken;
        };
        inverse: {
          "bg-default": DesignToken;
          "border-default": DesignToken;
          "text-alt": DesignToken;
          "text-default": DesignToken;
        };
      };
    };
    size: {
      none: DesignToken;
      accordionstandard: {
        chevron: DesignToken;
      };
      quotebar: {
        width: DesignToken;
      };
      chatbubble: {
        maxwidth: DesignToken;
      };
      carousel: {
        mediaslide: {
          minheight: DesignToken;
        };
      };
      copilot: {
        emptystate: {
          illustration: DesignToken;
          content: {
            maxwidth: DesignToken;
          };
        };
        overlay: {
          maxheight: DesignToken;
        };
      };
      dialog: {
        maxWidth: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        minWidth: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
      };
      drag: {
        droptarget: DesignToken;
      };
      drawer: {
        minwidth: DesignToken;
        maxwidth: DesignToken;
        closed: {
          M: DesignToken;
        };
      };
      footer: {
        M: DesignToken;
        L: DesignToken;
      };
      generic: {
        emptystate: {
          illustration: {
            primary: {
              S: DesignToken;
              M: DesignToken;
              L: DesignToken;
            };
            secondary: DesignToken;
          };
        };
      };
      icon: {
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      linkpreview: {
        thumbnail: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        headertext: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        descriptiontext: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
      };
      responsive: {
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
        XXXL: DesignToken;
        XXXXL: DesignToken;
      };
      scrollbar: {
        container: DesignToken;
      };
      sidebar: {
        responsive: {
          min: DesignToken;
          max: DesignToken;
        };
      };
      tile: {
        statusborder: DesignToken;
      };
      tileselect: {
        footer: DesignToken;
        productidentifier: {
          M: DesignToken;
          L: DesignToken;
        };
      };
      tooltipArrow: {
        width: DesignToken;
        height: DesignToken;
      };
      uploadpreview: {
        M: DesignToken;
      };
    };
    radius: {
      none: DesignToken;
      carouselslide: DesignToken;
      colorpicker: DesignToken;
      contacttile: DesignToken;
      dialog: DesignToken;
      filepreview: DesignToken;
      linkpreview: DesignToken;
      heroimage: DesignToken;
      note: DesignToken;
      nudge: DesignToken;
      profileselector: DesignToken;
      scrollbar: DesignToken;
      texteditor: DesignToken;
      blockquote: {
        bar: DesignToken;
      };
      card: {
        moderate: DesignToken;
        curved: DesignToken;
        sweeping: DesignToken;
      };
      tile: {
        moderate: DesignToken;
        curved: DesignToken;
        sweeping: DesignToken;
      };
      tileselect: {
        moderate: DesignToken;
        curved: DesignToken;
        sweeping: DesignToken;
      };
    };
    space: {
      none: DesignToken;
      accordionsubtle: {
        yg: {
          M: DesignToken;
        };
      };
      filepreview: {
        preview: {
          x: {
            M: DesignToken;
          };
          y: {
            M: DesignToken;
          };
        };
      };
      flex: {
        xg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        yg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        item: {
          x: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
      generic: {
        content: {
          x: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          xg: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
          };
          yg: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
        outer: {
          x: {
            M: DesignToken;
          };
          y: {
            M: DesignToken;
          };
        };
        header: {
          x: {
            S: DesignToken;
            M: DesignToken;
          };
          y: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
          };
          xg: {
            M: DesignToken;
          };
          yg: {
            M: DesignToken;
            L: DesignToken;
          };
        };
        emptystate: {
          y: {
            M: DesignToken;
            L: DesignToken;
          };
        };
        footer: {
          x: {
            M: DesignToken;
          };
          y: {
            M: DesignToken;
          };
        };
      };
      note: {
        x: {
          M: DesignToken;
        };
        xg: {
          M: DesignToken;
        };
        timestamp: {
          xg: {
            M: DesignToken;
          };
          yg: {
            M: DesignToken;
          };
        };
        y: {
          M: DesignToken;
        };
        yg: {
          M: DesignToken;
        };
      };
      linkpreview: {
        x: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        xg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        y: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        yg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
      };
      pagination: {
        xg: {
          M: DesignToken;
          L: DesignToken;
        };
        y: {
          M: DesignToken;
          L: DesignToken;
        };
        yg: {
          M: DesignToken;
        };
        x: {
          M: DesignToken;
        };
      };
      scrollbar: {
        y: {
          inner: DesignToken;
          outer: DesignToken;
        };
      };
      summarylist: {
        item: {
          xg: {
            M: DesignToken;
          };
          y: {
            M: DesignToken;
          };
        };
        title: {
          xg: {
            M: DesignToken;
          };
          y: {
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
      tilecard: {
        x: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
          XXXL: DesignToken;
        };
        xg: {
          M: DesignToken;
        };
        y: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        yg: {
          S: DesignToken;
        };
      };
      tileselect: {
        x: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        y: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        yg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        content: {
          yg: {
            M: DesignToken;
          };
        };
        header: {
          xg: {
            M: DesignToken;
          };
          yg: {
            S: DesignToken;
          };
        };
        footer: {
          y: {
            M: DesignToken;
            L: DesignToken;
          };
          xg: {
            S: DesignToken;
          };
        };
      };
      nudge: {
        x: {
          M: DesignToken;
          L: DesignToken;
        };
        y: {
          M: DesignToken;
          L: DesignToken;
        };
        yg: {
          M: DesignToken;
          L: DesignToken;
        };
        header: {
          xg: {
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
    };
    boxshadow: {
      none: DesignToken;
      carousel: DesignToken;
      colorpicker: DesignToken;
      dialog: DesignToken;
      filepreview: DesignToken;
      nudge: DesignToken;
      sidebar: DesignToken;
      stickyfooter: DesignToken;
      inverse: {
        stickyfooter: DesignToken;
      };
      card: {
        default: DesignToken;
        hover: DesignToken;
        drag: DesignToken;
      };
    };
    borderwidth: {
      AIgradient: DesignToken;
      dialog: DesignToken;
      divider: DesignToken;
      drawer: DesignToken;
      footer: DesignToken;
      header: DesignToken;
      linkpreview: DesignToken;
      note: DesignToken;
      profileselector: DesignToken;
      nudge: DesignToken;
      sidebar: DesignToken;
      summarylist: DesignToken;
      tile: DesignToken;
      accordion: {
        standard: DesignToken;
        subtle: DesignToken;
      };
      filepreview: {
        container: DesignToken;
        default: DesignToken;
        active: DesignToken;
      };
      tileselect: {
        active: DesignToken;
        inactive: DesignToken;
        selected: DesignToken;
        unavailable: DesignToken;
        default: DesignToken;
      };
    };
    opacity: {
      carousel: {
        hidden: DesignToken;
      };
      dialog: {
        dimmer: DesignToken;
      };
      drag: {
        ghost: DesignToken;
      };
    };
  };
};
