/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

export default tokens;

declare interface DesignToken {
  $value?: any;
  $type?: string;
  $description?: string;
  name?: string;
  themeable?: boolean;
  attributes?: Record<string, unknown>;
  [key: string]: any;
}

declare const tokens: {
  button: {
    size: {
      split: DesignToken;
      XS: DesignToken;
      S: DesignToken;
      M: DesignToken;
      L: DesignToken;
      toggle: {
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      icon: {
        S: DesignToken;
        M: DesignToken;
      };
      video: {
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
    };
    space: {
      none: DesignToken;
      bar: {
        iconbutton: {
          x: {
            inner: {
              M: DesignToken;
              L: DesignToken;
            };
            outer: {
              M: DesignToken;
              L: DesignToken;
            };
          };
        };
      };
      FAB: {
        child: {
          x: {
            M: DesignToken;
            L: DesignToken;
          };
        };
        parent: {
          x: {
            M: DesignToken;
          };
          xg: {
            M: DesignToken;
          };
          y: {
            M: DesignToken;
          };
        };
      };
      primary: {
        x: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        xg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        y: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        icononly: {
          x: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
      secondary: {
        x: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        y: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        xg: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        icononly: {
          x: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
      tertiary: {
        y: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        x: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        xg: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        icononly: {
          x: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
      subtle: {
        y: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        x: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        xg: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        icononly: {
          x: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
      toggle: {
        button: {
          x: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          xg: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
        container: {
          x: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          xg: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          y: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          yg: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
      };
      video: {
        x: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
      };
    };
    color: {
      none: DesignToken;
      ai: {
        "bg-active": DesignToken;
        "bg-hover": DesignToken;
        "border-active": DesignToken;
        "border-disabled": DesignToken;
        "border-default": DesignToken;
        "border-hover": DesignToken;
        "label-active": DesignToken;
        "label-disabled": DesignToken;
        "label-default": DesignToken;
        "label-hover": DesignToken;
      };
      destructive: {
        primary: {
          "bg-disabled": DesignToken;
          "bg-default": DesignToken;
          "bg-hover": DesignToken;
          "label-disabled": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
        };
        secondary: {
          "bg-hover": DesignToken;
          "border-disabled": DesignToken;
          "border-default": DesignToken;
          "border-hover": DesignToken;
          "label-disabled": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
        };
      };
      typical: {
        primary: {
          "bg-active": DesignToken;
          "border-default": DesignToken;
          "bg-disabled": DesignToken;
          "bg-default": DesignToken;
          "bg-hover": DesignToken;
          "label-active": DesignToken;
          "label-disabled": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
          inverse: {
            "bg-active": DesignToken;
            "border-default": DesignToken;
            "bg-disabled": DesignToken;
            "bg-default": DesignToken;
            "bg-hover": DesignToken;
            "label-active": DesignToken;
            "label-disabled": DesignToken;
            "label-default": DesignToken;
            "label-hover": DesignToken;
          };
        };
        secondary: {
          "bg-active": DesignToken;
          "bg-default": DesignToken;
          "bg-hover": DesignToken;
          "border-active": DesignToken;
          "border-disabled": DesignToken;
          "border-default": DesignToken;
          "border-hover": DesignToken;
          "label-active": DesignToken;
          "label-disabled": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
          inverse: {
            "bg-active": DesignToken;
            "bg-default": DesignToken;
            "bg-hover": DesignToken;
            "border-active": DesignToken;
            "border-disabled": DesignToken;
            "border-default": DesignToken;
            "border-hover": DesignToken;
            "label-active": DesignToken;
            "label-disabled": DesignToken;
            "label-default": DesignToken;
            "label-hover": DesignToken;
          };
        };
        tertiary: {
          "bg-active": DesignToken;
          "bg-default": DesignToken;
          "bg-hover": DesignToken;
          "border-active": DesignToken;
          "border-disabled": DesignToken;
          "border-default": DesignToken;
          "border-hover": DesignToken;
          "label-active": DesignToken;
          "label-disabled": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
          inverse: {
            "bg-active": DesignToken;
            "bg-default": DesignToken;
            "bg-hover": DesignToken;
            "border-active": DesignToken;
            "border-disabled": DesignToken;
            "border-default": DesignToken;
            "border-hover": DesignToken;
            "label-active": DesignToken;
            "label-disabled": DesignToken;
            "label-default": DesignToken;
            "label-hover": DesignToken;
          };
        };
        subtle: {
          "bg-active": DesignToken;
          "bg-hover": DesignToken;
          "label-active": DesignToken;
          "label-disabled": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
          inverse: {
            "bg-active": DesignToken;
            "bg-hover": DesignToken;
            "label-active": DesignToken;
            "label-disabled": DesignToken;
            "label-default": DesignToken;
            "label-hover": DesignToken;
          };
        };
        toggle: {
          "bg-activeDisabled": DesignToken;
          "label-activeDisabled": DesignToken;
          "bg-active": DesignToken;
          "bg-hover": DesignToken;
          "border-default": DesignToken;
          "border-disabled": DesignToken;
          "label-active": DesignToken;
          "label-disabled": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
        };
      };
      video: {
        "bg-blur": DesignToken;
        primary: {
          "bg-default": DesignToken;
          "bg-hover": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
        };
        secondary: {
          "bg-hover": DesignToken;
          "border-default": DesignToken;
          "border-hover": DesignToken;
          "label-default": DesignToken;
          "label-hover": DesignToken;
        };
      };
    };
    radius: {
      none: DesignToken;
      S: DesignToken;
      M: DesignToken;
      L: DesignToken;
      chip: DesignToken;
      FAB: DesignToken;
      primary: {
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      secondary: {
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      tertiary: {
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      subtle: {
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      toggle: {
        button: {
          XS: DesignToken;
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        container: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
      };
    };
    borderwidth: {
      none: DesignToken;
      chip: DesignToken;
      primary: DesignToken;
      secondary: DesignToken;
      tertiary: DesignToken;
      togglecontainer: DesignToken;
    };
    dimension: {
      video: DesignToken;
    };
  };
};
