/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

export default tokens;

declare interface DesignToken {
  $value?: any;
  $type?: string;
  $description?: string;
  name?: string;
  themeable?: boolean;
  attributes?: Record<string, unknown>;
  [key: string]: any;
}

declare const tokens: {
  modes: {
    color: {
      none: DesignToken;
      brand: {
        default: DesignToken;
        defaultAlt: DesignToken;
        withDefaultAlt: DesignToken;
        copilot: {
          AIIdentifier: {
            default: DesignToken;
            withDefault: DesignToken;
          };
          noBg: {
            monochrome: DesignToken;
          };
        };
      };
      custom: {
        default: DesignToken;
        defaultAlt: DesignToken;
        frozen: DesignToken;
      };
      colorcode: {
        blue: {
          deep: DesignToken;
          muted: DesignToken;
        };
        teal: {
          deep: DesignToken;
          muted: DesignToken;
        };
        green: {
          deep: DesignToken;
          muted: DesignToken;
        };
        lime: {
          deep: DesignToken;
          muted: DesignToken;
        };
        orange: {
          deep: DesignToken;
          muted: DesignToken;
        };
        red: {
          deep: DesignToken;
          muted: DesignToken;
        };
        pink: {
          deep: DesignToken;
          muted: DesignToken;
        };
        purple: {
          deep: DesignToken;
          muted: DesignToken;
        };
        slate: {
          deep: DesignToken;
          muted: DesignToken;
        };
        gray: {
          deep: DesignToken;
          muted: DesignToken;
        };
      };
      generic: {
        bg: {
          nought: DesignToken;
          faint: DesignToken;
          delicate: DesignToken;
          soft: DesignToken;
          moderate: DesignToken;
          firm: DesignToken;
          harsh: DesignToken;
          severe: DesignToken;
          extreme: DesignToken;
          frozen: {
            delicate: DesignToken;
            soft: DesignToken;
          };
          inverse: {
            nought: DesignToken;
            faint: DesignToken;
            delicate: DesignToken;
            soft: DesignToken;
            moderate: DesignToken;
            firm: DesignToken;
            harsh: DesignToken;
            severe: DesignToken;
            extreme: DesignToken;
          };
        };
        content: {
          extreme: DesignToken;
          harsh: DesignToken;
          firm: DesignToken;
          moderate: DesignToken;
          muted: DesignToken;
          soft: DesignToken;
          nought: DesignToken;
          inverse: {
            extreme: DesignToken;
            harsh: DesignToken;
            firm: DesignToken;
            moderate: DesignToken;
            muted: DesignToken;
            soft: DesignToken;
            nought: DesignToken;
          };
        };
        fg: {
          nought: DesignToken;
          faint: DesignToken;
          delicate: DesignToken;
          soft: DesignToken;
          moderate: DesignToken;
          frozen: {
            soft: DesignToken;
          };
          ai: {
            default: DesignToken;
          };
          inverse: {
            nought: DesignToken;
            faint: DesignToken;
            delicate: DesignToken;
            soft: DesignToken;
            moderate: DesignToken;
          };
        };
        backdrop: {
          nought: DesignToken;
          faint: DesignToken;
        };
      };
      interactive: {
        ai: {
          active: DesignToken;
          hover: DesignToken;
          default: DesignToken;
        };
        danger: {
          active: DesignToken;
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          hoverAlt2: DesignToken;
          withActive: DesignToken;
          withDefault: DesignToken;
          inverse: {
            active: DesignToken;
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
            hoverAlt2: DesignToken;
            withActive: DesignToken;
            withDefault: DesignToken;
          };
        };
        dataEntry: {
          default: DesignToken;
          withActive: DesignToken;
          withActiveAlt: DesignToken;
          withHover: DesignToken;
          hoverAlt: DesignToken;
          withDefault: DesignToken;
          defaultAlt: DesignToken;
          content: DesignToken;
          contentAlt: DesignToken;
          frozen: {
            withDefault: DesignToken;
          };
        };
        focus: {
          default: DesignToken;
          content: DesignToken;
          withDefault: DesignToken;
          withDefaultAlt: DesignToken;
          inverse: {
            default: DesignToken;
            content: DesignToken;
            withDefault: DesignToken;
            withDefaultAlt: DesignToken;
          };
        };
        inactive: {
          default: DesignToken;
          mask: DesignToken;
          defaultAlt: DesignToken;
          content: DesignToken;
          contentAlt: DesignToken;
          icon: DesignToken;
          iconAlt: DesignToken;
          frozen: {
            defaultAlt: DesignToken;
          };
          inverse: {
            default: DesignToken;
            content: DesignToken;
            contentAlt: DesignToken;
          };
        };
        monochrome: {
          active: DesignToken;
          activeAlt: DesignToken;
          default: DesignToken;
          defaultAlt: DesignToken;
          defaultAlt2: DesignToken;
          defaultAlt3: DesignToken;
          hoverAlt: DesignToken;
          hover: DesignToken;
          withActive: DesignToken;
          withActiveAlt: DesignToken;
          withDefault: DesignToken;
          withHover: DesignToken;
          frozen: {
            active: DesignToken;
            activeAlt: DesignToken;
            default: DesignToken;
            defaultAlt: DesignToken;
            hoverAlt: DesignToken;
            withActive: DesignToken;
            withHover: DesignToken;
            withHoverAlt: DesignToken;
          };
          inverse: {
            active: DesignToken;
            activeAlt: DesignToken;
            default: DesignToken;
            defaultAlt: DesignToken;
            defaultAlt2: DesignToken;
            hoverAlt: DesignToken;
            hover: DesignToken;
            withActive: DesignToken;
            withActiveAlt: DesignToken;
            withDefault: DesignToken;
            withHover: DesignToken;
          };
          subtle: {
            defaultAlt: DesignToken;
            default: DesignToken;
          };
        };
        nav: {
          active: DesignToken;
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          withActive: DesignToken;
          withDefault: DesignToken;
          withHover: DesignToken;
          inverse: {
            active: DesignToken;
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            withActive: DesignToken;
            withDefault: DesignToken;
            withHover: DesignToken;
          };
        };
        primary: {
          active: DesignToken;
          activeAlt: DesignToken;
          default: DesignToken;
          defaultAlt: DesignToken;
          defaultAlt2: DesignToken;
          defaultAlt3: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          hoverAlt2: DesignToken;
          withActive: DesignToken;
          withDefault: DesignToken;
          withHover: DesignToken;
          frozen: {
            active: DesignToken;
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
            nav: {
              hover: DesignToken;
              "label-hover": DesignToken;
            };
            table: {
              default: DesignToken;
            };
          };
          inverse: {
            active: DesignToken;
            activeAlt: DesignToken;
            default: DesignToken;
            defaultAlt: DesignToken;
            defaultAlt2: DesignToken;
            defaultAlt3: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
            hoverAlt2: DesignToken;
            withActive: DesignToken;
            withDefault: DesignToken;
            withHover: DesignToken;
          };
        };
        progress: {
          bg: DesignToken;
          bgAlt: DesignToken;
          frozen: {
            bg: DesignToken;
            "bg-alt": DesignToken;
          };
        };
      };
      status: {
        ai: {
          default: DesignToken;
          defaultAlt: DesignToken;
          "default-horizontal": DesignToken;
          "default-vertical": DesignToken;
        };
        callout: {
          defaultAlt: DesignToken;
          hoverAlt: DesignToken;
        };
        caution: {
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          text: DesignToken;
          frozenglobal: {
            default: DesignToken;
            hover: DesignToken;
          };
          inverse: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
            text: DesignToken;
          };
        };
        content: {
          withDefault: DesignToken;
          withDefaultAlt: DesignToken;
          withHover: DesignToken;
          withHoverAlt: DesignToken;
          loading: DesignToken;
          inverse: {
            withDefault: DesignToken;
            withDefaultAlt: DesignToken;
            withHover: DesignToken;
            withHoverAlt: DesignToken;
          };
        };
        custom: {
          blue: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          teal: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          green: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          lime: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          orange: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          red: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          pink: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          purple: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          gray: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          slate: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
        };
        important: {
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          inverse: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
        };
        inactive: {
          default: DesignToken;
          withDefault: DesignToken;
          inverse: {
            default: DesignToken;
            withDefault: DesignToken;
          };
        };
        info: {
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          frozenglobal: {
            default: DesignToken;
            hover: DesignToken;
          };
          inverse: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
        };
        negative: {
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          text: DesignToken;
          inverse: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
            text: DesignToken;
          };
        };
        neutral: {
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          frozen: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
          inverse: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
        };
        positive: {
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          hoverAlt: DesignToken;
          inverse: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
            hoverAlt: DesignToken;
          };
        };
        reviews: {
          default: DesignToken;
          defaultAlt: DesignToken;
          hover: DesignToken;
          frozen: {
            default: DesignToken;
            defaultAlt: DesignToken;
            hover: DesignToken;
          };
        };
      };
      modifier: {
        contrastLess: DesignToken;
        contrastMore: DesignToken;
      };
    };
  };
};
