/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

module.exports = {
  popover: {
    size: {
      icon: {
        M: {
          $type: "sizing",
          $value: 20,
          filePath: "data/tokens/components/popover.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.icon.M}",
          },
          name: "popoverSizeIconM",
          attributes: {},
          path: ["popover", "size", "icon", "M"],
        },
      },
      item: {
        S: {
          $type: "sizing",
          $value: 32,
          $description: "REF'D IN FORM. Menu item min height.",
          filePath: "data/tokens/components/popover.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.macro.S}",
            $description: "REF'D IN FORM. Menu item min height.",
          },
          name: "popoverSizeItemS",
          attributes: {},
          path: ["popover", "size", "item", "S"],
        },
        M: {
          $type: "sizing",
          $value: 40,
          $description: "REF'D IN FORM. Menu item min height.",
          filePath: "data/tokens/components/popover.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.macro.M}",
            $description: "REF'D IN FORM. Menu item min height.",
          },
          name: "popoverSizeItemM",
          attributes: {},
          path: ["popover", "size", "item", "M"],
        },
        L: {
          $type: "sizing",
          $value: 48,
          $description: "REF'D IN FORM. Menu item min height.",
          filePath: "data/tokens/components/popover.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.macro.L}",
            $description: "REF'D IN FORM. Menu item min height.",
          },
          name: "popoverSizeItemL",
          attributes: {},
          path: ["popover", "size", "item", "L"],
        },
      },
      menu: {
        minwidth: {
          S: {
            $type: "sizing",
            $value: 100,
            $description: "minwidth of small size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.M} / 2",
              $description: "minwidth of small size popover menu container",
            },
            name: "popoverSizeMenuMinwidthS",
            attributes: {},
            path: ["popover", "size", "menu", "minwidth", "S"],
          },
          M: {
            $type: "sizing",
            $value: 128,
            $description: "minwidth of medium size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.XS}",
              $description: "minwidth of medium size popover menu container",
            },
            name: "popoverSizeMenuMinwidthM",
            attributes: {},
            path: ["popover", "size", "menu", "minwidth", "M"],
          },
          L: {
            $type: "sizing",
            $value: 160,
            $description: "minwidth of large size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.S}",
              $description: "minwidth of large size popover menu container",
            },
            name: "popoverSizeMenuMinwidthL",
            attributes: {},
            path: ["popover", "size", "menu", "minwidth", "L"],
          },
        },
        maxwidth: {
          S: {
            $type: "sizing",
            $value: 200,
            $description: "maxwidth of small size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.M}",
              $description: "maxwidth of small size popover menu container",
            },
            name: "popoverSizeMenuMaxwidthS",
            attributes: {},
            path: ["popover", "size", "menu", "maxwidth", "S"],
          },
          M: {
            $type: "sizing",
            $value: 240,
            $description: "maxwidth of medium size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.L}",
              $description: "maxwidth of medium size popover menu container",
            },
            name: "popoverSizeMenuMaxwidthM",
            attributes: {},
            path: ["popover", "size", "menu", "maxwidth", "M"],
          },
          L: {
            $type: "sizing",
            $value: 288,
            $description: "maxwidth of large size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.XL}",
              $description: "maxwidth of large size popover menu container",
            },
            name: "popoverSizeMenuMaxwidthL",
            attributes: {},
            path: ["popover", "size", "menu", "maxwidth", "L"],
          },
        },
      },
    },
    radius: {
      none: {
        $type: "borderRadius",
        $value: "0",
        $description: "Navigation menu top corners",
        filePath: "data/tokens/components/popover.json",
        isSource: true,
        original: {
          $type: "borderRadius",
          $value: "{global.radius.none}",
          $description: "Navigation menu top corners",
        },
        name: "popoverRadiusNone",
        attributes: {},
        path: ["popover", "radius", "none"],
      },
      container: {
        $type: "borderRadius",
        $value: 8,
        $description: "REF'D IN FORM. Menu container.",
        filePath: "data/tokens/components/popover.json",
        isSource: true,
        original: {
          $type: "borderRadius",
          $value: "{global.radius.container.M}",
          $description: "REF'D IN FORM. Menu container.",
        },
        name: "popoverRadiusContainer",
        attributes: {},
        path: ["popover", "radius", "container"],
      },
      optionfocus: {
        $type: "borderRadius",
        $value: 8,
        $description: "Popover menu option focus",
        filePath: "data/tokens/components/popover.json",
        isSource: true,
        original: {
          $type: "borderRadius",
          $value: "{global.radius.container.M}",
          $description: "Popover menu option focus",
        },
        name: "popoverRadiusOptionfocus",
        attributes: {},
        path: ["popover", "radius", "optionfocus"],
      },
    },
    boxshadow: {
      container: {
        $type: "boxShadow",
        $value: [
          {
            x: "0",
            y: "1",
            blur: "2",
            spread: "0",
            color: "#0000001A",
            type: "dropShadow",
          },
          {
            x: "2",
            y: "2",
            blur: "10",
            spread: "0",
            color: "#00000033",
            type: "dropShadow",
          },
        ],
        $description:
          "REF'D IN FORM. Popover container for Button popover, Button split, (and Form calendar, color picker, dropdown) ",
        filePath: "data/tokens/components/popover.json",
        isSource: true,
        original: {
          $type: "boxShadow",
          $value: "{global.boxshadow.container.near}",
          $description:
            "REF'D IN FORM. Popover container for Button popover, Button split, (and Form calendar, color picker, dropdown) ",
        },
        name: "popoverBoxshadowContainer",
        attributes: {},
        path: ["popover", "boxshadow", "container"],
      },
    },
    space: {
      menu: {
        x: {
          S: {
            $type: "spacing",
            $value: 4.8,
            $description:
              "Left and right padding token used on small popover container consumed inside number input.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXS} / 2",
              $description:
                "Left and right padding token used on small popover container consumed inside number input.",
            },
            name: "popoverSpaceMenuXS",
            attributes: {},
            path: ["popover", "space", "menu", "x", "S"],
          },
          M: {
            $type: "spacing",
            $value: 6.4,
            $description:
              "Left and right padding token used on medium popover container consumed inside number input.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXXS}",
              $description:
                "Left and right padding token used on medium popover container consumed inside number input.",
            },
            name: "popoverSpaceMenuXM",
            attributes: {},
            path: ["popover", "space", "menu", "x", "M"],
          },
          L: {
            $type: "spacing",
            $value: 9.6,
            $description:
              "Left and right padding token used on large popover container consumed inside number input.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXS}",
              $description:
                "Left and right padding token used on large popover container consumed inside number input.",
            },
            name: "popoverSpaceMenuXL",
            attributes: {},
            path: ["popover", "space", "menu", "x", "L"],
          },
        },
        y: {
          S: {
            $type: "spacing",
            $value: 4.8,
            $description:
              "Top and bottom padding inside S size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXS} / 2",
              $description:
                "Top and bottom padding inside S size popover menu container",
            },
            name: "popoverSpaceMenuYS",
            attributes: {},
            path: ["popover", "space", "menu", "y", "S"],
          },
          M: {
            $type: "spacing",
            $value: 6.4,
            $description:
              "Top and bottom padding inside M size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXXS}",
              $description:
                "Top and bottom padding inside M size popover menu container",
            },
            name: "popoverSpaceMenuYM",
            attributes: {},
            path: ["popover", "space", "menu", "y", "M"],
          },
          L: {
            $type: "spacing",
            $value: 9.6,
            $description:
              "Top and bottom padding inside L size popover menu container",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXS}",
              $description:
                "Top and bottom padding inside L size popover menu container",
            },
            name: "popoverSpaceMenuYL",
            attributes: {},
            path: ["popover", "space", "menu", "y", "L"],
          },
        },
        yg: {
          S: {
            $type: "spacing",
            $value: 4.8,
            $description:
              "Gap spacing token used on small popover container consumed inside number input.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXS} / 2",
              $description:
                "Gap spacing token used on small popover container consumed inside number input.",
            },
            name: "popoverSpaceMenuYgS",
            attributes: {},
            path: ["popover", "space", "menu", "yg", "S"],
          },
          M: {
            $type: "spacing",
            $value: 6.4,
            $description:
              "Gap spacing token used on medium popover container consumed inside number input.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXXS}",
              $description:
                "Gap spacing token used on medium popover container consumed inside number input.",
            },
            name: "popoverSpaceMenuYgM",
            attributes: {},
            path: ["popover", "space", "menu", "yg", "M"],
          },
          L: {
            $type: "spacing",
            $value: 9.6,
            $description:
              "Gap spacing token used on large popover container consumed inside number input.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XXS}",
              $description:
                "Gap spacing token used on large popover container consumed inside number input.",
            },
            name: "popoverSpaceMenuYgL",
            attributes: {},
            path: ["popover", "space", "menu", "yg", "L"],
          },
        },
      },
      option: {
        x: {
          S: {
            $type: "spacing",
            $value: 12,
            $description:
              "REF'D in FORM. Right left padding on popover option.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.XXL}",
              $description:
                "REF'D in FORM. Right left padding on popover option.",
            },
            name: "popoverSpaceOptionXS",
            attributes: {},
            path: ["popover", "space", "option", "x", "S"],
          },
          M: {
            $type: "spacing",
            $value: 12,
            $description:
              "REF'D in FORM. Right left padding on popover option.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.XXL}",
              $description:
                "REF'D in FORM. Right left padding on popover option.",
            },
            name: "popoverSpaceOptionXM",
            attributes: {},
            path: ["popover", "space", "option", "x", "M"],
          },
          L: {
            $type: "spacing",
            $value: 12,
            $description:
              "REF'D in FORM. Right left padding on popover option.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.XXL}",
              $description:
                "REF'D in FORM. Right left padding on popover option.",
            },
            name: "popoverSpaceOptionXL",
            attributes: {},
            path: ["popover", "space", "option", "x", "L"],
          },
        },
        xg: {
          S: {
            $type: "spacing",
            $value: 8,
            $description: "Gap between left icon and menu button label",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.L}",
              $description: "Gap between left icon and menu button label",
            },
            name: "popoverSpaceOptionXgS",
            attributes: {},
            path: ["popover", "space", "option", "xg", "S"],
          },
          M: {
            $type: "spacing",
            $value: 8,
            $description: "Gap between left icon and menu button label",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.L}",
              $description: "Gap between left icon and menu button label",
            },
            name: "popoverSpaceOptionXgM",
            attributes: {},
            path: ["popover", "space", "option", "xg", "M"],
          },
          L: {
            $type: "spacing",
            $value: 8,
            $description: "Gap between left icon and menu button label",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.L}",
              $description: "Gap between left icon and menu button label",
            },
            name: "popoverSpaceOptionXgL",
            attributes: {},
            path: ["popover", "space", "option", "xg", "L"],
          },
        },
        y: {
          S: {
            $type: "spacing",
            $value: 4,
            $description: "REF'D in FORM. Vertical padding on popover option.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.S}",
              $description:
                "REF'D in FORM. Vertical padding on popover option.",
            },
            name: "popoverSpaceOptionYS",
            attributes: {},
            path: ["popover", "space", "option", "y", "S"],
          },
          M: {
            $type: "spacing",
            $value: 8,
            $description: "REF'D in FORM. Vertical padding on popover option.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.L}",
              $description:
                "REF'D in FORM. Vertical padding on popover option.",
            },
            name: "popoverSpaceOptionYM",
            attributes: {},
            path: ["popover", "space", "option", "y", "M"],
          },
          L: {
            $type: "spacing",
            $value: 10,
            $description: "REF'D in FORM. Vertical padding on popover option.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.XL}",
              $description:
                "REF'D in FORM. Vertical padding on popover option.",
            },
            name: "popoverSpaceOptionYL",
            attributes: {},
            path: ["popover", "space", "option", "y", "L"],
          },
        },
      },
      submenu: {
        x: {
          S: {
            $type: "spacing",
            $value: 12.8,
            $description:
              "Right left padding on small screen submenu popover container.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XS}",
              $description:
                "Right left padding on small screen submenu popover container.",
            },
            name: "popoverSpaceSubmenuXS",
            attributes: {},
            path: ["popover", "space", "submenu", "x", "S"],
          },
          M: {
            $type: "spacing",
            $value: 12.8,
            $description:
              "Right left padding on small screen submenu popover container.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XS}",
              $description:
                "Right left padding on small screen submenu popover container.",
            },
            name: "popoverSpaceSubmenuXM",
            attributes: {},
            path: ["popover", "space", "submenu", "x", "M"],
          },
          L: {
            $type: "spacing",
            $value: 12.8,
            $description:
              "Right left padding on small screen submenu popover container.",
            filePath: "data/tokens/components/popover.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.macro.XS}",
              $description:
                "Right left padding on small screen submenu popover container.",
            },
            name: "popoverSpaceSubmenuXL",
            attributes: {},
            path: ["popover", "space", "submenu", "x", "L"],
          },
        },
      },
    },
    color: {
      "bg-active": {
        $type: "color",
        $value: "#223743",
        filePath: "data/tokens/context/frozenproduct.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.monochrome.frozen.active}",
        },
        name: "popoverColorBgActive",
        attributes: {},
        path: ["popover", "color", "bg-active"],
      },
      "bg-activealt": {
        $type: "color",
        $value: "#2237431a",
        filePath: "data/tokens/context/frozenproduct.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.monochrome.frozen.hoverAlt}",
        },
        name: "popoverColorBgActivealt",
        attributes: {},
        path: ["popover", "color", "bg-activealt"],
      },
      "bg-default": {
        $type: "color",
        $value: "#FFFFFF",
        $description: "REF'D IN FORM. Popover container bg",
        filePath: "data/tokens/components/popover.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.generic.bg.nought}",
          $description: "REF'D IN FORM. Popover container bg",
        },
        name: "popoverColorBgDefault",
        attributes: {},
        path: ["popover", "color", "bg-default"],
      },
      "bg-hover": {
        $type: "color",
        $value: "#2237431a",
        filePath: "data/tokens/context/frozenproduct.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.monochrome.frozen.hoverAlt}",
        },
        name: "popoverColorBgHover",
        attributes: {},
        path: ["popover", "color", "bg-hover"],
      },
      "label-active": {
        $type: "color",
        $value: "#FFFFFF",
        filePath: "data/tokens/components/popover.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.monochrome.withActive}",
        },
        name: "popoverColorLabelActive",
        attributes: {},
        path: ["popover", "color", "label-active"],
      },
      "label-activealt": {
        $type: "color",
        $value: "#223743",
        filePath: "data/tokens/context/frozenproduct.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.monochrome.frozen.withHover}",
        },
        name: "popoverColorLabelActivealt",
        attributes: {},
        path: ["popover", "color", "label-activealt"],
      },
      "label-disabled": {
        $type: "color",
        $value: "#0000006b",
        filePath: "data/tokens/components/popover.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.inactive.content}",
        },
        name: "popoverColorLabelDisabled",
        attributes: {},
        path: ["popover", "color", "label-disabled"],
      },
      "label-hover": {
        $type: "color",
        $value: "#000000e6",
        filePath: "data/tokens/context/frozenproduct.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.monochrome.default}",
        },
        name: "popoverColorLabelHover",
        attributes: {},
        path: ["popover", "color", "label-hover"],
      },
      "label-default": {
        $type: "color",
        $value: "#000000e6",
        filePath: "data/tokens/context/frozenproduct.json",
        isSource: true,
        original: {
          $type: "color",
          $value: "{modes.color.interactive.monochrome.default}",
        },
        name: "popoverColorLabelDefault",
        attributes: {},
        path: ["popover", "color", "label-default"],
      },
      submenu: {
        "bg-default": {
          $type: "color",
          $value: "#f3f3f3",
          $description: "popover small screen submenu container bg",
          filePath: "data/tokens/components/popover.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.generic.bg.faint}",
            $description: "popover small screen submenu container bg",
          },
          name: "popoverColorSubmenuBgDefault",
          attributes: {},
          path: ["popover", "color", "submenu", "bg-default"],
        },
      },
    },
  },
};
