/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

export default tokens;

declare interface DesignToken {
  $value?: any;
  $type?: string;
  $description?: string;
  name?: string;
  themeable?: boolean;
  attributes?: Record<string, unknown>;
  [key: string]: any;
}

declare const tokens: {
  progress: {
    size: {
      bar: {
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      carouselselector: {
        dot: {
          M: DesignToken;
        };
        activedot: {
          M: DesignToken;
        };
        hitarea: {
          M: DesignToken;
        };
      };
      carouselslide: {
        x: {
          M: DesignToken;
        };
      };
      spinner: {
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
      skeleton: {
        responsive: {
          text: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
            XL: DesignToken;
          };
        };
        adaptiveLarge: {
          text: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
            XL: DesignToken;
          };
        };
      };
      stepflow: {
        M: DesignToken;
      };
      stepindicator: {
        bar: DesignToken;
        stepcircle: {
          S: DesignToken;
          M: DesignToken;
        };
      };
    };
    color: {
      "bg-skeleton": DesignToken;
      "bg-default": DesignToken;
      "border-default": DesignToken;
      "fg-ai": DesignToken;
      "fg-alt": DesignToken;
      "fg-alt2": DesignToken;
      "fg-caution": DesignToken;
      "fg-default": DesignToken;
      "fg-error": DesignToken;
      "fg-info": DesignToken;
      "label-alt": DesignToken;
      "label-default": DesignToken;
      datavis: {
        "fg-default": DesignToken;
      };
      loader: {
        "bg-default": DesignToken;
        "fg-default": DesignToken;
        "fg-error": DesignToken;
        "fg-complete": DesignToken;
        inverse: {
          "bg-default": DesignToken;
          "fg-default": DesignToken;
        };
      };
      stepflow: {
        "bg-active": DesignToken;
        "bg-complete": DesignToken;
        "bg-default": DesignToken;
        "border-active-inner": DesignToken;
        "border-active-outer": DesignToken;
        "border-default": DesignToken;
        "label-alt": DesignToken;
        "label-default": DesignToken;
      };
      stepindicator: {
        "bg-active": DesignToken;
        "bg-complete": DesignToken;
        "border-active-outer": DesignToken;
        "border-default": DesignToken;
        "border-success": DesignToken;
        "label-active": DesignToken;
        "label-complete": DesignToken;
        "label-default": DesignToken;
      };
    };
    radius: {
      none: DesignToken;
      stepflow: DesignToken;
      stepindicator: DesignToken;
      carouselselector: DesignToken;
      integrated: DesignToken;
      skeleton: {
        moderate: DesignToken;
        curved: DesignToken;
        sweeping: DesignToken;
        circle: DesignToken;
      };
      bar: {
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
      };
    };
    borderwidth: {
      bar: DesignToken;
      carouselector: DesignToken;
      integrated: DesignToken;
      stepflow: {
        inner: DesignToken;
        "active-inner": DesignToken;
        "active-outer": DesignToken;
      };
      stepindicator: {
        S: {
          active: DesignToken;
          default: DesignToken;
        };
        M: {
          active: DesignToken;
          default: DesignToken;
        };
      };
    };
    space: {
      carouselselector: {
        xg: {
          M: DesignToken;
        };
        y: {
          M: DesignToken;
        };
      };
      integral: {
        x: DesignToken;
      };
      loader: {
        yg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        xg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
      };
      skeleton: {
        multiline: {
          yg: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
            XL: DesignToken;
          };
          y: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
            XL: DesignToken;
          };
        };
        singleline: {
          xg: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
            XL: DesignToken;
          };
        };
      };
      stepflow: {
        y: {
          M: DesignToken;
        };
        yg: {
          M: DesignToken;
        };
        steps: {
          xg: {
            M: DesignToken;
          };
          yg: {
            M: DesignToken;
          };
        };
      };
      tracker: {
        yg: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        xg: {
          M: DesignToken;
        };
      };
      stepindicator: {
        generic: {
          g: {
            S: DesignToken;
            M: DesignToken;
          };
          text: {
            yg: {
              S: DesignToken;
              M: DesignToken;
            };
          };
          visual: {
            g: {
              S: DesignToken;
              M: DesignToken;
            };
          };
        };
        vertical: {
          y: {
            S: DesignToken;
            M: DesignToken;
          };
          text: {
            y: {
              S: DesignToken;
            };
          };
        };
        horizontal: {
          text: {
            x: {
              S: DesignToken;
              M: DesignToken;
            };
          };
        };
      };
    };
    opacity: {
      carousel: {
        inactive: DesignToken;
      };
    };
  };
};
