/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

export default tokens;

declare interface DesignToken {
  $value?: any;
  $type?: string;
  $description?: string;
  name?: string;
  themeable?: boolean;
  attributes?: Record<string, unknown>;
  [key: string]: any;
}

declare const tokens: {
  global: {
    borderwidth: {
      scale: DesignToken;
      none: DesignToken;
      XS: DesignToken;
      S: DesignToken;
      M: DesignToken;
      L: DesignToken;
      XL: DesignToken;
      XXL: DesignToken;
    };
    radius: {
      scale: DesignToken;
      none: DesignToken;
      circle: DesignToken;
      container: {
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        SM: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
        XXXL: DesignToken;
        XXXXL: DesignToken;
      };
      interactive: {
        XS: DesignToken;
        XXS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
      };
    };
    boxshadow: {
      none: DesignToken;
      cleanedge: {
        near: DesignToken;
        "near-left": DesignToken;
        "near-right": DesignToken;
      };
      container: {
        near: DesignToken;
        far: DesignToken;
        distant: DesignToken;
        "sticky-footer": DesignToken;
        "solid-border": DesignToken;
        inverse: {
          "sticky-footer": DesignToken;
        };
      };
      inner: {
        near: DesignToken;
      };
      interactive: {
        default: DesignToken;
        hover: DesignToken;
        drag: DesignToken;
      };
    };
    size: {
      scale: DesignToken;
      none: DesignToken;
      container: {
        M: DesignToken;
        L: DesignToken;
      };
      icon: {
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
      };
      flex: {
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
        XXXL: DesignToken;
        XXXXL: DesignToken;
      };
      macro: {
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
        XXXL: DesignToken;
        XXXXL: DesignToken;
      };
      micro: {
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
      };
      "breakpoint-min-width": DesignToken;
    };
    space: {
      none: DesignToken;
      macroScale: DesignToken;
      microScale: DesignToken;
      micro: {
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
      };
      macro: {
        XXXS: DesignToken;
        XXS: DesignToken;
        XS: DesignToken;
        S: DesignToken;
        M: DesignToken;
        ML: DesignToken;
        L: DesignToken;
        XL: DesignToken;
        XXL: DesignToken;
      };
    };
    typography: {
      responsive: {
        heading: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        subheading: {
          M: DesignToken;
          L: DesignToken;
        };
        section: {
          heading: {
            S: DesignToken;
            M: DesignToken;
          };
        };
        body: {
          regular: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          medium: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
        component: {
          firm: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          moderate: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          icon: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          underlined: {
            moderate: {
              S: DesignToken;
              M: DesignToken;
              L: DesignToken;
            };
            firm: {
              S: DesignToken;
              M: DesignToken;
              L: DesignToken;
            };
          };
          placeholdertext: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            ML: DesignToken;
            L: DesignToken;
            XL: DesignToken;
            XXL: DesignToken;
          };
          notification: {
            M: DesignToken;
          };
        };
      };
      adaptive: {
        heading: {
          S: DesignToken;
          M: DesignToken;
          L: DesignToken;
        };
        subheading: {
          M: DesignToken;
          L: DesignToken;
        };
        section: {
          heading: {
            S: DesignToken;
            M: DesignToken;
          };
        };
        body: {
          regular: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          medium: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
        };
        component: {
          firm: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          moderate: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          icon: {
            S: DesignToken;
            M: DesignToken;
            L: DesignToken;
          };
          underlined: {
            moderate: {
              S: DesignToken;
              M: DesignToken;
              L: DesignToken;
            };
            firm: {
              S: DesignToken;
              M: DesignToken;
              L: DesignToken;
            };
          };
          placeholdertext: {
            XS: DesignToken;
            S: DesignToken;
            M: DesignToken;
            ML: DesignToken;
            L: DesignToken;
            XL: DesignToken;
            XXL: DesignToken;
          };
          notification: {
            M: DesignToken;
          };
        };
      };
    };
    fontFamilies: {
      "sage-icons": DesignToken;
      heading: DesignToken;
      subheading: DesignToken;
      body: DesignToken;
      component: DesignToken;
      other: DesignToken;
    };
    fontSize: {
      adaptive: {
        stepMinus2: DesignToken;
        stepMinus1: DesignToken;
        step0: DesignToken;
        step1: DesignToken;
        step2: DesignToken;
        step3: DesignToken;
        step4: DesignToken;
        step5: DesignToken;
        step6: DesignToken;
        step7: DesignToken;
        step8: DesignToken;
        step9: DesignToken;
        step10: DesignToken;
      };
    };
  };
};
