/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

(function (root, factory) {
  if (typeof module === "object" && module.exports) {
    module.exports = factory();
  } else if (typeof exports === "object") {
    exports["_styleDictionary"] = factory();
  } else if (typeof define === "function" && define.amd) {
    define([], factory);
  } else {
    root["_styleDictionary"] = factory();
  }
})(this, function () {
  return {
    container: {
      color: {
        AI: {
          dialog: {
            borderhorizontal: {
              $type: "color",
              $value:
                "linear-gradient(90deg, #00D639 0%, #00D6DE 40%, #9D60FF 90%)",
              $description: "top border for AI dialog component",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.fg.ai.default}",
                $description: "top border for AI dialog component",
              },
              name: "containerColorAiDialogBorderhorizontal",
              attributes: {},
              path: ["container", "color", "AI", "dialog", "borderhorizontal"],
            },
          },
          nudge: {
            "borderAi-horizontal": {
              $type: "color",
              $value:
                "linear-gradient(90deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
              $description:
                "top and bottom border for AI nudge message component",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.ai.default-horizontal}",
                $description:
                  "top and bottom border for AI nudge message component",
              },
              name: "containerColorAiNudgeBorderAiHorizontal",
              attributes: {},
              path: [
                "container",
                "color",
                "AI",
                "nudge",
                "borderAi-horizontal",
              ],
            },
            "borderAi-vertical": {
              $type: "color",
              $value:
                "linear-gradient(180deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
              $description:
                "left and right border for AI nudge message component",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.ai.default-vertical}",
                $description:
                  "left and right border for AI nudge message component",
              },
              name: "containerColorAiNudgeBorderAiVertical",
              attributes: {},
              path: ["container", "color", "AI", "nudge", "borderAi-vertical"],
            },
          },
          tile: {
            bordervertical: {
              $type: "color",
              $value:
                "linear-gradient(180deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
              $description: "left border for AI tiles and bubbles.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.ai.default-vertical}",
                $description: "left border for AI tiles and bubbles.",
              },
              name: "containerColorAiTileBordervertical",
              attributes: {},
              path: ["container", "color", "AI", "tile", "bordervertical"],
            },
          },
        },
        blockquote: {
          border: {
            $type: "color",
            $value: "#008046",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.primary.frozen.default}",
            },
            name: "containerColorBlockquoteBorder",
            attributes: {},
            path: ["container", "color", "blockquote", "border"],
          },
        },
        interactive: {
          "bgFooter-activated": {
            $type: "color",
            $value: "#00811F",
            $description: " ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.positive.default}",
              $description: " ",
            },
            name: "containerColorInteractiveBgFooterActivated",
            attributes: {},
            path: ["container", "color", "interactive", "bgFooter-activated"],
          },
          "bgFooter-active": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "containerColorInteractiveBgFooterActive",
            attributes: {},
            path: ["container", "color", "interactive", "bgFooter-active"],
          },
          "border-activated": {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.positive.default}",
            },
            name: "containerColorInteractiveBorderActivated",
            attributes: {},
            path: ["container", "color", "interactive", "border-activated"],
          },
          "bgFooter-default": {
            $type: "color",
            $value: "#FFFFFF",
            $description: "tile footer bg color ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
              $description: "tile footer bg color ",
            },
            name: "containerColorInteractiveBgFooterDefault",
            attributes: {},
            path: ["container", "color", "interactive", "bgFooter-default"],
          },
          "bg-default": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "containerColorInteractiveBgDefault",
            attributes: {},
            path: ["container", "color", "interactive", "bg-default"],
          },
          "bg-disabled": {
            $type: "color",
            $value: "#f3f3f3",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.inactive.defaultAlt}",
            },
            name: "containerColorInteractiveBgDisabled",
            attributes: {},
            path: ["container", "color", "interactive", "bg-disabled"],
          },
          "bg-hover": {
            $type: "color",
            $value: "#0000001a",
            $description: "Used for accordion hover backgrounds ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.hoverAlt}",
              $description: "Used for accordion hover backgrounds ",
            },
            name: "containerColorInteractiveBgHover",
            attributes: {},
            path: ["container", "color", "interactive", "bg-hover"],
          },
          "border-active": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "containerColorInteractiveBorderActive",
            attributes: {},
            path: ["container", "color", "interactive", "border-active"],
          },
          "border-alt": {
            $type: "color",
            $value: "#d1d1d1",
            $description: "Link preview. ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.delicate}",
              $description: "Link preview. ",
            },
            name: "containerColorInteractiveBorderAlt",
            attributes: {},
            path: ["container", "color", "interactive", "border-alt"],
          },
          "borderalt-hover": {
            $type: "color",
            $value: "#000000e6",
            $description: "For hover border on Link preview.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.default}",
              $description: "For hover border on Link preview.",
            },
            name: "containerColorInteractiveBorderaltHover",
            attributes: {},
            path: ["container", "color", "interactive", "borderalt-hover"],
          },
          "border-inactive": {
            $type: "color",
            $value: "#a6a6a6",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.soft}",
            },
            name: "containerColorInteractiveBorderInactive",
            attributes: {},
            path: ["container", "color", "interactive", "border-inactive"],
          },
          "border-default": {
            $type: "color",
            $value: "#777",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.moderate}",
            },
            name: "containerColorInteractiveBorderDefault",
            attributes: {},
            path: ["container", "color", "interactive", "border-default"],
          },
          "icon-active": {
            $type: "color",
            $value: "#000000",
            $description: "Active chevron for any accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
              $description: "Active chevron for any accordion.",
            },
            name: "containerColorInteractiveIconActive",
            attributes: {},
            path: ["container", "color", "interactive", "icon-active"],
          },
          "icon-default": {
            $type: "color",
            $value: "#000000e6",
            $description: "Enabled chevron for any accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.default}",
              $description: "Enabled chevron for any accordion.",
            },
            name: "containerColorInteractiveIconDefault",
            attributes: {},
            path: ["container", "color", "interactive", "icon-default"],
          },
          "iconAlt-default": {
            $type: "color",
            $value: "#000000ab",
            $description: "Enabled label for subtle accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.defaultAlt}",
              $description: "Enabled label for subtle accordion.",
            },
            name: "containerColorInteractiveIconAltDefault",
            attributes: {},
            path: ["container", "color", "interactive", "iconAlt-default"],
          },
          "icon-hover": {
            $type: "color",
            $value: "#000000e6",
            $description: "Hover chevron for any accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.default}",
              $description: "Hover chevron for any accordion.",
            },
            name: "containerColorInteractiveIconHover",
            attributes: {},
            path: ["container", "color", "interactive", "icon-hover"],
          },
          "labelFooter-active": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.withActive}",
            },
            name: "containerColorInteractiveLabelFooterActive",
            attributes: {},
            path: ["container", "color", "interactive", "labelFooter-active"],
          },
          "labelFooter-activated": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.withActive}",
            },
            name: "containerColorInteractiveLabelFooterActivated",
            attributes: {},
            path: [
              "container",
              "color",
              "interactive",
              "labelFooter-activated",
            ],
          },
          "text-active": {
            $type: "color",
            $value: "#000000",
            $description: "Active label for any accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
              $description: "Active label for any accordion.",
            },
            name: "containerColorInteractiveTextActive",
            attributes: {},
            path: ["container", "color", "interactive", "text-active"],
          },
          "text-disabled": {
            $type: "color",
            $value: "#0000006b",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.inactive.content}",
            },
            name: "containerColorInteractiveTextDisabled",
            attributes: {},
            path: ["container", "color", "interactive", "text-disabled"],
          },
          "text-default": {
            $type: "color",
            $value: "#000000f2",
            $description: "Enabled label for standard accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.harsh}",
              $description: "Enabled label for standard accordion.",
            },
            name: "containerColorInteractiveTextDefault",
            attributes: {},
            path: ["container", "color", "interactive", "text-default"],
          },
          "textAlt-default": {
            $type: "color",
            $value: "#0000008c",
            $description: "Enabled label for subtle accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.moderate}",
              $description: "Enabled label for subtle accordion.",
            },
            name: "containerColorInteractiveTextAltDefault",
            attributes: {},
            path: ["container", "color", "interactive", "textAlt-default"],
          },
          "text-hover": {
            $type: "color",
            $value: "#000000e6",
            $description: "Hover label for any accordion.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.default}",
              $description: "Hover label for any accordion.",
            },
            name: "containerColorInteractiveTextHover",
            attributes: {},
            path: ["container", "color", "interactive", "text-hover"],
          },
          detailedicon: {
            bg: {
              $type: "color",
              $value: "#008046",
              filePath: "data/tokens/context/frozenproduct.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.custom.frozen}",
              },
              name: "containerColorInteractiveDetailediconBg",
              attributes: {},
              path: ["container", "color", "interactive", "detailedicon", "bg"],
            },
          },
          droptarget: {
            "bg-default": {
              $type: "color",
              $value: "#0060A7",
              $description: "draggable drop target background color",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.info.default}",
                $description: "draggable drop target background color",
              },
              name: "containerColorInteractiveDroptargetBgDefault",
              attributes: {},
              path: [
                "container",
                "color",
                "interactive",
                "droptarget",
                "bg-default",
              ],
            },
          },
        },
        scrollbar: {
          "bg-default": {
            $type: "color",
            $value: "#f3f3f3",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.faint}",
            },
            name: "containerColorScrollbarBgDefault",
            attributes: {},
            path: ["container", "color", "scrollbar", "bg-default"],
          },
          "fg-default": {
            $type: "color",
            $value: "#777",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.moderate}",
            },
            name: "containerColorScrollbarFgDefault",
            attributes: {},
            path: ["container", "color", "scrollbar", "fg-default"],
          },
        },
        standard: {
          "bg-alt": {
            $type: "color",
            $value: "#f3f3f3",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.faint}",
            },
            name: "containerColorStandardBgAlt",
            attributes: {},
            path: ["container", "color", "standard", "bg-alt"],
          },
          "bg-default": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "containerColorStandardBgDefault",
            attributes: {},
            path: ["container", "color", "standard", "bg-default"],
          },
          "bgFooter-default": {
            $type: "color",
            $value: "#f3f3f3",
            $description: "tile footer bg color ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.faint}",
              $description: "tile footer bg color ",
            },
            name: "containerColorStandardBgFooterDefault",
            attributes: {},
            path: ["container", "color", "standard", "bgFooter-default"],
          },
          "border-active": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "containerColorStandardBorderActive",
            attributes: {},
            path: ["container", "color", "standard", "border-active"],
          },
          "border-alt": {
            $type: "color",
            $value: "#a6a6a6",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.soft}",
            },
            name: "containerColorStandardBorderAlt",
            attributes: {},
            path: ["container", "color", "standard", "border-alt"],
          },
          "border-default": {
            $type: "color",
            $value: "#e8e8e8",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.faint}",
            },
            name: "containerColorStandardBorderDefault",
            attributes: {},
            path: ["container", "color", "standard", "border-default"],
          },
          dimmer: {
            $type: "color",
            $value: "#000000",
            $description: "dimmed mask for dialogs",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.inactive.mask}",
              $description: "dimmed mask for dialogs",
            },
            name: "containerColorStandardDimmer",
            attributes: {},
            path: ["container", "color", "standard", "dimmer"],
          },
          icon: {
            $type: "color",
            $value: "#777",
            $description: "Link preview image thumbnail",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.moderate}",
              $description: "Link preview image thumbnail",
            },
            name: "containerColorStandardIcon",
            attributes: {},
            path: ["container", "color", "standard", "icon"],
          },
          "text-alt": {
            $type: "color",
            $value: "#0000008c",
            $description: "for subheadings etc",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.moderate}",
              $description: "for subheadings etc",
            },
            name: "containerColorStandardTextAlt",
            attributes: {},
            path: ["container", "color", "standard", "text-alt"],
          },
          "text-default": {
            $type: "color",
            $value: "#000000f2",
            $description: "for headings, paragraph text etc ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.harsh}",
              $description: "for headings, paragraph text etc ",
            },
            name: "containerColorStandardTextDefault",
            attributes: {},
            path: ["container", "color", "standard", "text-default"],
          },
          statusborder: {
            "bg-ai": {
              $type: "color",
              $value:
                "linear-gradient(180deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{container.color.AI.tile.bordervertical}",
              },
              name: "containerColorStandardStatusborderBgAi",
              attributes: {},
              path: ["container", "color", "standard", "statusborder", "bg-ai"],
            },
            "bg-caution": {
              $type: "color",
              $value: "#D64309",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.caution.default}",
              },
              name: "containerColorStandardStatusborderBgCaution",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "statusborder",
                "bg-caution",
              ],
            },
            "bg-negative": {
              $type: "color",
              $value: "#CD384B",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.negative.default}",
              },
              name: "containerColorStandardStatusborderBgNegative",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "statusborder",
                "bg-negative",
              ],
            },
            "bg-important": {
              $type: "color",
              $value: "#8F4CD7",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.important.default}",
              },
              name: "containerColorStandardStatusborderBgImportant",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "statusborder",
                "bg-important",
              ],
            },
            "bg-info": {
              $type: "color",
              $value: "#0060A7",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.info.default}",
              },
              name: "containerColorStandardStatusborderBgInfo",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "statusborder",
                "bg-info",
              ],
            },
            "bg-neutral": {
              $type: "color",
              $value: "#656565",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.neutral.default}",
              },
              name: "containerColorStandardStatusborderBgNeutral",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "statusborder",
                "bg-neutral",
              ],
            },
            "bg-positive": {
              $type: "color",
              $value: "#00811F",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.positive.default}",
              },
              name: "containerColorStandardStatusborderBgPositive",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "statusborder",
                "bg-positive",
              ],
            },
          },
          inverse: {
            "bg-default": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "containerColorStandardInverseBgDefault",
              attributes: {},
              path: ["container", "color", "standard", "inverse", "bg-default"],
            },
            "border-default": {
              $type: "color",
              $value: "#181818",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.fg.inverse.faint}",
              },
              name: "containerColorStandardInverseBorderDefault",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "inverse",
                "border-default",
              ],
            },
            "text-alt": {
              $type: "color",
              $value: "#ffffff8c",
              $description: "for subheadings etc",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.inverse.moderate}",
                $description: "for subheadings etc",
              },
              name: "containerColorStandardInverseTextAlt",
              attributes: {},
              path: ["container", "color", "standard", "inverse", "text-alt"],
            },
            "text-default": {
              $type: "color",
              $value: "#fffffff2",
              $description: "for headings, paragraph text etc ",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.inverse.harsh}",
                $description: "for headings, paragraph text etc ",
              },
              name: "containerColorStandardInverseTextDefault",
              attributes: {},
              path: [
                "container",
                "color",
                "standard",
                "inverse",
                "text-default",
              ],
            },
          },
        },
      },
      size: {
        none: {
          $type: "sizing",
          $value: 0,
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.none}",
          },
          name: "containerSizeNone",
          attributes: {},
          path: ["container", "size", "none"],
        },
        accordionstandard: {
          chevron: {
            $type: "sizing",
            $value: 20,
            $description: "Accordion chevron container",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.icon.M}",
              $description: "Accordion chevron container",
            },
            name: "containerSizeAccordionstandardChevron",
            attributes: {},
            path: ["container", "size", "accordionstandard", "chevron"],
          },
        },
        quotebar: {
          width: {
            $type: "sizing",
            $value: 8,
            $description: "block quote bar width",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.M}",
              $description: "block quote bar width",
            },
            name: "containerSizeQuotebarWidth",
            attributes: {},
            path: ["container", "size", "quotebar", "width"],
          },
        },
        chatbubble: {
          maxwidth: {
            $type: "sizing",
            $value: 600,
            $description: "max width for chat bubbles",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XXXXL} * 5",
              $description: "max width for chat bubbles",
            },
            name: "containerSizeChatbubbleMaxwidth",
            attributes: {},
            path: ["container", "size", "chatbubble", "maxwidth"],
          },
        },
        carousel: {
          mediaslide: {
            minheight: {
              $type: "sizing",
              $value: "300",
              $description: "max height for media visual",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "300",
                $description: "max height for media visual",
              },
              name: "containerSizeCarouselMediaslideMinheight",
              attributes: {},
              path: [
                "container",
                "size",
                "carousel",
                "mediaslide",
                "minheight",
              ],
            },
          },
        },
        copilot: {
          emptystate: {
            illustration: {
              $type: "sizing",
              $value: 200,
              $description: "Illustration size",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.M} * 5",
                $description: "Illustration size",
              },
              name: "containerSizeCopilotEmptystateIllustration",
              attributes: {},
              path: [
                "container",
                "size",
                "copilot",
                "emptystate",
                "illustration",
              ],
            },
            content: {
              maxwidth: {
                $type: "sizing",
                $value: 600,
                $description:
                  "max-width of the insight empty state content area",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{global.size.macro.XXXXL} * 5",
                  $description:
                    "max-width of the insight empty state content area",
                },
                name: "containerSizeCopilotEmptystateContentMaxwidth",
                attributes: {},
                path: [
                  "container",
                  "size",
                  "copilot",
                  "emptystate",
                  "content",
                  "maxwidth",
                ],
              },
            },
          },
          overlay: {
            maxheight: {
              $type: "sizing",
              $value: 960,
              $description: "max-height of the copilot container overlay ",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XXXXL} * 8",
                $description: "max-height of the copilot container overlay ",
              },
              name: "containerSizeCopilotOverlayMaxheight",
              attributes: {},
              path: ["container", "size", "copilot", "overlay", "maxheight"],
            },
          },
        },
        dialog: {
          maxWidth: {
            S: {
              $type: "sizing",
              $value: "540",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "540",
              },
              name: "containerSizeDialogMaxWidthS",
              attributes: {},
              path: ["container", "size", "dialog", "maxWidth", "S"],
            },
            M: {
              $type: "sizing",
              $value: "850",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "850",
              },
              name: "containerSizeDialogMaxWidthM",
              attributes: {},
              path: ["container", "size", "dialog", "maxWidth", "M"],
            },
            L: {
              $type: "sizing",
              $value: "1080",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "1080",
              },
              name: "containerSizeDialogMaxWidthL",
              attributes: {},
              path: ["container", "size", "dialog", "maxWidth", "L"],
            },
          },
          minWidth: {
            S: {
              $type: "sizing",
              $value: "288",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "288",
              },
              name: "containerSizeDialogMinWidthS",
              attributes: {},
              path: ["container", "size", "dialog", "minWidth", "S"],
            },
            M: {
              $type: "sizing",
              $value: "288",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "288",
              },
              name: "containerSizeDialogMinWidthM",
              attributes: {},
              path: ["container", "size", "dialog", "minWidth", "M"],
            },
            L: {
              $type: "sizing",
              $value: "288",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "288",
              },
              name: "containerSizeDialogMinWidthL",
              attributes: {},
              path: ["container", "size", "dialog", "minWidth", "L"],
            },
          },
        },
        drag: {
          droptarget: {
            $type: "sizing",
            $value: 2,
            $description: "drop target width or height",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.XXS}",
              $description: "drop target width or height",
            },
            name: "containerSizeDragDroptarget",
            attributes: {},
            path: ["container", "size", "drag", "droptarget"],
          },
        },
        drawer: {
          minwidth: {
            $type: "sizing",
            $value: 288,
            $description: "min-width for drawer component",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.XL}",
              $description: "min-width for drawer component",
            },
            name: "containerSizeDrawerMinwidth",
            attributes: {},
            path: ["container", "size", "drawer", "minwidth"],
          },
          maxwidth: {
            $type: "sizing",
            $value: 760,
            $description: "max-width for drawer component",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{container.size.responsive.XXXXL}",
              $description: "max-width for drawer component",
            },
            name: "containerSizeDrawerMaxwidth",
            attributes: {},
            path: ["container", "size", "drawer", "maxwidth"],
          },
          closed: {
            M: {
              $type: "sizing",
              $value: 40,
              $description: "width for the closed drawer state",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.M}",
                $description: "width for the closed drawer state",
              },
              name: "containerSizeDrawerClosedM",
              attributes: {},
              path: ["container", "size", "drawer", "closed", "M"],
            },
          },
        },
        footer: {
          M: {
            $type: "sizing",
            $value: 56,
            $description: "card and tile footers",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XL}",
              $description: "card and tile footers",
            },
            name: "containerSizeFooterM",
            attributes: {},
            path: ["container", "size", "footer", "M"],
          },
          L: {
            $type: "sizing",
            $value: 72,
            $description: "Dialog, sidebar and drawer footer max-height",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XS} * 3",
              $description: "Dialog, sidebar and drawer footer max-height",
            },
            name: "containerSizeFooterL",
            attributes: {},
            path: ["container", "size", "footer", "L"],
          },
        },
        generic: {
          emptystate: {
            illustration: {
              primary: {
                S: {
                  $type: "sizing",
                  $value: 200,
                  $description:
                    "Illustration size for small error and empty states",
                  filePath: "data/tokens/components/container.json",
                  isSource: true,
                  original: {
                    $type: "sizing",
                    $value: "{global.size.macro.M} * 5",
                    $description:
                      "Illustration size for small error and empty states",
                  },
                  name: "containerSizeGenericEmptystateIllustrationPrimaryS",
                  attributes: {},
                  path: [
                    "container",
                    "size",
                    "generic",
                    "emptystate",
                    "illustration",
                    "primary",
                    "S",
                  ],
                },
                M: {
                  $type: "sizing",
                  $value: 240,
                  $description:
                    "Illustration size for medium error and empty states",
                  filePath: "data/tokens/components/container.json",
                  isSource: true,
                  original: {
                    $type: "sizing",
                    $value: "{global.size.macro.M} * 6",
                    $description:
                      "Illustration size for medium error and empty states",
                  },
                  name: "containerSizeGenericEmptystateIllustrationPrimaryM",
                  attributes: {},
                  path: [
                    "container",
                    "size",
                    "generic",
                    "emptystate",
                    "illustration",
                    "primary",
                    "M",
                  ],
                },
                L: {
                  $type: "sizing",
                  $value: 320,
                  $description:
                    "Illustration size for large error and empty states",
                  filePath: "data/tokens/components/container.json",
                  isSource: true,
                  original: {
                    $type: "sizing",
                    $value: "{global.size.macro.M} * 8",
                    $description:
                      "Illustration size for large error and empty states",
                  },
                  name: "containerSizeGenericEmptystateIllustrationPrimaryL",
                  attributes: {},
                  path: [
                    "container",
                    "size",
                    "generic",
                    "emptystate",
                    "illustration",
                    "primary",
                    "L",
                  ],
                },
              },
              secondary: {
                $type: "sizing",
                $value: 60,
                $description: "Illustration size for secondary empty states",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{global.size.macro.M} + {button.size.icon.M}",
                  $description: "Illustration size for secondary empty states",
                },
                name: "containerSizeGenericEmptystateIllustrationSecondary",
                attributes: {},
                path: [
                  "container",
                  "size",
                  "generic",
                  "emptystate",
                  "illustration",
                  "secondary",
                ],
              },
            },
          },
        },
        icon: {
          S: {
            $type: "sizing",
            $value: 20,
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.icon.M}",
            },
            name: "containerSizeIconS",
            attributes: {},
            path: ["container", "size", "icon", "S"],
          },
          M: {
            $type: "sizing",
            $value: 20,
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.icon.M}",
            },
            name: "containerSizeIconM",
            attributes: {},
            path: ["container", "size", "icon", "M"],
          },
          L: {
            $type: "sizing",
            $value: 20,
            $description:
              "Deliberately referencing global M (20px). Accordion chevron.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.icon.M}",
              $description:
                "Deliberately referencing global M (20px). Accordion chevron.",
            },
            name: "containerSizeIconL",
            attributes: {},
            path: ["container", "size", "icon", "L"],
          },
        },
        linkpreview: {
          thumbnail: {
            S: {
              $type: "sizing",
              $value: 117,
              $description: "Thumbnail height and width for small variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XXXXL} - 3",
                $description: "Thumbnail height and width for small variant",
              },
              name: "containerSizeLinkpreviewThumbnailS",
              attributes: {},
              path: ["container", "size", "linkpreview", "thumbnail", "S"],
            },
            M: {
              $type: "sizing",
              $value: 136,
              $description: "Thumbnail height and width for medium variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XXXXL} + {global.size.macro.XXS}",
                $description: "Thumbnail height and width for medium variant",
              },
              name: "containerSizeLinkpreviewThumbnailM",
              attributes: {},
              path: ["container", "size", "linkpreview", "thumbnail", "M"],
            },
            L: {
              $type: "sizing",
              $value: 168,
              $description: "Thumbnail height and width for large variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XXXXL} + {global.size.macro.L}",
                $description: "Thumbnail height and width for large variant",
              },
              name: "containerSizeLinkpreviewThumbnailL",
              attributes: {},
              path: ["container", "size", "linkpreview", "thumbnail", "L"],
            },
          },
          headertext: {
            S: {
              $type: "sizing",
              $value: 32,
              $description: "fixed text layer size for small header",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.S}",
                $description: "fixed text layer size for small header",
              },
              name: "containerSizeLinkpreviewHeadertextS",
              attributes: {},
              path: ["container", "size", "linkpreview", "headertext", "S"],
            },
            M: {
              $type: "sizing",
              $value: 32,
              $description: "fixed text layer size for large header",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.S}",
                $description: "fixed text layer size for large header",
              },
              name: "containerSizeLinkpreviewHeadertextM",
              attributes: {},
              path: ["container", "size", "linkpreview", "headertext", "M"],
            },
            L: {
              $type: "sizing",
              $value: 40,
              $description: "fixed text layer size for small header",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.M}",
                $description: "fixed text layer size for small header",
              },
              name: "containerSizeLinkpreviewHeadertextL",
              attributes: {},
              path: ["container", "size", "linkpreview", "headertext", "L"],
            },
          },
          descriptiontext: {
            S: {
              $type: "sizing",
              $value: 44,
              $description:
                "Fixed height for small note description text string",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.M} + {global.size.micro.XS}",
                $description:
                  "Fixed height for small note description text string",
              },
              name: "containerSizeLinkpreviewDescriptiontextS",
              attributes: {},
              path: [
                "container",
                "size",
                "linkpreview",
                "descriptiontext",
                "S",
              ],
            },
            M: {
              $type: "sizing",
              $value: 48,
              $description:
                "Fixed height for medium note description text string",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.L}",
                $description:
                  "Fixed height for medium note description text string",
              },
              name: "containerSizeLinkpreviewDescriptiontextM",
              attributes: {},
              path: [
                "container",
                "size",
                "linkpreview",
                "descriptiontext",
                "M",
              ],
            },
            L: {
              $type: "sizing",
              $value: 56,
              $description:
                "Fixed height for large note description text string",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XL}",
                $description:
                  "Fixed height for large note description text string",
              },
              name: "containerSizeLinkpreviewDescriptiontextL",
              attributes: {},
              path: [
                "container",
                "size",
                "linkpreview",
                "descriptiontext",
                "L",
              ],
            },
          },
        },
        responsive: {
          XXS: {
            $type: "sizing",
            $value: 80,
            $description: "min and max widths for responsive tile items",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.XXS}",
              $description: "min and max widths for responsive tile items",
            },
            name: "containerSizeResponsiveXxs",
            attributes: {},
            path: ["container", "size", "responsive", "XXS"],
          },
          XS: {
            $type: "sizing",
            $value: 128,
            $description: "min and max widths for responsive tile items",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.XS}",
              $description: "min and max widths for responsive tile items",
            },
            name: "containerSizeResponsiveXs",
            attributes: {},
            path: ["container", "size", "responsive", "XS"],
          },
          S: {
            $type: "sizing",
            $value: 160,
            $description:
              "min and max widths for responsive tile items. Min width for Tile select content wrapper.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.S}",
              $description:
                "min and max widths for responsive tile items. Min width for Tile select content wrapper.",
            },
            name: "containerSizeResponsiveS",
            attributes: {},
            path: ["container", "size", "responsive", "S"],
          },
          M: {
            $type: "sizing",
            $value: 200,
            $description: "min and max widths for responsive tile items",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.M}",
              $description: "min and max widths for responsive tile items",
            },
            name: "containerSizeResponsiveM",
            attributes: {},
            path: ["container", "size", "responsive", "M"],
          },
          L: {
            $type: "sizing",
            $value: 240,
            $description: "min and max widths for responsive tile items",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.L}",
              $description: "min and max widths for responsive tile items",
            },
            name: "containerSizeResponsiveL",
            attributes: {},
            path: ["container", "size", "responsive", "L"],
          },
          XL: {
            $type: "sizing",
            $value: 288,
            $description: "Small screen mid width inside page margins.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.XL}",
              $description: "Small screen mid width inside page margins.",
            },
            name: "containerSizeResponsiveXl",
            attributes: {},
            path: ["container", "size", "responsive", "XL"],
          },
          XXL: {
            $type: "sizing",
            $value: 320,
            $description: "Small screen full page width.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.XXL}",
              $description: "Small screen full page width.",
            },
            name: "containerSizeResponsiveXxl",
            attributes: {},
            path: ["container", "size", "responsive", "XXL"],
          },
          XXXL: {
            $type: "sizing",
            $value: 560,
            $description: "min and max widths for responsive tile items",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.XXXL}",
              $description: "min and max widths for responsive tile items",
            },
            name: "containerSizeResponsiveXxxl",
            attributes: {},
            path: ["container", "size", "responsive", "XXXL"],
          },
          XXXXL: {
            $type: "sizing",
            $value: 760,
            $description: "Max width for single line of text.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.flex.XXXXL}",
              $description: "Max width for single line of text.",
            },
            name: "containerSizeResponsiveXxxxl",
            attributes: {},
            path: ["container", "size", "responsive", "XXXXL"],
          },
        },
        scrollbar: {
          container: {
            $type: "sizing",
            $value: 12,
            $description: "Container that the scrollbar sits within ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.XL}",
              $description: "Container that the scrollbar sits within ",
            },
            name: "containerSizeScrollbarContainer",
            attributes: {},
            path: ["container", "size", "scrollbar", "container"],
          },
        },
        sidebar: {
          responsive: {
            min: {
              $type: "sizing",
              $value: 288,
              $description: "min-width for sidebar",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.flex.XL}",
                $description: "min-width for sidebar",
              },
              name: "containerSizeSidebarResponsiveMin",
              attributes: {},
              path: ["container", "size", "sidebar", "responsive", "min"],
            },
            max: {
              $type: "sizing",
              $value: 760,
              $description: "max-width for sidebar",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.flex.XXXXL}",
                $description: "max-width for sidebar",
              },
              name: "containerSizeSidebarResponsiveMax",
              attributes: {},
              path: ["container", "size", "sidebar", "responsive", "max"],
            },
          },
        },
        tile: {
          statusborder: {
            $type: "sizing",
            $value: 8,
            $description: "width of left status borders on tiles.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.M}",
              $description: "width of left status borders on tiles.",
            },
            name: "containerSizeTileStatusborder",
            attributes: {},
            path: ["container", "size", "tile", "statusborder"],
          },
        },
        tileselect: {
          footer: {
            $type: "sizing",
            $value: 48,
            $description: "Product identifier ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.L}",
              $description: "Product identifier ",
            },
            name: "containerSizeTileselectFooter",
            attributes: {},
            path: ["container", "size", "tileselect", "footer"],
          },
          productidentifier: {
            M: {
              $type: "sizing",
              $value: 32,
              $description: "Product identifier ",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.S}",
                $description: "Product identifier ",
              },
              name: "containerSizeTileselectProductidentifierM",
              attributes: {},
              path: [
                "container",
                "size",
                "tileselect",
                "productidentifier",
                "M",
              ],
            },
            L: {
              $type: "sizing",
              $value: 48,
              $description: "Product identifier ",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.L}",
                $description: "Product identifier ",
              },
              name: "containerSizeTileselectProductidentifierL",
              attributes: {},
              path: [
                "container",
                "size",
                "tileselect",
                "productidentifier",
                "L",
              ],
            },
          },
        },
        tooltipArrow: {
          width: {
            $type: "sizing",
            $value: 16,
            $description: "tooltip arrow width",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.XXL}",
              $description: "tooltip arrow width",
            },
            name: "containerSizeTooltipArrowWidth",
            attributes: {},
            path: ["container", "size", "tooltipArrow", "width"],
          },
          height: {
            $type: "sizing",
            $value: 8,
            $description: "tooltip arrow height",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.M}",
              $description: "tooltip arrow height",
            },
            name: "containerSizeTooltipArrowHeight",
            attributes: {},
            path: ["container", "size", "tooltipArrow", "height"],
          },
        },
        uploadpreview: {
          M: {
            $type: "sizing",
            $value: 72,
            $description: "Thumbnail container",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XXXL}",
              $description: "Thumbnail container",
            },
            name: "containerSizeUploadpreviewM",
            attributes: {},
            path: ["container", "size", "uploadpreview", "M"],
          },
        },
      },
      radius: {
        none: {
          $type: "borderRadius",
          $value: "0",
          $description:
            "Card select (inner adjacent corners), Subscription tile footer top corners",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.none}",
            $description:
              "Card select (inner adjacent corners), Subscription tile footer top corners",
          },
          name: "containerRadiusNone",
          attributes: {},
          path: ["container", "radius", "none"],
        },
        carouselslide: {
          $type: "borderRadius",
          $value: 16,
          $description: "Carousel slides",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.L}",
            $description: "Carousel slides",
          },
          name: "containerRadiusCarouselslide",
          attributes: {},
          path: ["container", "radius", "carouselslide"],
        },
        colorpicker: {
          $type: "borderRadius",
          $value: 16,
          $description: "Color picker container radius",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.L}",
            $description: "Color picker container radius",
          },
          name: "containerRadiusColorpicker",
          attributes: {},
          path: ["container", "radius", "colorpicker"],
        },
        contacttile: {
          $type: "borderRadius",
          $value: 8,
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.M}",
          },
          name: "containerRadiusContacttile",
          attributes: {},
          path: ["container", "radius", "contacttile"],
        },
        dialog: {
          $type: "borderRadius",
          $value: 24,
          $description: "Dialog",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.XL}",
            $description: "Dialog",
          },
          name: "containerRadiusDialog",
          attributes: {},
          path: ["container", "radius", "dialog"],
        },
        filepreview: {
          $type: "borderRadius",
          $value: 8,
          $description: "File preview (parent container), ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.M}",
            $description: "File preview (parent container), ",
          },
          name: "containerRadiusFilepreview",
          attributes: {},
          path: ["container", "radius", "filepreview"],
        },
        linkpreview: {
          $type: "borderRadius",
          $value: 4,
          $description: "Link preview (outer corners)",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.interactive.S}",
            $description: "Link preview (outer corners)",
          },
          name: "containerRadiusLinkpreview",
          attributes: {},
          path: ["container", "radius", "linkpreview"],
        },
        heroimage: {
          $type: "borderRadius",
          $value: 80,
          $description: "hero image radius",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.XXXXL}",
            $description: "hero image radius",
          },
          name: "containerRadiusHeroimage",
          attributes: {},
          path: ["container", "radius", "heroimage"],
        },
        note: {
          $type: "borderRadius",
          $value: 8,
          $description: "Note",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.M}",
            $description: "Note",
          },
          name: "containerRadiusNote",
          attributes: {},
          path: ["container", "radius", "note"],
        },
        nudge: {
          $type: "borderRadius",
          $value: 16,
          $description: "nudge radius",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.L}",
            $description: "nudge radius",
          },
          name: "containerRadiusNudge",
          attributes: {},
          path: ["container", "radius", "nudge"],
        },
        profileselector: {
          $type: "borderRadius",
          $value: 8,
          $description: "Profile selector list container.",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.M}",
            $description: "Profile selector list container.",
          },
          name: "containerRadiusProfileselector",
          attributes: {},
          path: ["container", "radius", "profileselector"],
        },
        scrollbar: {
          $type: "borderRadius",
          $value: "999",
          $description: "Scrollbar",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.circle}",
            $description: "Scrollbar",
          },
          name: "containerRadiusScrollbar",
          attributes: {},
          path: ["container", "radius", "scrollbar"],
        },
        texteditor: {
          $type: "borderRadius",
          $value: 8,
          $description: "Text editor (footer bottom corners) ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.M}",
            $description: "Text editor (footer bottom corners) ",
          },
          name: "containerRadiusTexteditor",
          attributes: {},
          path: ["container", "radius", "texteditor"],
        },
        blockquote: {
          bar: {
            $type: "borderRadius",
            $value: "999",
            $description: "radius for blockquote bar",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.circle}",
              $description: "radius for blockquote bar",
            },
            name: "containerRadiusBlockquoteBar",
            attributes: {},
            path: ["container", "radius", "blockquote", "bar"],
          },
        },
        card: {
          moderate: {
            $type: "borderRadius",
            $value: 8,
            $description: "Card (less rounded)",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.M}",
              $description: "Card (less rounded)",
            },
            name: "containerRadiusCardModerate",
            attributes: {},
            path: ["container", "radius", "card", "moderate"],
          },
          curved: {
            $type: "borderRadius",
            $value: 16,
            $description: "Card (more rounded)",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.L}",
              $description: "Card (more rounded)",
            },
            name: "containerRadiusCardCurved",
            attributes: {},
            path: ["container", "radius", "card", "curved"],
          },
          sweeping: {
            $type: "borderRadius",
            $value: 24,
            $description: "Card largest rounded type",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.XL}",
              $description: "Card largest rounded type",
            },
            name: "containerRadiusCardSweeping",
            attributes: {},
            path: ["container", "radius", "card", "sweeping"],
          },
        },
        tile: {
          moderate: {
            $type: "borderRadius",
            $value: 8,
            $description: "Tile (less rounded)",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.M}",
              $description: "Tile (less rounded)",
            },
            name: "containerRadiusTileModerate",
            attributes: {},
            path: ["container", "radius", "tile", "moderate"],
          },
          curved: {
            $type: "borderRadius",
            $value: 16,
            $description: "Tile (more rounded)",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.L}",
              $description: "Tile (more rounded)",
            },
            name: "containerRadiusTileCurved",
            attributes: {},
            path: ["container", "radius", "tile", "curved"],
          },
          sweeping: {
            $type: "borderRadius",
            $value: 24,
            $description: "Tile largest roundedness ",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.XL}",
              $description: "Tile largest roundedness ",
            },
            name: "containerRadiusTileSweeping",
            attributes: {},
            path: ["container", "radius", "tile", "sweeping"],
          },
        },
        tileselect: {
          moderate: {
            $type: "borderRadius",
            $value: 8,
            $description: "Tile (less rounded)",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.M}",
              $description: "Tile (less rounded)",
            },
            name: "containerRadiusTileselectModerate",
            attributes: {},
            path: ["container", "radius", "tileselect", "moderate"],
          },
          curved: {
            $type: "borderRadius",
            $value: 16,
            $description: "Tile (more rounded)",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.L}",
              $description: "Tile (more rounded)",
            },
            name: "containerRadiusTileselectCurved",
            attributes: {},
            path: ["container", "radius", "tileselect", "curved"],
          },
          sweeping: {
            $type: "borderRadius",
            $value: 24,
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.XL}",
            },
            name: "containerRadiusTileselectSweeping",
            attributes: {},
            path: ["container", "radius", "tileselect", "sweeping"],
          },
        },
      },
      space: {
        none: {
          $type: "spacing",
          $value: 0,
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "spacing",
            $value: "{global.space.none}",
          },
          name: "containerSpaceNone",
          attributes: {},
          path: ["container", "space", "none"],
        },
        accordionsubtle: {
          yg: {
            M: {
              $type: "spacing",
              $value: 16,
              $description: "Gap between Accordion subtle trigger and content",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description:
                  "Gap between Accordion subtle trigger and content",
              },
              name: "containerSpaceAccordionsubtleYgM",
              attributes: {},
              path: ["container", "space", "accordionsubtle", "yg", "M"],
            },
          },
        },
        filepreview: {
          preview: {
            x: {
              M: {
                $type: "spacing",
                $value: 8,
                $description: "Horizontal padding on large thumbnail image",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Horizontal padding on large thumbnail image",
                },
                name: "containerSpaceFilepreviewPreviewXM",
                attributes: {},
                path: [
                  "container",
                  "space",
                  "filepreview",
                  "preview",
                  "x",
                  "M",
                ],
              },
            },
            y: {
              M: {
                $type: "spacing",
                $value: 8,
                $description: "Vertical padding on large thumbnail image.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Vertical padding on large thumbnail image.",
                },
                name: "containerSpaceFilepreviewPreviewYM",
                attributes: {},
                path: [
                  "container",
                  "space",
                  "filepreview",
                  "preview",
                  "y",
                  "M",
                ],
              },
            },
          },
        },
        flex: {
          xg: {
            S: {
              $type: "spacing",
              $value: 16,
              $description: "Small horizontal item spacing",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Small horizontal item spacing",
              },
              name: "containerSpaceFlexXgS",
              attributes: {},
              path: ["container", "space", "flex", "xg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Medium horizontal item spacing",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Medium horizontal item spacing",
              },
              name: "containerSpaceFlexXgM",
              attributes: {},
              path: ["container", "space", "flex", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "Large horizontal item spacing",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "Large horizontal item spacing",
              },
              name: "containerSpaceFlexXgL",
              attributes: {},
              path: ["container", "space", "flex", "xg", "L"],
            },
          },
          yg: {
            S: {
              $type: "spacing",
              $value: 16,
              $description: "Small row gap",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Small row gap",
              },
              name: "containerSpaceFlexYgS",
              attributes: {},
              path: ["container", "space", "flex", "yg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Medium row gap",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Medium row gap",
              },
              name: "containerSpaceFlexYgM",
              attributes: {},
              path: ["container", "space", "flex", "yg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "Large row gap",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "Large row gap",
              },
              name: "containerSpaceFlexYgL",
              attributes: {},
              path: ["container", "space", "flex", "yg", "L"],
            },
          },
          item: {
            x: {
              S: {
                $type: "spacing",
                $value: 16,
                $description: "Small left and right padding on flex items",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Small left and right padding on flex items",
                },
                name: "containerSpaceFlexItemXS",
                attributes: {},
                path: ["container", "space", "flex", "item", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 24,
                $description: "Medium left and right padding on flex items",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description: "Medium left and right padding on flex items",
                },
                name: "containerSpaceFlexItemXM",
                attributes: {},
                path: ["container", "space", "flex", "item", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 32,
                $description: "Large left and right padding on flex items",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.L}",
                  $description: "Large left and right padding on flex items",
                },
                name: "containerSpaceFlexItemXL",
                attributes: {},
                path: ["container", "space", "flex", "item", "x", "L"],
              },
            },
            y: {
              S: {
                $type: "spacing",
                $value: 16,
                $description: "Small top bottom padding on flex items",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Small top bottom padding on flex items",
                },
                name: "containerSpaceFlexItemYS",
                attributes: {},
                path: ["container", "space", "flex", "item", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 24,
                $description: "Medium top bottom padding on flex items",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description: "Medium top bottom padding on flex items",
                },
                name: "containerSpaceFlexItemYM",
                attributes: {},
                path: ["container", "space", "flex", "item", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 32,
                $description: "Large top bottom padding on flex items",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.L}",
                  $description: "Large top bottom padding on flex items",
                },
                name: "containerSpaceFlexItemYL",
                attributes: {},
                path: ["container", "space", "flex", "item", "y", "L"],
              },
            },
          },
        },
        generic: {
          content: {
            x: {
              XS: {
                $type: "spacing",
                $value: 8,
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                },
                name: "containerSpaceGenericContentXXs",
                attributes: {},
                path: ["container", "space", "generic", "content", "x", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 16,
                $description:
                  "Left and right padding copilot chat history items, S accordions, S cards and S tiles",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "Left and right padding copilot chat history items, S accordions, S cards and S tiles",
                },
                name: "containerSpaceGenericContentXS",
                attributes: {},
                path: ["container", "space", "generic", "content", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 24,
                $description:
                  "Left and right padding on dialog, drawer, M cards, M tiles and sidebar",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Left and right padding on dialog, drawer, M cards, M tiles and sidebar",
                },
                name: "containerSpaceGenericContentXM",
                attributes: {},
                path: ["container", "space", "generic", "content", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 32,
                $description: "Left and right padding on large card and tile ",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.L}",
                  $description:
                    "Left and right padding on large card and tile ",
                },
                name: "containerSpaceGenericContentXL",
                attributes: {},
                path: ["container", "space", "generic", "content", "x", "L"],
              },
            },
            y: {
              XS: {
                $type: "spacing",
                $value: 8,
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                },
                name: "containerSpaceGenericContentYXs",
                attributes: {},
                path: ["container", "space", "generic", "content", "y", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 16,
                $description:
                  "Top and bottom padding S Accordions, S cards and S tiles",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "Top and bottom padding S Accordions, S cards and S tiles",
                },
                name: "containerSpaceGenericContentYS",
                attributes: {},
                path: ["container", "space", "generic", "content", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 24,
                $description:
                  "Vertical padding on content in dialog, drawer, sidebar card and tile",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Vertical padding on content in dialog, drawer, sidebar card and tile",
                },
                name: "containerSpaceGenericContentYM",
                attributes: {},
                path: ["container", "space", "generic", "content", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 32,
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.L}",
                },
                name: "containerSpaceGenericContentYL",
                attributes: {},
                path: ["container", "space", "generic", "content", "y", "L"],
              },
            },
            xg: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description: "Gap padding within timestamp in Note.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Gap padding within timestamp in Note.",
                },
                name: "containerSpaceGenericContentXgXs",
                attributes: {},
                path: ["container", "space", "generic", "content", "xg", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 16,
                $description: "gap padding between carousel tiles",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "gap padding between carousel tiles",
                },
                name: "containerSpaceGenericContentXgS",
                attributes: {},
                path: ["container", "space", "generic", "content", "xg", "S"],
              },
              M: {
                $type: "spacing",
                $value: 24,
                $description: "gap padding between carousel tiles",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description: "gap padding between carousel tiles",
                },
                name: "containerSpaceGenericContentXgM",
                attributes: {},
                path: ["container", "space", "generic", "content", "xg", "M"],
              },
            },
            yg: {
              S: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Vertical gap between content items in Anchor nav quick links ",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description:
                    "Vertical gap between content items in Anchor nav quick links ",
                },
                name: "containerSpaceGenericContentYgS",
                attributes: {},
                path: ["container", "space", "generic", "content", "yg", "S"],
              },
              M: {
                $type: "spacing",
                $value: 16,
                $description:
                  "Vertical gap between content items in copilot content, dialog, drawer, sidebar, M card and M tile. ",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "Vertical gap between content items in copilot content, dialog, drawer, sidebar, M card and M tile. ",
                },
                name: "containerSpaceGenericContentYgM",
                attributes: {},
                path: ["container", "space", "generic", "content", "yg", "M"],
              },
              L: {
                $type: "spacing",
                $value: 24,
                $description:
                  "vertical gap between block quote text and avatar",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "vertical gap between block quote text and avatar",
                },
                name: "containerSpaceGenericContentYgL",
                attributes: {},
                path: ["container", "space", "generic", "content", "yg", "L"],
              },
            },
          },
          outer: {
            x: {
              M: {
                $type: "spacing",
                $value: 24,
                $description:
                  "Left and right margins on dialog and sidebar in small screen full width contexts",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Left and right margins on dialog and sidebar in small screen full width contexts",
                },
                name: "containerSpaceGenericOuterXM",
                attributes: {},
                path: ["container", "space", "generic", "outer", "x", "M"],
              },
            },
            y: {
              M: {
                $type: "spacing",
                $value: 24,
                $description:
                  "Top and Bottom margins on dialog and sidebar in small screen full width contexts",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Top and Bottom margins on dialog and sidebar in small screen full width contexts",
                },
                name: "containerSpaceGenericOuterYM",
                attributes: {},
                path: ["container", "space", "generic", "outer", "y", "M"],
              },
            },
          },
          header: {
            x: {
              S: {
                $type: "spacing",
                $value: 16,
                $description: "Left and right padding on accordion",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Left and right padding on accordion",
                },
                name: "containerSpaceGenericHeaderXS",
                attributes: {},
                path: ["container", "space", "generic", "header", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 24,
                $description:
                  "Left and right padding on copilot, dialog, drawer, M cards, M tiles and sidebar.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Left and right padding on copilot, dialog, drawer, M cards, M tiles and sidebar.",
                },
                name: "containerSpaceGenericHeaderXM",
                attributes: {},
                path: ["container", "space", "generic", "header", "x", "M"],
              },
            },
            y: {
              XS: {
                $type: "spacing",
                $value: 12,
                $description:
                  "Top and bottom padding copilot header and subheader.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL}",
                  $description:
                    "Top and bottom padding copilot header and subheader.",
                },
                name: "containerSpaceGenericHeaderYXs",
                attributes: {},
                path: ["container", "space", "generic", "header", "y", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 16,
                $description: "Top and bottom padding on small accordion.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Top and bottom padding on small accordion.",
                },
                name: "containerSpaceGenericHeaderYS",
                attributes: {},
                path: ["container", "space", "generic", "header", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 24,
                $description:
                  "Vertical padding on accordion, dialog headers and on sub-page headers inside copilot (e.g insights and chat history).",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Vertical padding on accordion, dialog headers and on sub-page headers inside copilot (e.g insights and chat history).",
                },
                name: "containerSpaceGenericHeaderYM",
                attributes: {},
                path: ["container", "space", "generic", "header", "y", "M"],
              },
            },
            xg: {
              M: {
                $type: "spacing",
                $value: 16,
                $description:
                  "horizontal space between dialog heading and icon",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "horizontal space between dialog heading and icon",
                },
                name: "containerSpaceGenericHeaderXgM",
                attributes: {},
                path: ["container", "space", "generic", "header", "xg", "M"],
              },
            },
            yg: {
              M: {
                $type: "spacing",
                $value: 4,
                $description:
                  "vertical space between heading and subheading in dialog, accordion and sub-pages inside copilot.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "vertical space between heading and subheading in dialog, accordion and sub-pages inside copilot.",
                },
                name: "containerSpaceGenericHeaderYgM",
                attributes: {},
                path: ["container", "space", "generic", "header", "yg", "M"],
              },
              L: {
                $type: "spacing",
                $value: 16,
                $description:
                  "vertical space between heading and Powered By AI identifier in dialog header",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "vertical space between heading and Powered By AI identifier in dialog header",
                },
                name: "containerSpaceGenericHeaderYgL",
                attributes: {},
                path: ["container", "space", "generic", "header", "yg", "L"],
              },
            },
          },
          emptystate: {
            y: {
              M: {
                $type: "spacing",
                $value: 24,
                $description:
                  "Spacing between empty state heading and body copy below it.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Spacing between empty state heading and body copy below it.",
                },
                name: "containerSpaceGenericEmptystateYM",
                attributes: {},
                path: ["container", "space", "generic", "emptystate", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 40,
                $description:
                  "Spacing between empty state roundel and heading below it.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XL}",
                  $description:
                    "Spacing between empty state roundel and heading below it.",
                },
                name: "containerSpaceGenericEmptystateYL",
                attributes: {},
                path: ["container", "space", "generic", "emptystate", "y", "L"],
              },
            },
          },
          footer: {
            x: {
              M: {
                $type: "spacing",
                $value: 24,
                $description: "Left and right padding on copilot footer",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description: "Left and right padding on copilot footer",
                },
                name: "containerSpaceGenericFooterXM",
                attributes: {},
                path: ["container", "space", "generic", "footer", "x", "M"],
              },
            },
            y: {
              M: {
                $type: "spacing",
                $value: 16,
                $description: "Top and bottom padding on copilot footer",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Top and bottom padding on copilot footer",
                },
                name: "containerSpaceGenericFooterYM",
                attributes: {},
                path: ["container", "space", "generic", "footer", "y", "M"],
              },
            },
          },
        },
        note: {
          x: {
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Left and right padding on Note",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Left and right padding on Note",
              },
              name: "containerSpaceNoteXM",
              attributes: {},
              path: ["container", "space", "note", "x", "M"],
            },
          },
          xg: {
            M: {
              $type: "spacing",
              $value: 16,
              $description: "Gap between columns in editor detail in Note.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Gap between columns in editor detail in Note.",
              },
              name: "containerSpaceNoteXgM",
              attributes: {},
              path: ["container", "space", "note", "xg", "M"],
            },
          },
          timestamp: {
            xg: {
              M: {
                $type: "spacing",
                $value: 24,
                $description: "Gap between created and updated editor columns",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.M}",
                  $description:
                    "Gap between created and updated editor columns",
                },
                name: "containerSpaceNoteTimestampXgM",
                attributes: {},
                path: ["container", "space", "note", "timestamp", "xg", "M"],
              },
            },
            yg: {
              M: {
                $type: "spacing",
                $value: 4,
                $description:
                  "gap between create or updated title and timestamp",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "gap between create or updated title and timestamp",
                },
                name: "containerSpaceNoteTimestampYgM",
                attributes: {},
                path: ["container", "space", "note", "timestamp", "yg", "M"],
              },
            },
          },
          y: {
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Top bottom padding on Note",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Top bottom padding on Note",
              },
              name: "containerSpaceNoteYM",
              attributes: {},
              path: ["container", "space", "note", "y", "M"],
            },
          },
          yg: {
            M: {
              $type: "spacing",
              $value: 16,
              $description: "Vertical gap on Note",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Vertical gap on Note",
              },
              name: "containerSpaceNoteYgM",
              attributes: {},
              path: ["container", "space", "note", "yg", "M"],
            },
          },
        },
        linkpreview: {
          x: {
            S: {
              $type: "spacing",
              $value: 8,
              $description: "Content horizontal padding for small variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Content horizontal padding for small variant",
              },
              name: "containerSpaceLinkpreviewXS",
              attributes: {},
              path: ["container", "space", "linkpreview", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 12,
              $description: "Content horizontal padding for medium variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Content horizontal padding for medium variant",
              },
              name: "containerSpaceLinkpreviewXM",
              attributes: {},
              path: ["container", "space", "linkpreview", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 16,
              $description: "Content horizontal padding for large variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Content horizontal padding for large variant",
              },
              name: "containerSpaceLinkpreviewXL",
              attributes: {},
              path: ["container", "space", "linkpreview", "x", "L"],
            },
          },
          xg: {
            S: {
              $type: "spacing",
              $value: 8,
              $description: "Content horizontal padding for small variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Content horizontal padding for small variant",
              },
              name: "containerSpaceLinkpreviewXgS",
              attributes: {},
              path: ["container", "space", "linkpreview", "xg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 12,
              $description: "Content horizontal padding for medium variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Content horizontal padding for medium variant",
              },
              name: "containerSpaceLinkpreviewXgM",
              attributes: {},
              path: ["container", "space", "linkpreview", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 16,
              $description: "Content horizontal padding for large variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Content horizontal padding for large variant",
              },
              name: "containerSpaceLinkpreviewXgL",
              attributes: {},
              path: ["container", "space", "linkpreview", "xg", "L"],
            },
          },
          y: {
            S: {
              $type: "spacing",
              $value: 8,
              $description: "Content horizontal padding for small variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Content horizontal padding for small variant",
              },
              name: "containerSpaceLinkpreviewYS",
              attributes: {},
              path: ["container", "space", "linkpreview", "y", "S"],
            },
            M: {
              $type: "spacing",
              $value: 12,
              $description: "Content horizontal padding for medium variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Content horizontal padding for medium variant",
              },
              name: "containerSpaceLinkpreviewYM",
              attributes: {},
              path: ["container", "space", "linkpreview", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 16,
              $description: "Content horizontal padding for large variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Content horizontal padding for large variant",
              },
              name: "containerSpaceLinkpreviewYL",
              attributes: {},
              path: ["container", "space", "linkpreview", "y", "L"],
            },
          },
          yg: {
            S: {
              $type: "spacing",
              $value: 4,
              $description: "Content horizontal padding for small variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Content horizontal padding for small variant",
              },
              name: "containerSpaceLinkpreviewYgS",
              attributes: {},
              path: ["container", "space", "linkpreview", "yg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Content horizontal padding for medium variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Content horizontal padding for medium variant",
              },
              name: "containerSpaceLinkpreviewYgM",
              attributes: {},
              path: ["container", "space", "linkpreview", "yg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 12,
              $description: "Content horizontal padding for large variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Content horizontal padding for large variant",
              },
              name: "containerSpaceLinkpreviewYgL",
              attributes: {},
              path: ["container", "space", "linkpreview", "yg", "L"],
            },
          },
        },
        pagination: {
          xg: {
            M: {
              $type: "spacing",
              $value: 8,
              $description: "gap between elements in pagination",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "gap between elements in pagination",
              },
              name: "containerSpacePaginationXgM",
              attributes: {},
              path: ["container", "space", "pagination", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 24,
              $description: "gap between button group and advanced left area",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "gap between button group and advanced left area",
              },
              name: "containerSpacePaginationXgL",
              attributes: {},
              path: ["container", "space", "pagination", "xg", "L"],
            },
          },
          y: {
            M: {
              $type: "spacing",
              $value: 8,
              $description: "top and bottom padding inside pagination",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "top and bottom padding inside pagination",
              },
              name: "containerSpacePaginationYM",
              attributes: {},
              path: ["container", "space", "pagination", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 16,
              $description:
                "external margin on top of floating pagination variant",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description:
                  "external margin on top of floating pagination variant",
              },
              name: "containerSpacePaginationYL",
              attributes: {},
              path: ["container", "space", "pagination", "y", "L"],
            },
          },
          yg: {
            M: {
              $type: "spacing",
              $value: 16,
              $description: "Vertical gap between elements on small screens",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Vertical gap between elements on small screens",
              },
              name: "containerSpacePaginationYgM",
              attributes: {},
              path: ["container", "space", "pagination", "yg", "M"],
            },
          },
          x: {
            M: {
              $type: "spacing",
              $value: 16,
              $description: "left and right padding inside pagination",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "left and right padding inside pagination",
              },
              name: "containerSpacePaginationXM",
              attributes: {},
              path: ["container", "space", "pagination", "x", "M"],
            },
          },
        },
        scrollbar: {
          y: {
            inner: {
              $type: "spacing",
              $value: 1,
              $description: "top and bottom padding around scrollbar handle.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXS}",
                $description: "top and bottom padding around scrollbar handle.",
              },
              name: "containerSpaceScrollbarYInner",
              attributes: {},
              path: ["container", "space", "scrollbar", "y", "inner"],
            },
            outer: {
              $type: "spacing",
              $value: 2,
              $description:
                "top and bottom padding inside scrollbar outer container",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XS}",
                $description:
                  "top and bottom padding inside scrollbar outer container",
              },
              name: "containerSpaceScrollbarYOuter",
              attributes: {},
              path: ["container", "space", "scrollbar", "y", "outer"],
            },
          },
        },
        summarylist: {
          item: {
            xg: {
              M: {
                $type: "spacing",
                $value: 8,
                $description: "gap between summary list item content",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "gap between summary list item content",
                },
                name: "containerSpaceSummarylistItemXgM",
                attributes: {},
                path: ["container", "space", "summarylist", "item", "xg", "M"],
              },
            },
            y: {
              M: {
                $type: "spacing",
                $value: 12,
                $description: "top and bottom padding for each item ",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL}",
                  $description: "top and bottom padding for each item ",
                },
                name: "containerSpaceSummarylistItemYM",
                attributes: {},
                path: ["container", "space", "summarylist", "item", "y", "M"],
              },
            },
          },
          title: {
            xg: {
              M: {
                $type: "spacing",
                $value: 16,
                $description: "gap between summary list title and edit link",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "gap between summary list title and edit link",
                },
                name: "containerSpaceSummarylistTitleXgM",
                attributes: {},
                path: ["container", "space", "summarylist", "title", "xg", "M"],
              },
            },
            y: {
              M: {
                $type: "spacing",
                $value: 12,
                $description: "bottom padding for each section title",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL}",
                  $description: "bottom padding for each section title",
                },
                name: "containerSpaceSummarylistTitleYM",
                attributes: {},
                path: ["container", "space", "summarylist", "title", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 32,
                $description: "top padding for each section title",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.L}",
                  $description: "top padding for each section title",
                },
                name: "containerSpaceSummarylistTitleYL",
                attributes: {},
                path: ["container", "space", "summarylist", "title", "y", "L"],
              },
            },
          },
        },
        tilecard: {
          x: {
            XS: {
              $type: "spacing",
              $value: 16,
              $description: "Left and right padding on Link preview",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Left and right padding on Link preview",
              },
              name: "containerSpaceTilecardXXs",
              attributes: {},
              path: ["container", "space", "tilecard", "x", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 16,
              $description: "Right left padding on Tile or Card.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Right left padding on Tile or Card.",
              },
              name: "containerSpaceTilecardXS",
              attributes: {},
              path: ["container", "space", "tilecard", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Right left padding on drag wrapper",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Right left padding on drag wrapper",
              },
              name: "containerSpaceTilecardXM",
              attributes: {},
              path: ["container", "space", "tilecard", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "Right left padding on Tile or Card.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "Right left padding on Tile or Card.",
              },
              name: "containerSpaceTilecardXL",
              attributes: {},
              path: ["container", "space", "tilecard", "x", "L"],
            },
            XXXL: {
              $type: "spacing",
              $value: 80,
              $description:
                "Right margin on AI response bubbles and left margin on user prompt bubbles.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XL} * 2",
                $description:
                  "Right margin on AI response bubbles and left margin on user prompt bubbles.",
              },
              name: "containerSpaceTilecardXXxxl",
              attributes: {},
              path: ["container", "space", "tilecard", "x", "XXXL"],
            },
          },
          xg: {
            M: {
              $type: "spacing",
              $value: 8,
              $description: "horizontal gap between icons and text",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "horizontal gap between icons and text",
              },
              name: "containerSpaceTilecardXgM",
              attributes: {},
              path: ["container", "space", "tilecard", "xg", "M"],
            },
          },
          y: {
            XS: {
              $type: "spacing",
              $value: 8,
              $description:
                "Top bottom padding on Link preview and on card drag wrapper",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description:
                  "Top bottom padding on Link preview and on card drag wrapper",
              },
              name: "containerSpaceTilecardYXs",
              attributes: {},
              path: ["container", "space", "tilecard", "y", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 16,
              $description: "Top bottom padding on Tile or Card.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Top bottom padding on Tile or Card.",
              },
              name: "containerSpaceTilecardYS",
              attributes: {},
              path: ["container", "space", "tilecard", "y", "S"],
            },
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Top bottom padding on Tile or Card.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Top bottom padding on Tile or Card.",
              },
              name: "containerSpaceTilecardYM",
              attributes: {},
              path: ["container", "space", "tilecard", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "Top bottom padding on Tile or Card.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "Top bottom padding on Tile or Card.",
              },
              name: "containerSpaceTilecardYL",
              attributes: {},
              path: ["container", "space", "tilecard", "y", "L"],
            },
          },
          yg: {
            S: {
              $type: "spacing",
              $value: 4,
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
              },
              name: "containerSpaceTilecardYgS",
              attributes: {},
              path: ["container", "space", "tilecard", "yg", "S"],
            },
          },
        },
        tileselect: {
          x: {
            S: {
              $type: "spacing",
              $value: 16,
              $description: "Left and right padding on tile select container",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Left and right padding on tile select container",
              },
              name: "containerSpaceTileselectXS",
              attributes: {},
              path: ["container", "space", "tileselect", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Left and right padding on tile select container",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Left and right padding on tile select container",
              },
              name: "containerSpaceTileselectXM",
              attributes: {},
              path: ["container", "space", "tileselect", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "Left and right padding on tile select container",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "Left and right padding on tile select container",
              },
              name: "containerSpaceTileselectXL",
              attributes: {},
              path: ["container", "space", "tileselect", "x", "L"],
            },
          },
          y: {
            S: {
              $type: "spacing",
              $value: 16,
              $description: "Top and bottom padding on tile select container",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Top and bottom padding on tile select container",
              },
              name: "containerSpaceTileselectYS",
              attributes: {},
              path: ["container", "space", "tileselect", "y", "S"],
            },
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Top bottom padding on tile select container",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Top bottom padding on tile select container",
              },
              name: "containerSpaceTileselectYM",
              attributes: {},
              path: ["container", "space", "tileselect", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "Top and bottom padding on tile select container",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "Top and bottom padding on tile select container",
              },
              name: "containerSpaceTileselectYL",
              attributes: {},
              path: ["container", "space", "tileselect", "y", "L"],
            },
          },
          yg: {
            S: {
              $type: "spacing",
              $value: 16,
              $description:
                "Vertical gap between content blocks in Subscription tile.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description:
                  "Vertical gap between content blocks in Subscription tile.",
              },
              name: "containerSpaceTileselectYgS",
              attributes: {},
              path: ["container", "space", "tileselect", "yg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 24,
              $description:
                "Vertical gap between content blocks in Subscription tile.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description:
                  "Vertical gap between content blocks in Subscription tile.",
              },
              name: "containerSpaceTileselectYgM",
              attributes: {},
              path: ["container", "space", "tileselect", "yg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description:
                "Vertical gap between content blocks in Subscription tile.",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description:
                  "Vertical gap between content blocks in Subscription tile.",
              },
              name: "containerSpaceTileselectYgL",
              attributes: {},
              path: ["container", "space", "tileselect", "yg", "L"],
            },
          },
          content: {
            yg: {
              M: {
                $type: "spacing",
                $value: 8,
                $description: "Vertical gap between strings of text",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Vertical gap between strings of text",
                },
                name: "containerSpaceTileselectContentYgM",
                attributes: {},
                path: [
                  "container",
                  "space",
                  "tileselect",
                  "content",
                  "yg",
                  "M",
                ],
              },
            },
          },
          header: {
            xg: {
              M: {
                $type: "spacing",
                $value: 16,
                $description: "gap between identifier and header content",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "gap between identifier and header content",
                },
                name: "containerSpaceTileselectHeaderXgM",
                attributes: {},
                path: ["container", "space", "tileselect", "header", "xg", "M"],
              },
            },
            yg: {
              S: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Vertical gap between header content wrapper items",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description:
                    "Vertical gap between header content wrapper items",
                },
                name: "containerSpaceTileselectHeaderYgS",
                attributes: {},
                path: ["container", "space", "tileselect", "header", "yg", "S"],
              },
            },
          },
          footer: {
            y: {
              M: {
                $type: "spacing",
                $value: 8,
                $description: "Top bottom padding in footer.",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Top bottom padding in footer.",
                },
                name: "containerSpaceTileselectFooterYM",
                attributes: {},
                path: ["container", "space", "tileselect", "footer", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 16,
                $description: "Top bottom margins on carousel dots",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Top bottom margins on carousel dots",
                },
                name: "containerSpaceTileselectFooterYL",
                attributes: {},
                path: ["container", "space", "tileselect", "footer", "y", "L"],
              },
            },
            xg: {
              S: {
                $type: "spacing",
                $value: 8,
                $description: "Gap between carousel dots",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Gap between carousel dots",
                },
                name: "containerSpaceTileselectFooterXgS",
                attributes: {},
                path: ["container", "space", "tileselect", "footer", "xg", "S"],
              },
            },
          },
        },
        nudge: {
          x: {
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Left and right padding on medium nudge",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Left and right padding on medium nudge",
              },
              name: "containerSpaceNudgeXM",
              attributes: {},
              path: ["container", "space", "nudge", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "left and right padding on large nudge ",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "left and right padding on large nudge ",
              },
              name: "containerSpaceNudgeXL",
              attributes: {},
              path: ["container", "space", "nudge", "x", "L"],
            },
          },
          y: {
            M: {
              $type: "spacing",
              $value: 24,
              $description: "Top and bottom padding on medium nudge",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.M}",
                $description: "Top and bottom padding on medium nudge",
              },
              name: "containerSpaceNudgeYM",
              attributes: {},
              path: ["container", "space", "nudge", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 32,
              $description: "Top and bottom paddding on large nudge",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.L}",
                $description: "Top and bottom paddding on large nudge",
              },
              name: "containerSpaceNudgeYL",
              attributes: {},
              path: ["container", "space", "nudge", "y", "L"],
            },
          },
          yg: {
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Gap between message elements",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Gap between message elements",
              },
              name: "containerSpaceNudgeYgM",
              attributes: {},
              path: ["container", "space", "nudge", "yg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 12,
              $description: "Gap between message elements",
              filePath: "data/tokens/components/container.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Gap between message elements",
              },
              name: "containerSpaceNudgeYgL",
              attributes: {},
              path: ["container", "space", "nudge", "yg", "L"],
            },
          },
          header: {
            xg: {
              M: {
                $type: "spacing",
                $value: 16,
                $description: "gap between header and ai logo",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "gap between header and ai logo",
                },
                name: "containerSpaceNudgeHeaderXgM",
                attributes: {},
                path: ["container", "space", "nudge", "header", "xg", "M"],
              },
              L: {
                $type: "spacing",
                $value: 16,
                $description: "gap between header and ai logo",
                filePath: "data/tokens/components/container.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "gap between header and ai logo",
                },
                name: "containerSpaceNudgeHeaderXgL",
                attributes: {},
                path: ["container", "space", "nudge", "header", "xg", "L"],
              },
            },
          },
        },
      },
      boxshadow: {
        none: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "0",
              blur: "0",
              spread: "0",
              color: "rgba(0,0,0,0)",
              type: "dropShadow",
            },
          ],
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.none}",
          },
          name: "containerBoxshadowNone",
          attributes: {},
          path: ["container", "boxshadow", "none"],
        },
        carousel: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "3",
              blur: "4",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
            {
              x: "10",
              y: "10",
              blur: "60",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
          ],
          $description: "Carousel ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.container.distant}",
            $description: "Carousel ",
          },
          name: "containerBoxshadowCarousel",
          attributes: {},
          path: ["container", "boxshadow", "carousel"],
        },
        colorpicker: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "1",
              blur: "2",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
            {
              x: "2",
              y: "2",
              blur: "10",
              spread: "0",
              color: "#00000033",
              type: "dropShadow",
            },
          ],
          $description: "Color picker (advanced) ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.container.near}",
            $description: "Color picker (advanced) ",
          },
          name: "containerBoxshadowColorpicker",
          attributes: {},
          path: ["container", "boxshadow", "colorpicker"],
        },
        dialog: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "3",
              blur: "4",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
            {
              x: "10",
              y: "10",
              blur: "60",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
          ],
          $description: "Dialog ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.container.distant}",
            $description: "Dialog ",
          },
          name: "containerBoxshadowDialog",
          attributes: {},
          path: ["container", "boxshadow", "dialog"],
        },
        filepreview: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "3",
              blur: "4",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
            {
              x: "10",
              y: "10",
              blur: "60",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
          ],
          $description: "File preview",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.container.distant}",
            $description: "File preview",
          },
          name: "containerBoxshadowFilepreview",
          attributes: {},
          path: ["container", "boxshadow", "filepreview"],
        },
        nudge: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "2",
              blur: "3",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
            {
              x: "6",
              y: "6",
              blur: "30",
              spread: "0",
              color: "#00000026",
              type: "dropShadow",
            },
          ],
          $description: "nudge shadow",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.container.far}",
            $description: "nudge shadow",
          },
          name: "containerBoxshadowNudge",
          attributes: {},
          path: ["container", "boxshadow", "nudge"],
        },
        sidebar: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "3",
              blur: "4",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
            {
              x: "10",
              y: "10",
              blur: "60",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
          ],
          $description: "Sidebar",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.container.distant}",
            $description: "Sidebar",
          },
          name: "containerBoxshadowSidebar",
          attributes: {},
          path: ["container", "boxshadow", "sidebar"],
        },
        stickyfooter: {
          $type: "boxShadow",
          $value: [
            {
              x: "0",
              y: "-1",
              blur: "2",
              spread: "0",
              color: "#0000001A",
              type: "dropShadow",
            },
            {
              x: "2",
              y: "-2",
              blur: "10",
              spread: "0",
              color: "#00000033",
              type: "dropShadow",
            },
          ],
          $description: "Sticky footer in Dialog, Drawer, Sidebar.",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "boxShadow",
            $value: "{global.boxshadow.container.sticky-footer}",
            $description: "Sticky footer in Dialog, Drawer, Sidebar.",
          },
          name: "containerBoxshadowStickyfooter",
          attributes: {},
          path: ["container", "boxshadow", "stickyfooter"],
        },
        inverse: {
          stickyfooter: {
            $type: "boxShadow",
            $value: [
              {
                x: "0",
                y: "-1",
                blur: "2",
                spread: "0",
                color: "#ffffff1A",
                type: "dropShadow",
              },
              {
                x: "2",
                y: "-2",
                blur: "10",
                spread: "0",
                color: "#ffffff33",
                type: "dropShadow",
              },
            ],
            $description: "inverse Sticky footer in Dialog, Drawer, Sidebar.",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "boxShadow",
              $value: "{global.boxshadow.container.inverse.sticky-footer}",
              $description: "inverse Sticky footer in Dialog, Drawer, Sidebar.",
            },
            name: "containerBoxshadowInverseStickyfooter",
            attributes: {},
            path: ["container", "boxshadow", "inverse", "stickyfooter"],
          },
        },
        card: {
          default: {
            $type: "boxShadow",
            $value: [
              {
                x: "0",
                y: "1",
                blur: "2",
                spread: "0",
                color: "#0000001A",
                type: "dropShadow",
              },
              {
                x: "2",
                y: "2",
                blur: "10",
                spread: "0",
                color: "#00000033",
                type: "dropShadow",
              },
            ],
            $description: "Card (enabled)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "boxShadow",
              $value: "{global.boxshadow.interactive.default}",
              $description: "Card (enabled)",
            },
            name: "containerBoxshadowCardDefault",
            attributes: {},
            path: ["container", "boxshadow", "card", "default"],
          },
          hover: {
            $type: "boxShadow",
            $value: [
              {
                x: "0",
                y: "2",
                blur: "3",
                spread: "0",
                color: "#0000001A",
                type: "dropShadow",
              },
              {
                x: "6",
                y: "6",
                blur: "30",
                spread: "0",
                color: "#00000026",
                type: "dropShadow",
              },
            ],
            $description: "Card (hover state)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "boxShadow",
              $value: "{global.boxshadow.interactive.hover}",
              $description: "Card (hover state)",
            },
            name: "containerBoxshadowCardHover",
            attributes: {},
            path: ["container", "boxshadow", "card", "hover"],
          },
          drag: {
            $type: "boxShadow",
            $value: [
              {
                x: "0",
                y: "3",
                blur: "4",
                spread: "0",
                color: "#0000001A",
                type: "dropShadow",
              },
              {
                x: "10",
                y: "10",
                blur: "60",
                spread: "0",
                color: "#0000001A",
                type: "dropShadow",
              },
            ],
            $description: "Card (drag state)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "boxShadow",
              $value: "{global.boxshadow.interactive.drag}",
              $description: "Card (drag state)",
            },
            name: "containerBoxshadowCardDrag",
            attributes: {},
            path: ["container", "boxshadow", "card", "drag"],
          },
        },
      },
      borderwidth: {
        AIgradient: {
          $type: "borderWidth",
          $value: 8,
          $description:
            "AI gradient used on all containers such as dialog, chat bubbles etc",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XXL}",
            $description:
              "AI gradient used on all containers such as dialog, chat bubbles etc",
          },
          name: "containerBorderwidthAIgradient",
          attributes: {},
          path: ["container", "borderwidth", "AIgradient"],
        },
        dialog: {
          $type: "borderWidth",
          $value: 1,
          $description: "Dialog",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Dialog",
          },
          name: "containerBorderwidthDialog",
          attributes: {},
          path: ["container", "borderwidth", "dialog"],
        },
        divider: {
          $type: "borderWidth",
          $value: 1,
          $description: "Divider",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Divider",
          },
          name: "containerBorderwidthDivider",
          attributes: {},
          path: ["container", "borderwidth", "divider"],
        },
        drawer: {
          $type: "borderWidth",
          $value: 1,
          $description: "Drawer",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Drawer",
          },
          name: "containerBorderwidthDrawer",
          attributes: {},
          path: ["container", "borderwidth", "drawer"],
        },
        footer: {
          $type: "borderWidth",
          $value: 1,
          $description: "Footer (in Card, Dialog) ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Footer (in Card, Dialog) ",
          },
          name: "containerBorderwidthFooter",
          attributes: {},
          path: ["container", "borderwidth", "footer"],
        },
        header: {
          $type: "borderWidth",
          $value: 1,
          $description: "Global header (next to logo) ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Global header (next to logo) ",
          },
          name: "containerBorderwidthHeader",
          attributes: {},
          path: ["container", "borderwidth", "header"],
        },
        linkpreview: {
          $type: "borderWidth",
          $value: 1,
          $description: "Link preview in Text editor and Note ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Link preview in Text editor and Note ",
          },
          name: "containerBorderwidthLinkpreview",
          attributes: {},
          path: ["container", "borderwidth", "linkpreview"],
        },
        note: {
          $type: "borderWidth",
          $value: 1,
          $description: "Note ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Note ",
          },
          name: "containerBorderwidthNote",
          attributes: {},
          path: ["container", "borderwidth", "note"],
        },
        profileselector: {
          $type: "borderWidth",
          $value: 1,
          $description: "Profile selector list container.",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Profile selector list container.",
          },
          name: "containerBorderwidthProfileselector",
          attributes: {},
          path: ["container", "borderwidth", "profileselector"],
        },
        nudge: {
          $type: "borderWidth",
          $value: 6,
          $description: "nudge AI message borders ",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XL}",
            $description: "nudge AI message borders ",
          },
          name: "containerBorderwidthNudge",
          attributes: {},
          path: ["container", "borderwidth", "nudge"],
        },
        sidebar: {
          $type: "borderWidth",
          $value: 1,
          $description: "Sidebar",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Sidebar",
          },
          name: "containerBorderwidthSidebar",
          attributes: {},
          path: ["container", "borderwidth", "sidebar"],
        },
        summarylist: {
          $type: "borderWidth",
          $value: 1,
          $description: "Summary list",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Summary list",
          },
          name: "containerBorderwidthSummarylist",
          attributes: {},
          path: ["container", "borderwidth", "summarylist"],
        },
        tile: {
          $type: "borderWidth",
          $value: 1,
          $description: "Tile",
          filePath: "data/tokens/components/container.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Tile",
          },
          name: "containerBorderwidthTile",
          attributes: {},
          path: ["container", "borderwidth", "tile"],
        },
        accordion: {
          standard: {
            $type: "borderWidth",
            $value: 1,
            $description: "Accordion standard (top and bottom borders)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "Accordion standard (top and bottom borders)",
            },
            name: "containerBorderwidthAccordionStandard",
            attributes: {},
            path: ["container", "borderwidth", "accordion", "standard"],
          },
          subtle: {
            $type: "borderWidth",
            $value: 2,
            $description: "Accordion subtle (content vertical line)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.S}",
              $description: "Accordion subtle (content vertical line)",
            },
            name: "containerBorderwidthAccordionSubtle",
            attributes: {},
            path: ["container", "borderwidth", "accordion", "subtle"],
          },
        },
        filepreview: {
          container: {
            $type: "borderWidth",
            $value: 1,
            $description: "File preview (internal borders) ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "File preview (internal borders) ",
            },
            name: "containerBorderwidthFilepreviewContainer",
            attributes: {},
            path: ["container", "borderwidth", "filepreview", "container"],
          },
          default: {
            $type: "borderWidth",
            $value: 1,
            $description: "File preview (file selector) ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "File preview (file selector) ",
            },
            name: "containerBorderwidthFilepreviewDefault",
            attributes: {},
            path: ["container", "borderwidth", "filepreview", "default"],
          },
          active: {
            $type: "borderWidth",
            $value: 2,
            $description: "File preview (file selector) ",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.S}",
              $description: "File preview (file selector) ",
            },
            name: "containerBorderwidthFilepreviewActive",
            attributes: {},
            path: ["container", "borderwidth", "filepreview", "active"],
          },
        },
        tileselect: {
          active: {
            $type: "borderWidth",
            $value: 1,
            $description: "Subscription tile (active product)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "Subscription tile (active product)",
            },
            name: "containerBorderwidthTileselectActive",
            attributes: {},
            path: ["container", "borderwidth", "tileselect", "active"],
          },
          inactive: {
            $type: "borderWidth",
            $value: 1,
            $description: "Subscription tile (inactive product)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "Subscription tile (inactive product)",
            },
            name: "containerBorderwidthTileselectInactive",
            attributes: {},
            path: ["container", "borderwidth", "tileselect", "inactive"],
          },
          selected: {
            $type: "borderWidth",
            $value: 2,
            $description: "Tile select (selected tile)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.S}",
              $description: "Tile select (selected tile)",
            },
            name: "containerBorderwidthTileselectSelected",
            attributes: {},
            path: ["container", "borderwidth", "tileselect", "selected"],
          },
          unavailable: {
            $type: "borderWidth",
            $value: 1,
            $description: "Subscription tile (unavailable product)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "Subscription tile (unavailable product)",
            },
            name: "containerBorderwidthTileselectUnavailable",
            attributes: {},
            path: ["container", "borderwidth", "tileselect", "unavailable"],
          },
          default: {
            $type: "borderWidth",
            $value: 1,
            $description: "Tile select (enabled tile)",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "Tile select (enabled tile)",
            },
            name: "containerBorderwidthTileselectDefault",
            attributes: {},
            path: ["container", "borderwidth", "tileselect", "default"],
          },
        },
      },
      opacity: {
        carousel: {
          hidden: {
            $type: "opacity",
            $value: "0.3",
            $description:
              "opacity applied to next and previous carousel slides",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "opacity",
              $value: "0.3",
              $description:
                "opacity applied to next and previous carousel slides",
            },
            name: "containerOpacityCarouselHidden",
            attributes: {},
            path: ["container", "opacity", "carousel", "hidden"],
          },
        },
        dialog: {
          dimmer: {
            $type: "opacity",
            $value: "0.4",
            $description: "dimmer opacity value",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "opacity",
              $value: "0.4",
              $description: "dimmer opacity value",
            },
            name: "containerOpacityDialogDimmer",
            attributes: {},
            path: ["container", "opacity", "dialog", "dimmer"],
          },
        },
        drag: {
          ghost: {
            $type: "opacity",
            $value: "0.5",
            $description: "drag ghost state opacity value",
            filePath: "data/tokens/components/container.json",
            isSource: true,
            original: {
              $type: "opacity",
              $value: "0.5",
              $description: "drag ghost state opacity value",
            },
            name: "containerOpacityDragGhost",
            attributes: {},
            path: ["container", "opacity", "drag", "ghost"],
          },
        },
      },
    },
  };
});
