/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

(function (root, factory) {
  if (typeof module === "object" && module.exports) {
    module.exports = factory();
  } else if (typeof exports === "object") {
    exports["_styleDictionary"] = factory();
  } else if (typeof define === "function" && define.amd) {
    define([], factory);
  } else {
    root["_styleDictionary"] = factory();
  }
})(this, function () {
  return {
    progress: {
      size: {
        bar: {
          S: {
            $type: "sizing",
            $value: 4,
            $description: "S loader bar",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.XS}",
              $description: "S loader bar",
            },
            name: "progressSizeBarS",
            attributes: {},
            path: ["progress", "size", "bar", "S"],
          },
          M: {
            $type: "sizing",
            $value: 8,
            $description: "M progress tracker bar, M loader bar",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.M}",
              $description: "M progress tracker bar, M loader bar",
            },
            name: "progressSizeBarM",
            attributes: {},
            path: ["progress", "size", "bar", "M"],
          },
          L: {
            $type: "sizing",
            $value: 12,
            $description: "L loader bar",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.XL}",
              $description: "L loader bar",
            },
            name: "progressSizeBarL",
            attributes: {},
            path: ["progress", "size", "bar", "L"],
          },
        },
        carouselselector: {
          dot: {
            M: {
              $type: "sizing",
              $value: 10,
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.micro.L}",
              },
              name: "progressSizeCarouselselectorDotM",
              attributes: {},
              path: ["progress", "size", "carouselselector", "dot", "M"],
            },
          },
          activedot: {
            M: {
              $type: "sizing",
              $value: 16,
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XXS}",
              },
              name: "progressSizeCarouselselectorActivedotM",
              attributes: {},
              path: ["progress", "size", "carouselselector", "activedot", "M"],
            },
          },
          hitarea: {
            M: {
              $type: "sizing",
              $value: 24,
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XS}",
              },
              name: "progressSizeCarouselselectorHitareaM",
              attributes: {},
              path: ["progress", "size", "carouselselector", "hitarea", "M"],
            },
          },
        },
        carouselslide: {
          x: {
            M: {
              $type: "sizing",
              $value: 56,
              $description: "Inactive slide",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XL}",
                $description: "Inactive slide",
              },
              name: "progressSizeCarouselslideXM",
              attributes: {},
              path: ["progress", "size", "carouselslide", "x", "M"],
            },
          },
        },
        spinner: {
          XXS: {
            $type: "sizing",
            $value: 16,
            $description: "Loader ring for XXS size loader spinners",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XXS}",
              $description: "Loader ring for XXS size loader spinners",
            },
            name: "progressSizeSpinnerXxs",
            attributes: {},
            path: ["progress", "size", "spinner", "XXS"],
          },
          XS: {
            $type: "sizing",
            $value: 20,
            $description: "Loader ring for XS size loader spinners",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XS} - {global.size.micro.XS}",
              $description: "Loader ring for XS size loader spinners",
            },
            name: "progressSizeSpinnerXs",
            attributes: {},
            path: ["progress", "size", "spinner", "XS"],
          },
          S: {
            $type: "sizing",
            $value: 32,
            $description: "Loader ring",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.S}",
              $description: "Loader ring",
            },
            name: "progressSizeSpinnerS",
            attributes: {},
            path: ["progress", "size", "spinner", "S"],
          },
          M: {
            $type: "sizing",
            $value: 64,
            $description: "Loader ring",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.S} * 2",
              $description: "Loader ring",
            },
            name: "progressSizeSpinnerM",
            attributes: {},
            path: ["progress", "size", "spinner", "M"],
          },
          L: {
            $type: "sizing",
            $value: 96,
            $description: "Loader ring",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XS} * 4",
              $description: "Loader ring",
            },
            name: "progressSizeSpinnerL",
            attributes: {},
            path: ["progress", "size", "spinner", "L"],
          },
        },
        skeleton: {
          responsive: {
            text: {
              XS: {
                $type: "sizing",
                $value: "clamp(0.875rem, 0.875rem + 0vw, 0.875rem)",
                $description: "Skeleton paragraph and H5",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{primitives.fontSize.responsive.step0}",
                  $description: "Skeleton paragraph and H5",
                },
                name: "progressSizeSkeletonResponsiveTextXs",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "responsive",
                  "text",
                  "XS",
                ],
              },
              S: {
                $type: "sizing",
                $value: "clamp(1.0588rem, 1.0326rem + 0.1307vw, 1.1372rem)",
                $description: "H4 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{primitives.fontSize.responsive.step2}",
                  $description: "H4 Skeletons",
                },
                name: "progressSizeSkeletonResponsiveTextS",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "responsive",
                  "text",
                  "S",
                ],
              },
              M: {
                $type: "sizing",
                $value: "clamp(1.0588rem, 1.0326rem + 0.1307vw, 1.1372rem)",
                $description: "H3 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{primitives.fontSize.responsive.step2}",
                  $description: "H3 Skeletons",
                },
                name: "progressSizeSkeletonResponsiveTextM",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "responsive",
                  "text",
                  "M",
                ],
              },
              L: {
                $type: "sizing",
                $value: "clamp(1.1646rem, 1.1207rem + 0.2195vw, 1.2964rem)",
                $description: "H2 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{primitives.fontSize.responsive.step3}",
                  $description: "H2 Skeletons",
                },
                name: "progressSizeSkeletonResponsiveTextL",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "responsive",
                  "text",
                  "L",
                ],
              },
              XL: {
                $type: "sizing",
                $value: "clamp(1.4092rem, 1.3173rem + 0.4592vw, 1.6847rem)",
                $description: "H1 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{primitives.fontSize.responsive.step5}",
                  $description: "H1 Skeletons",
                },
                name: "progressSizeSkeletonResponsiveTextXl",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "responsive",
                  "text",
                  "XL",
                ],
              },
            },
          },
          adaptiveLarge: {
            text: {
              XS: {
                $type: "sizing",
                $value: "14",
                $description: "Skeleton paragraph and H5",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{global.fontSize.adaptive.step0}",
                  $description: "Skeleton paragraph and H5",
                },
                name: "progressSizeSkeletonAdaptiveLargeTextXs",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "adaptiveLarge",
                  "text",
                  "XS",
                ],
              },
              S: {
                $type: "sizing",
                $value: "17",
                $description: "H4 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{global.fontSize.adaptive.step2}",
                  $description: "H4 Skeletons",
                },
                name: "progressSizeSkeletonAdaptiveLargeTextS",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "adaptiveLarge",
                  "text",
                  "S",
                ],
              },
              M: {
                $type: "sizing",
                $value: "17",
                $description: "H3 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{global.fontSize.adaptive.step2}",
                  $description: "H3 Skeletons",
                },
                name: "progressSizeSkeletonAdaptiveLargeTextM",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "adaptiveLarge",
                  "text",
                  "M",
                ],
              },
              L: {
                $type: "sizing",
                $value: "19",
                $description: "H2 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{global.fontSize.adaptive.step3}",
                  $description: "H2 Skeletons",
                },
                name: "progressSizeSkeletonAdaptiveLargeTextL",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "adaptiveLarge",
                  "text",
                  "L",
                ],
              },
              XL: {
                $type: "sizing",
                $value: "23",
                $description: "H1 Skeletons",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "sizing",
                  $value: "{global.fontSize.adaptive.step5}",
                  $description: "H1 Skeletons",
                },
                name: "progressSizeSkeletonAdaptiveLargeTextXl",
                attributes: {},
                path: [
                  "progress",
                  "size",
                  "skeleton",
                  "adaptiveLarge",
                  "text",
                  "XL",
                ],
              },
            },
          },
        },
        stepflow: {
          M: {
            $type: "sizing",
            $value: 8,
            $description: "Step height",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.M}",
              $description: "Step height",
            },
            name: "progressSizeStepflowM",
            attributes: {},
            path: ["progress", "size", "stepflow", "M"],
          },
        },
        stepindicator: {
          bar: {
            $type: "sizing",
            $value: 2,
            $description: "step indicator bar",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.micro.XXS}",
              $description: "step indicator bar",
            },
            name: "progressSizeStepindicatorBar",
            attributes: {},
            path: ["progress", "size", "stepindicator", "bar"],
          },
          stepcircle: {
            S: {
              $type: "sizing",
              $value: 24,
              $description: "M size step indicator",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.XS}",
                $description: "M size step indicator",
              },
              name: "progressSizeStepindicatorStepcircleS",
              attributes: {},
              path: ["progress", "size", "stepindicator", "stepcircle", "S"],
            },
            M: {
              $type: "sizing",
              $value: 32,
              $description: "M size step indicator",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "sizing",
                $value: "{global.size.macro.S}",
                $description: "M size step indicator",
              },
              name: "progressSizeStepindicatorStepcircleM",
              attributes: {},
              path: ["progress", "size", "stepindicator", "stepcircle", "M"],
            },
          },
        },
      },
      color: {
        "bg-skeleton": {
          $type: "color",
          $value: "linear-gradient(135deg, #6F6F6F5c 0%, #6F6F6F0A 100%)",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.status.content.loading}",
          },
          name: "progressColorBgSkeleton",
          attributes: {},
          path: ["progress", "color", "bg-skeleton"],
        },
        "bg-default": {
          $type: "color",
          $value: "#cad3d9",
          filePath: "data/tokens/context/frozenproduct.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.interactive.progress.frozen.bg-alt}",
          },
          name: "progressColorBgDefault",
          attributes: {},
          path: ["progress", "color", "bg-default"],
        },
        "border-default": {
          $type: "color",
          $value: "#335B70",
          filePath: "data/tokens/context/frozenproduct.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.generic.fg.frozen.soft}",
          },
          name: "progressColorBorderDefault",
          attributes: {},
          path: ["progress", "color", "border-default"],
        },
        "fg-ai": {
          $type: "color",
          $value:
            "linear-gradient(90deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
          $description: "For progress ring in ai buttons",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.interactive.ai.default}",
            $description: "For progress ring in ai buttons",
          },
          name: "progressColorFgAi",
          attributes: {},
          path: ["progress", "color", "fg-ai"],
        },
        "fg-alt": {
          $type: "color",
          $value: "#00811F",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.status.positive.default}",
          },
          name: "progressColorFgAlt",
          attributes: {},
          path: ["progress", "color", "fg-alt"],
        },
        "fg-alt2": {
          $type: "color",
          $value: "#000000ab",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.generic.content.firm}",
          },
          name: "progressColorFgAlt2",
          attributes: {},
          path: ["progress", "color", "fg-alt2"],
        },
        "fg-caution": {
          $type: "color",
          $value: "#D64309",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.status.caution.default}",
          },
          name: "progressColorFgCaution",
          attributes: {},
          path: ["progress", "color", "fg-caution"],
        },
        "fg-default": {
          $type: "color",
          $value: "#335B70",
          filePath: "data/tokens/context/frozenproduct.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.generic.fg.frozen.soft}",
          },
          name: "progressColorFgDefault",
          attributes: {},
          path: ["progress", "color", "fg-default"],
        },
        "fg-error": {
          $type: "color",
          $value: "#CD384B",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.status.negative.default}",
          },
          name: "progressColorFgError",
          attributes: {},
          path: ["progress", "color", "fg-error"],
        },
        "fg-info": {
          $type: "color",
          $value: "#0060A7",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.status.info.default}",
          },
          name: "progressColorFgInfo",
          attributes: {},
          path: ["progress", "color", "fg-info"],
        },
        "label-alt": {
          $type: "color",
          $value: "#000000ab",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.generic.content.firm}",
          },
          name: "progressColorLabelAlt",
          attributes: {},
          path: ["progress", "color", "label-alt"],
        },
        "label-default": {
          $type: "color",
          $value: "#000000f2",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.generic.content.harsh}",
          },
          name: "progressColorLabelDefault",
          attributes: {},
          path: ["progress", "color", "label-default"],
        },
        datavis: {
          "fg-default": {
            $type: "color",
            $value: "#007C7B",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.custom.teal.default}",
            },
            name: "progressColorDatavisFgDefault",
            attributes: {},
            path: ["progress", "color", "datavis", "fg-default"],
          },
        },
        loader: {
          "bg-default": {
            $type: "color",
            $value: "#00804614",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.progress.frozen.bg}",
            },
            name: "progressColorLoaderBgDefault",
            attributes: {},
            path: ["progress", "color", "loader", "bg-default"],
          },
          "fg-default": {
            $type: "color",
            $value: "#008046",
            $description: "used for loader standard loader spinner",
            filePath: "data/tokens/context/frozenproduct.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.primary.frozen.default}",
              $description: "used for loader standard loader spinner",
            },
            name: "progressColorLoaderFgDefault",
            attributes: {},
            path: ["progress", "color", "loader", "fg-default"],
          },
          "fg-error": {
            $type: "color",
            $value: "#CD384B",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.negative.default}",
            },
            name: "progressColorLoaderFgError",
            attributes: {},
            path: ["progress", "color", "loader", "fg-error"],
          },
          "fg-complete": {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.positive.default}",
            },
            name: "progressColorLoaderFgComplete",
            attributes: {},
            path: ["progress", "color", "loader", "fg-complete"],
          },
          inverse: {
            "bg-default": {
              $type: "color",
              $value: "#ffffff14",
              $description: "used for inverse loader bgs",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.progress.bgAlt}",
                $description: "used for inverse loader bgs",
              },
              name: "progressColorLoaderInverseBgDefault",
              attributes: {},
              path: ["progress", "color", "loader", "inverse", "bg-default"],
            },
            "fg-default": {
              $type: "color",
              $value: "#FFFFFF",
              $description: "used on inverse loading spinner",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withActive}",
                $description: "used on inverse loading spinner",
              },
              name: "progressColorLoaderInverseFgDefault",
              attributes: {},
              path: ["progress", "color", "loader", "inverse", "fg-default"],
            },
          },
        },
        stepflow: {
          "bg-active": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "progressColorStepflowBgActive",
            attributes: {},
            path: ["progress", "color", "stepflow", "bg-active"],
          },
          "bg-complete": {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.positive.default}",
            },
            name: "progressColorStepflowBgComplete",
            attributes: {},
            path: ["progress", "color", "stepflow", "bg-complete"],
          },
          "bg-default": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
            },
            name: "progressColorStepflowBgDefault",
            attributes: {},
            path: ["progress", "color", "stepflow", "bg-default"],
          },
          "border-active-inner": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
            },
            name: "progressColorStepflowBorderActiveInner",
            attributes: {},
            path: ["progress", "color", "stepflow", "border-active-inner"],
          },
          "border-active-outer": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "progressColorStepflowBorderActiveOuter",
            attributes: {},
            path: ["progress", "color", "stepflow", "border-active-outer"],
          },
          "border-default": {
            $type: "color",
            $value: "#a6a6a6",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.soft}",
            },
            name: "progressColorStepflowBorderDefault",
            attributes: {},
            path: ["progress", "color", "stepflow", "border-default"],
          },
          "label-alt": {
            $type: "color",
            $value: "#000000ab",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.firm}",
            },
            name: "progressColorStepflowLabelAlt",
            attributes: {},
            path: ["progress", "color", "stepflow", "label-alt"],
          },
          "label-default": {
            $type: "color",
            $value: "#000000f2",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.harsh}",
            },
            name: "progressColorStepflowLabelDefault",
            attributes: {},
            path: ["progress", "color", "stepflow", "label-default"],
          },
        },
        stepindicator: {
          "bg-active": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "progressColorStepindicatorBgActive",
            attributes: {},
            path: ["progress", "color", "stepindicator", "bg-active"],
          },
          "bg-complete": {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.positive.default}",
            },
            name: "progressColorStepindicatorBgComplete",
            attributes: {},
            path: ["progress", "color", "stepindicator", "bg-complete"],
          },
          "border-active-outer": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "progressColorStepindicatorBorderActiveOuter",
            attributes: {},
            path: ["progress", "color", "stepindicator", "border-active-outer"],
          },
          "border-default": {
            $type: "color",
            $value: "#a6a6a6",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.soft}",
            },
            name: "progressColorStepindicatorBorderDefault",
            attributes: {},
            path: ["progress", "color", "stepindicator", "border-default"],
          },
          "border-success": {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.status.positive.default}",
            },
            name: "progressColorStepindicatorBorderSuccess",
            attributes: {},
            path: ["progress", "color", "stepindicator", "border-success"],
          },
          "label-active": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.withActive}",
            },
            name: "progressColorStepindicatorLabelActive",
            attributes: {},
            path: ["progress", "color", "stepindicator", "label-active"],
          },
          "label-complete": {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.withActive}",
            },
            name: "progressColorStepindicatorLabelComplete",
            attributes: {},
            path: ["progress", "color", "stepindicator", "label-complete"],
          },
          "label-default": {
            $type: "color",
            $value: "#000000f2",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.harsh}",
            },
            name: "progressColorStepindicatorLabelDefault",
            attributes: {},
            path: ["progress", "color", "stepindicator", "label-default"],
          },
        },
      },
      radius: {
        none: {
          $type: "borderRadius",
          $value: "0",
          $description: "File input (top corners of integrated progress bar),",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.none}",
            $description:
              "File input (top corners of integrated progress bar),",
          },
          name: "progressRadiusNone",
          attributes: {},
          path: ["progress", "radius", "none"],
        },
        stepflow: {
          $type: "borderRadius",
          $value: "999",
          $description: "Step flow (step indicators)",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.circle}",
            $description: "Step flow (step indicators)",
          },
          name: "progressRadiusStepflow",
          attributes: {},
          path: ["progress", "radius", "stepflow"],
        },
        stepindicator: {
          $type: "borderRadius",
          $value: "999",
          $description: "step indicator circles",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.circle}",
            $description: "step indicator circles",
          },
          name: "progressRadiusStepindicator",
          attributes: {},
          path: ["progress", "radius", "stepindicator"],
        },
        carouselselector: {
          $type: "borderRadius",
          $value: "999",
          $description: "Carousel (selector dot)",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.circle}",
            $description: "Carousel (selector dot)",
          },
          name: "progressRadiusCarouselselector",
          attributes: {},
          path: ["progress", "radius", "carouselselector"],
        },
        integrated: {
          $type: "borderRadius",
          $value: 4,
          $description: "File input (bottom corners of integrated status bar)",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.container.S}",
            $description:
              "File input (bottom corners of integrated status bar)",
          },
          name: "progressRadiusIntegrated",
          attributes: {},
          path: ["progress", "radius", "integrated"],
        },
        skeleton: {
          moderate: {
            $type: "borderRadius",
            $value: 8,
            $description: "used to represent headings, inputs and text",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.M}",
              $description: "used to represent headings, inputs and text",
            },
            name: "progressRadiusSkeletonModerate",
            attributes: {},
            path: ["progress", "radius", "skeleton", "moderate"],
          },
          curved: {
            $type: "borderRadius",
            $value: 16,
            $description: "used to represent elements such as icons",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.L}",
              $description: "used to represent elements such as icons",
            },
            name: "progressRadiusSkeletonCurved",
            attributes: {},
            path: ["progress", "radius", "skeleton", "curved"],
          },
          sweeping: {
            $type: "borderRadius",
            $value: 32,
            $description: "used to represent buttons",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.XXL}",
              $description: "used to represent buttons",
            },
            name: "progressRadiusSkeletonSweeping",
            attributes: {},
            path: ["progress", "radius", "skeleton", "sweeping"],
          },
          circle: {
            $type: "borderRadius",
            $value: "999",
            $description:
              "Used to represent circular elements such as profiles, badges etc",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.circle}",
              $description:
                "Used to represent circular elements such as profiles, badges etc",
            },
            name: "progressRadiusSkeletonCircle",
            attributes: {},
            path: ["progress", "radius", "skeleton", "circle"],
          },
        },
        bar: {
          S: {
            $type: "borderRadius",
            $value: 2,
            $description: "Progress tracker S",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.XS}",
              $description: "Progress tracker S",
            },
            name: "progressRadiusBarS",
            attributes: {},
            path: ["progress", "radius", "bar", "S"],
          },
          M: {
            $type: "borderRadius",
            $value: 4,
            $description:
              "File input (bottom corners of integrated status bar), Progress tracker M, ",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.S}",
              $description:
                "File input (bottom corners of integrated status bar), Progress tracker M, ",
            },
            name: "progressRadiusBarM",
            attributes: {},
            path: ["progress", "radius", "bar", "M"],
          },
          L: {
            $type: "borderRadius",
            $value: 6,
            $description: "Progress tracker L",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.container.SM}",
              $description: "Progress tracker L",
            },
            name: "progressRadiusBarL",
            attributes: {},
            path: ["progress", "radius", "bar", "L"],
          },
        },
      },
      borderwidth: {
        bar: {
          $type: "borderWidth",
          $value: 1,
          $description: "Progress bar (all sizes) ",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Progress bar (all sizes) ",
          },
          name: "progressBorderwidthBar",
          attributes: {},
          path: ["progress", "borderwidth", "bar"],
        },
        carouselector: {
          $type: "borderWidth",
          $value: 1,
          $description: "Carousel slide selector dots ",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Carousel slide selector dots ",
          },
          name: "progressBorderwidthCarouselector",
          attributes: {},
          path: ["progress", "borderwidth", "carouselector"],
        },
        integrated: {
          $type: "borderWidth",
          $value: 1,
          $description: "Progress bar in File upload ",
          filePath: "data/tokens/components/progress.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Progress bar in File upload ",
          },
          name: "progressBorderwidthIntegrated",
          attributes: {},
          path: ["progress", "borderwidth", "integrated"],
        },
        stepflow: {
          inner: {
            $type: "borderWidth",
            $value: 1,
            $description: "Step flow default (not started)",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.XS}",
              $description: "Step flow default (not started)",
            },
            name: "progressBorderwidthStepflowInner",
            attributes: {},
            path: ["progress", "borderwidth", "stepflow", "inner"],
          },
          "active-inner": {
            $type: "borderWidth",
            $value: 2,
            $description: "Step flow active step border outer",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.S}",
              $description: "Step flow active step border outer",
            },
            name: "progressBorderwidthStepflowActiveInner",
            attributes: {},
            path: ["progress", "borderwidth", "stepflow", "active-inner"],
          },
          "active-outer": {
            $type: "borderWidth",
            $value: 4,
            $description: "Step flow active step border outermost",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "borderWidth",
              $value: "{global.borderwidth.L}",
              $description: "Step flow active step border outermost",
            },
            name: "progressBorderwidthStepflowActiveOuter",
            attributes: {},
            path: ["progress", "borderwidth", "stepflow", "active-outer"],
          },
        },
        stepindicator: {
          S: {
            active: {
              $type: "borderWidth",
              $value: 2,
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "borderWidth",
                $value: "{global.borderwidth.S}",
              },
              name: "progressBorderwidthStepindicatorSActive",
              attributes: {},
              path: ["progress", "borderwidth", "stepindicator", "S", "active"],
            },
            default: {
              $type: "borderWidth",
              $value: 2,
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "borderWidth",
                $value: "{global.borderwidth.S}",
              },
              name: "progressBorderwidthStepindicatorSDefault",
              attributes: {},
              path: [
                "progress",
                "borderwidth",
                "stepindicator",
                "S",
                "default",
              ],
            },
          },
          M: {
            active: {
              $type: "borderWidth",
              $value: 3,
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "borderWidth",
                $value: "{global.borderwidth.M}",
              },
              name: "progressBorderwidthStepindicatorMActive",
              attributes: {},
              path: ["progress", "borderwidth", "stepindicator", "M", "active"],
            },
            default: {
              $type: "borderWidth",
              $value: 3,
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "borderWidth",
                $value: "{global.borderwidth.M}",
              },
              name: "progressBorderwidthStepindicatorMDefault",
              attributes: {},
              path: [
                "progress",
                "borderwidth",
                "stepindicator",
                "M",
                "default",
              ],
            },
          },
        },
      },
      space: {
        carouselselector: {
          xg: {
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Gap between selectors.",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Gap between selectors.",
              },
              name: "progressSpaceCarouselselectorXgM",
              attributes: {},
              path: ["progress", "space", "carouselselector", "xg", "M"],
            },
          },
          y: {
            M: {
              $type: "spacing",
              $value: 12.8,
              $description: "Vertical padding on selector group.",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Vertical padding on selector group.",
              },
              name: "progressSpaceCarouselselectorYM",
              attributes: {},
              path: ["progress", "space", "carouselselector", "y", "M"],
            },
          },
        },
        integral: {
          x: {
            $type: "spacing",
            $value: 4,
            $description: "Little space between words in progress components",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "spacing",
              $value: "{global.space.micro.S}",
              $description: "Little space between words in progress components",
            },
            name: "progressSpaceIntegralX",
            attributes: {},
            path: ["progress", "space", "integral", "x"],
          },
        },
        loader: {
          yg: {
            S: {
              $type: "spacing",
              $value: 6,
              $description: "gap between loader visual and loading text",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.M}",
                $description: "gap between loader visual and loading text",
              },
              name: "progressSpaceLoaderYgS",
              attributes: {},
              path: ["progress", "space", "loader", "yg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "gap between loader visual and loading text",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "gap between loader visual and loading text",
              },
              name: "progressSpaceLoaderYgM",
              attributes: {},
              path: ["progress", "space", "loader", "yg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 10,
              $description: "gap between loader visual and loading text",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XL}",
                $description: "gap between loader visual and loading text",
              },
              name: "progressSpaceLoaderYgL",
              attributes: {},
              path: ["progress", "space", "loader", "yg", "L"],
            },
          },
          xg: {
            S: {
              $type: "spacing",
              $value: 8,
              $description: "Gap between loader graphic and label.",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Gap between loader graphic and label.",
              },
              name: "progressSpaceLoaderXgS",
              attributes: {},
              path: ["progress", "space", "loader", "xg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 12,
              $description: "Gap between loader graphic and label.",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Gap between loader graphic and label.",
              },
              name: "progressSpaceLoaderXgM",
              attributes: {},
              path: ["progress", "space", "loader", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 12.8,
              $description: "Gap between loader graphic and label.",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Gap between loader graphic and label.",
              },
              name: "progressSpaceLoaderXgL",
              attributes: {},
              path: ["progress", "space", "loader", "xg", "L"],
            },
          },
        },
        skeleton: {
          multiline: {
            yg: {
              XS: {
                $type: "spacing",
                $value: 8,
                $description: "vertical gap between skeleton bars",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "vertical gap between skeleton bars",
                },
                name: "progressSpaceSkeletonMultilineYgXs",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "skeleton",
                  "multiline",
                  "yg",
                  "XS",
                ],
              },
              S: {
                $type: "spacing",
                $value: 10,
                $description: "vertical gap between skeleton bars",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description: "vertical gap between skeleton bars",
                },
                name: "progressSpaceSkeletonMultilineYgS",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "yg", "S"],
              },
              M: {
                $type: "spacing",
                $value: 6,
                $description: "vertical gap between skeleton bars",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description: "vertical gap between skeleton bars",
                },
                name: "progressSpaceSkeletonMultilineYgM",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "yg", "M"],
              },
              L: {
                $type: "spacing",
                $value: 8,
                $description: "vertical gap between skeleton bars",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "vertical gap between skeleton bars",
                },
                name: "progressSpaceSkeletonMultilineYgL",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "yg", "L"],
              },
              XL: {
                $type: "spacing",
                $value: 10,
                $description: "vertical gap between skeleton bars",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description: "vertical gap between skeleton bars",
                },
                name: "progressSpaceSkeletonMultilineYgXl",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "skeleton",
                  "multiline",
                  "yg",
                  "XL",
                ],
              },
            },
            y: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description: "Top bottom padding on grouped lines",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Top bottom padding on grouped lines",
                },
                name: "progressSpaceSkeletonMultilineYXs",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "y", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 4,
                $description: "Top bottom padding on grouped lines",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Top bottom padding on grouped lines",
                },
                name: "progressSpaceSkeletonMultilineYS",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 2,
                $description: "Top bottom padding on grouped lines",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XS}",
                  $description: "Top bottom padding on grouped lines",
                },
                name: "progressSpaceSkeletonMultilineYM",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 2,
                $description: "Top bottom padding on grouped lines",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XS}",
                  $description: "Top bottom padding on grouped lines",
                },
                name: "progressSpaceSkeletonMultilineYL",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "y", "L"],
              },
              XL: {
                $type: "spacing",
                $value: 4,
                $description: "Top bottom padding on grouped lines",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Top bottom padding on grouped lines",
                },
                name: "progressSpaceSkeletonMultilineYXl",
                attributes: {},
                path: ["progress", "space", "skeleton", "multiline", "y", "XL"],
              },
            },
          },
          singleline: {
            xg: {
              XS: {
                $type: "spacing",
                $value: 8,
                $description: "horizontal gap between elements",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "horizontal gap between elements",
                },
                name: "progressSpaceSkeletonSinglelineXgXs",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "skeleton",
                  "singleline",
                  "xg",
                  "XS",
                ],
              },
              S: {
                $type: "spacing",
                $value: 8,
                $description: "horizontal gap between elements",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "horizontal gap between elements",
                },
                name: "progressSpaceSkeletonSinglelineXgS",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "skeleton",
                  "singleline",
                  "xg",
                  "S",
                ],
              },
              M: {
                $type: "spacing",
                $value: 12,
                $description: "horizontal gap between elements",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL}",
                  $description: "horizontal gap between elements",
                },
                name: "progressSpaceSkeletonSinglelineXgM",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "skeleton",
                  "singleline",
                  "xg",
                  "M",
                ],
              },
              L: {
                $type: "spacing",
                $value: 12,
                $description: "horizontal gap between elements",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL}",
                  $description: "horizontal gap between elements",
                },
                name: "progressSpaceSkeletonSinglelineXgL",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "skeleton",
                  "singleline",
                  "xg",
                  "L",
                ],
              },
              XL: {
                $type: "spacing",
                $value: 12.8,
                $description: "horizontal gap between elements",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "horizontal gap between elements",
                },
                name: "progressSpaceSkeletonSinglelineXgXl",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "skeleton",
                  "singleline",
                  "xg",
                  "XL",
                ],
              },
            },
          },
        },
        stepflow: {
          y: {
            M: {
              $type: "spacing",
              $value: 4,
              $description: "Vertical padding around step indicators",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Vertical padding around step indicators",
              },
              name: "progressSpaceStepflowYM",
              attributes: {},
              path: ["progress", "space", "stepflow", "y", "M"],
            },
          },
          yg: {
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Gap between step heading and back link.",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Gap between step heading and back link.",
              },
              name: "progressSpaceStepflowYgM",
              attributes: {},
              path: ["progress", "space", "stepflow", "yg", "M"],
            },
          },
          steps: {
            xg: {
              M: {
                $type: "spacing",
                $value: 12.8,
                $description: "Gap between step indicators",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Gap between step indicators",
                },
                name: "progressSpaceStepflowStepsXgM",
                attributes: {},
                path: ["progress", "space", "stepflow", "steps", "xg", "M"],
              },
            },
            yg: {
              M: {
                $type: "spacing",
                $value: 4,
                $description:
                  "Gap between glow heading, step label and step indicators",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "Gap between glow heading, step label and step indicators",
                },
                name: "progressSpaceStepflowStepsYgM",
                attributes: {},
                path: ["progress", "space", "stepflow", "steps", "yg", "M"],
              },
            },
          },
        },
        tracker: {
          yg: {
            S: {
              $type: "spacing",
              $value: 6,
              $description: "Space between bar and label",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.M}",
                $description: "Space between bar and label",
              },
              name: "progressSpaceTrackerYgS",
              attributes: {},
              path: ["progress", "space", "tracker", "yg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Space between bar and label",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Space between bar and label",
              },
              name: "progressSpaceTrackerYgM",
              attributes: {},
              path: ["progress", "space", "tracker", "yg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 12,
              $description: "Space between bar and label",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Space between bar and label",
              },
              name: "progressSpaceTrackerYgL",
              attributes: {},
              path: ["progress", "space", "tracker", "yg", "L"],
            },
          },
          xg: {
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Gap between tracker value text and description",
              filePath: "data/tokens/components/progress.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Gap between tracker value text and description",
              },
              name: "progressSpaceTrackerXgM",
              attributes: {},
              path: ["progress", "space", "tracker", "xg", "M"],
            },
          },
        },
        stepindicator: {
          generic: {
            g: {
              S: {
                $type: "spacing",
                $value: 12,
                $description: "gap between timeline visual and text",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL}",
                  $description: "gap between timeline visual and text",
                },
                name: "progressSpaceStepindicatorGenericGS",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "stepindicator",
                  "generic",
                  "g",
                  "S",
                ],
              },
              M: {
                $type: "spacing",
                $value: 12.8,
                $description: "gap between timeline visual and text",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "gap between timeline visual and text",
                },
                name: "progressSpaceStepindicatorGenericGM",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "stepindicator",
                  "generic",
                  "g",
                  "M",
                ],
              },
            },
            text: {
              yg: {
                S: {
                  $type: "spacing",
                  $value: 4,
                  $description: "gap between label and subtext",
                  filePath: "data/tokens/components/progress.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.S}",
                    $description: "gap between label and subtext",
                  },
                  name: "progressSpaceStepindicatorGenericTextYgS",
                  attributes: {},
                  path: [
                    "progress",
                    "space",
                    "stepindicator",
                    "generic",
                    "text",
                    "yg",
                    "S",
                  ],
                },
                M: {
                  $type: "spacing",
                  $value: 4,
                  $description: "gap between label and subtext",
                  filePath: "data/tokens/components/progress.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.S}",
                    $description: "gap between label and subtext",
                  },
                  name: "progressSpaceStepindicatorGenericTextYgM",
                  attributes: {},
                  path: [
                    "progress",
                    "space",
                    "stepindicator",
                    "generic",
                    "text",
                    "yg",
                    "M",
                  ],
                },
              },
            },
            visual: {
              g: {
                S: {
                  $type: "spacing",
                  $value: 8,
                  $description: "gap between step number and line",
                  filePath: "data/tokens/components/progress.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.L}",
                    $description: "gap between step number and line",
                  },
                  name: "progressSpaceStepindicatorGenericVisualGS",
                  attributes: {},
                  path: [
                    "progress",
                    "space",
                    "stepindicator",
                    "generic",
                    "visual",
                    "g",
                    "S",
                  ],
                },
                M: {
                  $type: "spacing",
                  $value: 8,
                  $description: "gap between step number and line",
                  filePath: "data/tokens/components/progress.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.L}",
                    $description: "gap between step number and line",
                  },
                  name: "progressSpaceStepindicatorGenericVisualGM",
                  attributes: {},
                  path: [
                    "progress",
                    "space",
                    "stepindicator",
                    "generic",
                    "visual",
                    "g",
                    "M",
                  ],
                },
              },
            },
          },
          vertical: {
            y: {
              S: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Vertical variant top padding on parent container",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description:
                    "Vertical variant top padding on parent container",
                },
                name: "progressSpaceStepindicatorVerticalYS",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "stepindicator",
                  "vertical",
                  "y",
                  "S",
                ],
              },
              M: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Vertical variant top padding on parent container",
                filePath: "data/tokens/components/progress.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description:
                    "Vertical variant top padding on parent container",
                },
                name: "progressSpaceStepindicatorVerticalYM",
                attributes: {},
                path: [
                  "progress",
                  "space",
                  "stepindicator",
                  "vertical",
                  "y",
                  "M",
                ],
              },
            },
            text: {
              y: {
                S: {
                  $type: "spacing",
                  $value: 2,
                  $description:
                    "space above text and parent container on vertical variant",
                  filePath: "data/tokens/components/progress.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.XS}",
                    $description:
                      "space above text and parent container on vertical variant",
                  },
                  name: "progressSpaceStepindicatorVerticalTextYS",
                  attributes: {},
                  path: [
                    "progress",
                    "space",
                    "stepindicator",
                    "vertical",
                    "text",
                    "y",
                    "S",
                  ],
                },
              },
            },
          },
          horizontal: {
            text: {
              x: {
                S: {
                  $type: "spacing",
                  $value: 4,
                  $description:
                    "horizontal variant left and right padding on text container",
                  filePath: "data/tokens/components/progress.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.S}",
                    $description:
                      "horizontal variant left and right padding on text container",
                  },
                  name: "progressSpaceStepindicatorHorizontalTextXS",
                  attributes: {},
                  path: [
                    "progress",
                    "space",
                    "stepindicator",
                    "horizontal",
                    "text",
                    "x",
                    "S",
                  ],
                },
                M: {
                  $type: "spacing",
                  $value: 8,
                  $description:
                    "horizontal variant left and right padding on text container",
                  filePath: "data/tokens/components/progress.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.L}",
                    $description:
                      "horizontal variant left and right padding on text container",
                  },
                  name: "progressSpaceStepindicatorHorizontalTextXM",
                  attributes: {},
                  path: [
                    "progress",
                    "space",
                    "stepindicator",
                    "horizontal",
                    "text",
                    "x",
                    "M",
                  ],
                },
              },
            },
          },
        },
      },
      opacity: {
        carousel: {
          inactive: {
            $type: "opacity",
            $value: "0.3",
            $description: "Inactive slide IMAGE layer.",
            filePath: "data/tokens/components/progress.json",
            isSource: true,
            original: {
              $type: "opacity",
              $value: "0.3",
              $description: "Inactive slide IMAGE layer.",
            },
            name: "progressOpacityCarouselInactive",
            attributes: {},
            path: ["progress", "opacity", "carousel", "inactive"],
          },
        },
      },
    },
  };
});
