/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

(function (root, factory) {
  if (typeof module === "object" && module.exports) {
    module.exports = factory();
  } else if (typeof exports === "object") {
    exports["_styleDictionary"] = factory();
  } else if (typeof define === "function" && define.amd) {
    define([], factory);
  } else {
    root["_styleDictionary"] = factory();
  }
})(this, function () {
  return {
    button: {
      size: {
        split: {
          $type: "sizing",
          $value: 2,
          $description: "Split button (divider width)",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.micro.XXS}",
            $description: "Split button (divider width)",
          },
          name: "buttonSizeSplit",
          attributes: {},
          path: ["button", "size", "split"],
        },
        XS: {
          $type: "sizing",
          $value: 24,
          $description: "min-height on XS Buttons",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.macro.XS}",
            $description: "min-height on XS Buttons",
          },
          name: "buttonSizeXs",
          attributes: {},
          path: ["button", "size", "XS"],
        },
        S: {
          $type: "sizing",
          $value: 32,
          $description: "min-height on S Buttons",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.macro.S}",
            $description: "min-height on S Buttons",
          },
          name: "buttonSizeS",
          attributes: {},
          path: ["button", "size", "S"],
        },
        M: {
          $type: "sizing",
          $value: 40,
          $description: "min-height on M Buttons",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.macro.M}",
            $description: "min-height on M Buttons",
          },
          name: "buttonSizeM",
          attributes: {},
          path: ["button", "size", "M"],
        },
        L: {
          $type: "sizing",
          $value: 48,
          $description: "min-height on L Buttons",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "sizing",
            $value: "{global.size.macro.L}",
            $description: "min-height on L Buttons",
          },
          name: "buttonSizeL",
          attributes: {},
          path: ["button", "size", "L"],
        },
        toggle: {
          XS: {
            $type: "sizing",
            $value: 24,
            $description: "min-height on button within S toggle group",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XS}",
              $description: "min-height on button within S toggle group",
            },
            name: "buttonSizeToggleXs",
            attributes: {},
            path: ["button", "size", "toggle", "XS"],
          },
          S: {
            $type: "sizing",
            $value: 32,
            $description:
              "min-height on S single toggle, and on button within M toggle group",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.S}",
              $description:
                "min-height on S single toggle, and on button within M toggle group",
            },
            name: "buttonSizeToggleS",
            attributes: {},
            path: ["button", "size", "toggle", "S"],
          },
          M: {
            $type: "sizing",
            $value: 40,
            $description:
              "min-height on M single toggle, and on button within L toggle group",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.M}",
              $description:
                "min-height on M single toggle, and on button within L toggle group",
            },
            name: "buttonSizeToggleM",
            attributes: {},
            path: ["button", "size", "toggle", "M"],
          },
          L: {
            $type: "sizing",
            $value: 48,
            $description: "min-height on L single toggle",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.L}",
              $description: "min-height on L single toggle",
            },
            name: "buttonSizeToggleL",
            attributes: {},
            path: ["button", "size", "toggle", "L"],
          },
        },
        icon: {
          S: {
            $type: "sizing",
            $value: 16,
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.icon.S}",
            },
            name: "buttonSizeIconS",
            attributes: {},
            path: ["button", "size", "icon", "S"],
          },
          M: {
            $type: "sizing",
            $value: 20,
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.icon.M}",
            },
            name: "buttonSizeIconM",
            attributes: {},
            path: ["button", "size", "icon", "M"],
          },
        },
        video: {
          S: {
            $type: "sizing",
            $value: 40,
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.M}",
            },
            name: "buttonSizeVideoS",
            attributes: {},
            path: ["button", "size", "video", "S"],
          },
          M: {
            $type: "sizing",
            $value: 64,
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.XXL}",
            },
            name: "buttonSizeVideoM",
            attributes: {},
            path: ["button", "size", "video", "M"],
          },
          L: {
            $type: "sizing",
            $value: 80,
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "sizing",
              $value: "{global.size.macro.M} * 2",
            },
            name: "buttonSizeVideoL",
            attributes: {},
            path: ["button", "size", "video", "L"],
          },
        },
      },
      space: {
        none: {
          $type: "spacing",
          $value: "0",
          $description: "top and bottom padding on small buttons",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "spacing",
            $value: "0",
            $description: "top and bottom padding on small buttons",
          },
          name: "buttonSpaceNone",
          attributes: {},
          path: ["button", "space", "none"],
        },
        bar: {
          iconbutton: {
            x: {
              inner: {
                M: {
                  $type: "spacing",
                  $value: 10,
                  $description: "Inner sides of all buttons. ",
                  filePath: "data/tokens/components/button.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.micro.XL}",
                    $description: "Inner sides of all buttons. ",
                  },
                  name: "buttonSpaceBarIconbuttonXInnerM",
                  attributes: {},
                  path: [
                    "button",
                    "space",
                    "bar",
                    "iconbutton",
                    "x",
                    "inner",
                    "M",
                  ],
                },
                L: {
                  $type: "spacing",
                  $value: "14px",
                  $description: "Inner sides of all buttons. ",
                  filePath: "data/tokens/components/button.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "14px",
                    $description: "Inner sides of all buttons. ",
                  },
                  name: "buttonSpaceBarIconbuttonXInnerL",
                  attributes: {},
                  path: [
                    "button",
                    "space",
                    "bar",
                    "iconbutton",
                    "x",
                    "inner",
                    "L",
                  ],
                },
              },
              outer: {
                M: {
                  $type: "spacing",
                  $value: "14px",
                  $description: "Outer buttons, outer sides. ",
                  filePath: "data/tokens/components/button.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "14px",
                    $description: "Outer buttons, outer sides. ",
                  },
                  name: "buttonSpaceBarIconbuttonXOuterM",
                  attributes: {},
                  path: [
                    "button",
                    "space",
                    "bar",
                    "iconbutton",
                    "x",
                    "outer",
                    "M",
                  ],
                },
                L: {
                  $type: "spacing",
                  $value: 20,
                  $description: "Outer buttons, outer sides. ",
                  filePath: "data/tokens/components/button.json",
                  isSource: true,
                  original: {
                    $type: "spacing",
                    $value: "{global.space.macro.S}",
                    $description: "Outer buttons, outer sides. ",
                  },
                  name: "buttonSpaceBarIconbuttonXOuterL",
                  attributes: {},
                  path: [
                    "button",
                    "space",
                    "bar",
                    "iconbutton",
                    "x",
                    "outer",
                    "L",
                  ],
                },
              },
            },
          },
        },
        FAB: {
          child: {
            x: {
              M: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Left padding on FAB child container and text within FAB single ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XXXS}",
                  $description:
                    "Left padding on FAB child container and text within FAB single ",
                },
                name: "buttonSpaceFabChildXM",
                attributes: {},
                path: ["button", "space", "FAB", "child", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 16,
                $description: "Right padding on FAB child container ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description: "Right padding on FAB child container ",
                },
                name: "buttonSpaceFabChildXL",
                attributes: {},
                path: ["button", "space", "FAB", "child", "x", "L"],
              },
            },
          },
          parent: {
            x: {
              M: {
                $type: "spacing",
                $value: 16,
                $description: "Left and right padding on FAB parent container ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "Left and right padding on FAB parent container ",
                },
                name: "buttonSpaceFabParentXM",
                attributes: {},
                path: ["button", "space", "FAB", "parent", "x", "M"],
              },
            },
            xg: {
              M: {
                $type: "spacing",
                $value: 12,
                $description: "Item spacing inside buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL}",
                  $description: "Item spacing inside buttons",
                },
                name: "buttonSpaceFabParentXgM",
                attributes: {},
                path: ["button", "space", "FAB", "parent", "xg", "M"],
              },
            },
            y: {
              M: {
                $type: "spacing",
                $value: 16,
                $description: "Top and bottom padding on FAB parent container ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "Top and bottom padding on FAB parent container ",
                },
                name: "buttonSpaceFabParentYM",
                attributes: {},
                path: ["button", "space", "FAB", "parent", "y", "M"],
              },
            },
          },
        },
        primary: {
          x: {
            S: {
              $type: "spacing",
              $value: 12,
              $description: "Left and right padding on small buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXS}",
                $description: "Left and right padding on small buttons",
              },
              name: "buttonSpacePrimaryXS",
              attributes: {},
              path: ["button", "space", "primary", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 16,
              $description: "Left and right padding on medium buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Left and right padding on medium buttons",
              },
              name: "buttonSpacePrimaryXM",
              attributes: {},
              path: ["button", "space", "primary", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 20,
              $description: "Left and right padding on large buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.S}",
                $description: "Left and right padding on large buttons",
              },
              name: "buttonSpacePrimaryXL",
              attributes: {},
              path: ["button", "space", "primary", "x", "L"],
            },
          },
          xg: {
            S: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpacePrimaryXgS",
              attributes: {},
              path: ["button", "space", "primary", "xg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS} / 2",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpacePrimaryXgM",
              attributes: {},
              path: ["button", "space", "primary", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS} / 2",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpacePrimaryXgL",
              attributes: {},
              path: ["button", "space", "primary", "xg", "L"],
            },
          },
          y: {
            S: {
              $type: "spacing",
              $value: 4,
              $description: "Bottom and top padding on small buttons.",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Bottom and top padding on small buttons.",
              },
              name: "buttonSpacePrimaryYS",
              attributes: {},
              path: ["button", "space", "primary", "y", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Top and bottom padding on medium buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Top and bottom padding on medium buttons ",
              },
              name: "buttonSpacePrimaryYM",
              attributes: {},
              path: ["button", "space", "primary", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 9.5,
              $description: "Top and bottom padding on Large buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XL} - 0.5",
                $description: "Top and bottom padding on Large buttons ",
              },
              name: "buttonSpacePrimaryYL",
              attributes: {},
              path: ["button", "space", "primary", "y", "L"],
            },
          },
          icononly: {
            x: {
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Left and right padding on icon-only S size primary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Left and right padding on icon-only S size primary buttons",
                },
                name: "buttonSpacePrimaryIcononlyXS",
                attributes: {},
                path: ["button", "space", "primary", "icononly", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Left and right padding on icon-only M size primary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Left and right padding on icon-only M size primary buttons",
                },
                name: "buttonSpacePrimaryIcononlyXM",
                attributes: {},
                path: ["button", "space", "primary", "icononly", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Left and right padding on icon-only L size primary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Left and right padding on icon-only L size primary buttons",
                },
                name: "buttonSpacePrimaryIcononlyXL",
                attributes: {},
                path: ["button", "space", "primary", "icononly", "x", "L"],
              },
            },
            y: {
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Top and bottom padding on icon-only S size primary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Top and bottom padding on icon-only S size primary buttons",
                },
                name: "buttonSpacePrimaryIcononlyYS",
                attributes: {},
                path: ["button", "space", "primary", "icononly", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Top and bottom padding on icon-only M size primary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Top and bottom padding on icon-only M size primary buttons",
                },
                name: "buttonSpacePrimaryIcononlyYM",
                attributes: {},
                path: ["button", "space", "primary", "icononly", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Top and bottom padding on icon-only L size primary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Top and bottom padding on icon-only L size primary buttons",
                },
                name: "buttonSpacePrimaryIcononlyYL",
                attributes: {},
                path: ["button", "space", "primary", "icononly", "y", "L"],
              },
            },
          },
        },
        secondary: {
          x: {
            XS: {
              $type: "spacing",
              $value: 8,
              $description: "Left and right padding on XS table buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Left and right padding on XS table buttons",
              },
              name: "buttonSpaceSecondaryXXs",
              attributes: {},
              path: ["button", "space", "secondary", "x", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 12,
              $description: "Left and right padding on small buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XXL}",
                $description: "Left and right padding on small buttons",
              },
              name: "buttonSpaceSecondaryXS",
              attributes: {},
              path: ["button", "space", "secondary", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 16,
              $description: "Left and right padding on medium buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Left and right padding on medium buttons",
              },
              name: "buttonSpaceSecondaryXM",
              attributes: {},
              path: ["button", "space", "secondary", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 20,
              $description: "Left and right padding on large buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.S}",
                $description: "Left and right padding on large buttons",
              },
              name: "buttonSpaceSecondaryXL",
              attributes: {},
              path: ["button", "space", "secondary", "x", "L"],
            },
          },
          y: {
            XS: {
              $type: "spacing",
              $value: 1.5,
              $description: "top and bottom padding on XS table buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "({global.space.macro.XXXS} / 4) - 0.5",
                $description: "top and bottom padding on XS table buttons",
              },
              name: "buttonSpaceSecondaryYXs",
              attributes: {},
              path: ["button", "space", "secondary", "y", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 4,
              $description: "Bottom and top padding on small buttons.",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Bottom and top padding on small buttons.",
              },
              name: "buttonSpaceSecondaryYS",
              attributes: {},
              path: ["button", "space", "secondary", "y", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Top and bottom padding on medium buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Top and bottom padding on medium buttons ",
              },
              name: "buttonSpaceSecondaryYM",
              attributes: {},
              path: ["button", "space", "secondary", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 9.5,
              $description: "Top and bottom padding on Large buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XL} - 0.5",
                $description: "Top and bottom padding on Large buttons ",
              },
              name: "buttonSpaceSecondaryYL",
              attributes: {},
              path: ["button", "space", "secondary", "y", "L"],
            },
          },
          xg: {
            XS: {
              $type: "spacing",
              $value: 4,
              $description: "Item spacing inside XS buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Item spacing inside XS buttons",
              },
              name: "buttonSpaceSecondaryXgXs",
              attributes: {},
              path: ["button", "space", "secondary", "xg", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceSecondaryXgS",
              attributes: {},
              path: ["button", "space", "secondary", "xg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceSecondaryXgM",
              attributes: {},
              path: ["button", "space", "secondary", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceSecondaryXgL",
              attributes: {},
              path: ["button", "space", "secondary", "xg", "L"],
            },
          },
          icononly: {
            x: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description:
                  "Left and right padding on icon-only XS size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "Left and right padding on icon-only XS size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyXXs",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "x", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Left and right padding on icon-only S size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Left and right padding on icon-only S size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyXS",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Left and right padding on icon-only M size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Left and right padding on icon-only M size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyXM",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Left and right padding on icon-only L size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Left and right padding on icon-only L size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyXL",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "x", "L"],
              },
            },
            y: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description:
                  "Top and bottom padding on icon-only XS size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "Top and bottom padding on icon-only XS size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyYXs",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "y", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Top and bottom padding on icon-only S size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Top and bottom padding on icon-only S size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyYS",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Top and bottom padding on icon-only M size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Top and bottom padding on icon-only M size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyYM",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Top and bottom padding on icon-only L size secondary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Top and bottom padding on icon-only L size secondary buttons",
                },
                name: "buttonSpaceSecondaryIcononlyYL",
                attributes: {},
                path: ["button", "space", "secondary", "icononly", "y", "L"],
              },
            },
          },
        },
        tertiary: {
          y: {
            XS: {
              $type: "spacing",
              $value: 1.5,
              $description: "top and bottom padding on XS table buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "({global.space.macro.XXXS} / 4) - 0.5",
                $description: "top and bottom padding on XS table buttons",
              },
              name: "buttonSpaceTertiaryYXs",
              attributes: {},
              path: ["button", "space", "tertiary", "y", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 4,
              $description: "Bottom and top padding on small buttons.",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Bottom and top padding on small buttons.",
              },
              name: "buttonSpaceTertiaryYS",
              attributes: {},
              path: ["button", "space", "tertiary", "y", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Top and bottom padding on medium buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Top and bottom padding on medium buttons ",
              },
              name: "buttonSpaceTertiaryYM",
              attributes: {},
              path: ["button", "space", "tertiary", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 9.5,
              $description: "Top and bottom padding on Large buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XL} - 0.5",
                $description: "Top and bottom padding on Large buttons ",
              },
              name: "buttonSpaceTertiaryYL",
              attributes: {},
              path: ["button", "space", "tertiary", "y", "L"],
            },
          },
          x: {
            XS: {
              $type: "spacing",
              $value: 8,
              $description: "Left and right padding on XS table buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Left and right padding on XS table buttons",
              },
              name: "buttonSpaceTertiaryXXs",
              attributes: {},
              path: ["button", "space", "tertiary", "x", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 12,
              $description: "Left and right padding on small buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXS}",
                $description: "Left and right padding on small buttons",
              },
              name: "buttonSpaceTertiaryXS",
              attributes: {},
              path: ["button", "space", "tertiary", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 16,
              $description: "Left and right padding on medium buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XS}",
                $description: "Left and right padding on medium buttons",
              },
              name: "buttonSpaceTertiaryXM",
              attributes: {},
              path: ["button", "space", "tertiary", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 20,
              $description: "Left and right padding on large buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.S}",
                $description: "Left and right padding on large buttons",
              },
              name: "buttonSpaceTertiaryXL",
              attributes: {},
              path: ["button", "space", "tertiary", "x", "L"],
            },
          },
          xg: {
            XS: {
              $type: "spacing",
              $value: 4,
              $description: "Item spacing inside XS buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Item spacing inside XS buttons",
              },
              name: "buttonSpaceTertiaryXgXs",
              attributes: {},
              path: ["button", "space", "tertiary", "xg", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceTertiaryXgS",
              attributes: {},
              path: ["button", "space", "tertiary", "xg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceTertiaryXgM",
              attributes: {},
              path: ["button", "space", "tertiary", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 8,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceTertiaryXgL",
              attributes: {},
              path: ["button", "space", "tertiary", "xg", "L"],
            },
          },
          icononly: {
            x: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description:
                  "Left and right padding on icon-only XS size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "Left and right padding on icon-only XS size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyXXs",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "x", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Left and right padding on icon-only S size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Left and right padding on icon-only S size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyXS",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Left and right padding on icon-only M size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Left and right padding on icon-only M size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyXM",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Left and right padding on icon-only L size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Left and right padding on icon-only L size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyXL",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "x", "L"],
              },
            },
            y: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description:
                  "Top and bottom padding on icon-only XS size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "Top and bottom padding on icon-only XS size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyYXs",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "y", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Top and bottom padding on icon-only S size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Top and bottom padding on icon-only S size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyYS",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Top and bottom padding on icon-only M size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Top and bottom padding on icon-only M size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyYM",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Top and bottom padding on icon-only L size tertiary buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Top and bottom padding on icon-only L size tertiary buttons",
                },
                name: "buttonSpaceTertiaryIcononlyYL",
                attributes: {},
                path: ["button", "space", "tertiary", "icononly", "y", "L"],
              },
            },
          },
        },
        subtle: {
          y: {
            XS: {
              $type: "spacing",
              $value: 1.5,
              $description: "top and bottom padding on XS table buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "({global.space.macro.XXXS} / 4) - 0.5",
                $description: "top and bottom padding on XS table buttons",
              },
              name: "buttonSpaceSubtleYXs",
              attributes: {},
              path: ["button", "space", "subtle", "y", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 4,
              $description: "Bottom and top padding on small buttons.",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Bottom and top padding on small buttons.",
              },
              name: "buttonSpaceSubtleYS",
              attributes: {},
              path: ["button", "space", "subtle", "y", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "Top and bottom padding on medium buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.L}",
                $description: "Top and bottom padding on medium buttons ",
              },
              name: "buttonSpaceSubtleYM",
              attributes: {},
              path: ["button", "space", "subtle", "y", "M"],
            },
            L: {
              $type: "spacing",
              $value: 9.5,
              $description: "Top and bottom padding on Large buttons ",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XL} - 0.5",
                $description: "Top and bottom padding on Large buttons ",
              },
              name: "buttonSpaceSubtleYL",
              attributes: {},
              path: ["button", "space", "subtle", "y", "L"],
            },
          },
          x: {
            XS: {
              $type: "spacing",
              $value: 8,
              $description: "Left and right padding on XS table buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "Left and right padding on XS table buttons",
              },
              name: "buttonSpaceSubtleXXs",
              attributes: {},
              path: ["button", "space", "subtle", "x", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 8,
              $description: "left and right padding on subtle buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "left and right padding on subtle buttons",
              },
              name: "buttonSpaceSubtleXS",
              attributes: {},
              path: ["button", "space", "subtle", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 8,
              $description: "left and right padding on subtle buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "left and right padding on subtle buttons",
              },
              name: "buttonSpaceSubtleXM",
              attributes: {},
              path: ["button", "space", "subtle", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 8,
              $description: "left and right padding on subtle buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.macro.XXXS}",
                $description: "left and right padding on subtle buttons",
              },
              name: "buttonSpaceSubtleXL",
              attributes: {},
              path: ["button", "space", "subtle", "x", "L"],
            },
          },
          xg: {
            XS: {
              $type: "spacing",
              $value: 4,
              $description: "Item spacing inside XS buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Item spacing inside XS buttons",
              },
              name: "buttonSpaceSubtleXgXs",
              attributes: {},
              path: ["button", "space", "subtle", "xg", "XS"],
            },
            S: {
              $type: "spacing",
              $value: 4,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceSubtleXgS",
              attributes: {},
              path: ["button", "space", "subtle", "xg", "S"],
            },
            M: {
              $type: "spacing",
              $value: 4,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceSubtleXgM",
              attributes: {},
              path: ["button", "space", "subtle", "xg", "M"],
            },
            L: {
              $type: "spacing",
              $value: 4,
              $description: "Item spacing inside buttons",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.S}",
                $description: "Item spacing inside buttons",
              },
              name: "buttonSpaceSubtleXgL",
              attributes: {},
              path: ["button", "space", "subtle", "xg", "L"],
            },
          },
          icononly: {
            x: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description:
                  "Left and right padding on icon-only XS size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "Left and right padding on icon-only XS size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyXXs",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "x", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Left and right padding on icon-only S size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Left and right padding on icon-only S size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyXS",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Left and right padding on icon-only M size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Left and right padding on icon-only M size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyXM",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Left and right padding on icon-only L size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Left and right padding on icon-only L size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyXL",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "x", "L"],
              },
            },
            y: {
              XS: {
                $type: "spacing",
                $value: 4,
                $description:
                  "Top and bottom padding on icon-only XS size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description:
                    "Top and bottom padding on icon-only XS size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyYXs",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "y", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 6,
                $description:
                  "Top and bottom padding on icon-only S size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.M}",
                  $description:
                    "Top and bottom padding on icon-only S size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyYS",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 10,
                $description:
                  "Top and bottom padding on icon-only M size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}",
                  $description:
                    "Top and bottom padding on icon-only M size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyYM",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 14,
                $description:
                  "Top and bottom padding on icon-only L size subtle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XXL} + {global.space.micro.XS}",
                  $description:
                    "Top and bottom padding on icon-only L size subtle buttons",
                },
                name: "buttonSpaceSubtleIcononlyYL",
                attributes: {},
                path: ["button", "space", "subtle", "icononly", "y", "L"],
              },
            },
          },
        },
        toggle: {
          button: {
            x: {
              XS: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Left and right padding on XS asset used within S toggle group",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XXXS}",
                  $description:
                    "Left and right padding on XS asset used within S toggle group",
                },
                name: "buttonSpaceToggleButtonXXs",
                attributes: {},
                path: ["button", "space", "toggle", "button", "x", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 12,
                $description: "Left and right padding on S toggle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XXS}",
                  $description: "Left and right padding on S toggle buttons",
                },
                name: "buttonSpaceToggleButtonXS",
                attributes: {},
                path: ["button", "space", "toggle", "button", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 16,
                $description: "Left and right padding on medium toggle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XS}",
                  $description:
                    "Left and right padding on medium toggle buttons",
                },
                name: "buttonSpaceToggleButtonXM",
                attributes: {},
                path: ["button", "space", "toggle", "button", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 20,
                $description: "Left and right padding on buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.S}",
                  $description: "Left and right padding on buttons",
                },
                name: "buttonSpaceToggleButtonXL",
                attributes: {},
                path: ["button", "space", "toggle", "button", "x", "L"],
              },
            },
            xg: {
              S: {
                $type: "spacing",
                $value: 8,
                $description: "Item spacing inside toggle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XXXS}",
                  $description: "Item spacing inside toggle buttons",
                },
                name: "buttonSpaceToggleButtonXgS",
                attributes: {},
                path: ["button", "space", "toggle", "button", "xg", "S"],
              },
              M: {
                $type: "spacing",
                $value: 8,
                $description: "Item spacing inside toggle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XXXS}",
                  $description: "Item spacing inside toggle buttons",
                },
                name: "buttonSpaceToggleButtonXgM",
                attributes: {},
                path: ["button", "space", "toggle", "button", "xg", "M"],
              },
              L: {
                $type: "spacing",
                $value: 8,
                $description: "Item spacing inside toggle buttons",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.macro.XXXS}",
                  $description: "Item spacing inside toggle buttons",
                },
                name: "buttonSpaceToggleButtonXgL",
                attributes: {},
                path: ["button", "space", "toggle", "button", "xg", "L"],
              },
            },
            y: {
              XS: {
                $type: "spacing",
                $value: 1.5,
                $description: "Top and bottom padding on toggle buttons ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "({global.space.macro.XXXS} / 4) - 0.5",
                  $description: "Top and bottom padding on toggle buttons ",
                },
                name: "buttonSpaceToggleButtonYXs",
                attributes: {},
                path: ["button", "space", "toggle", "button", "y", "XS"],
              },
              S: {
                $type: "spacing",
                $value: 4,
                $description: "Top and bottom padding on toggle buttons ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Top and bottom padding on toggle buttons ",
                },
                name: "buttonSpaceToggleButtonYS",
                attributes: {},
                path: ["button", "space", "toggle", "button", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 8,
                $description: "Top and bottom padding on toggle buttons ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Top and bottom padding on toggle buttons ",
                },
                name: "buttonSpaceToggleButtonYM",
                attributes: {},
                path: ["button", "space", "toggle", "button", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 9.5,
                $description: "Top and bottom padding on toggle buttons ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.XL}-0.5",
                  $description: "Top and bottom padding on toggle buttons ",
                },
                name: "buttonSpaceToggleButtonYL",
                attributes: {},
                path: ["button", "space", "toggle", "button", "y", "L"],
              },
            },
          },
          container: {
            x: {
              S: {
                $type: "spacing",
                $value: 4,
                $description: "Horizontal padding",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Horizontal padding",
                },
                name: "buttonSpaceToggleContainerXS",
                attributes: {},
                path: ["button", "space", "toggle", "container", "x", "S"],
              },
              M: {
                $type: "spacing",
                $value: 4,
                $description: "Horizontal padding",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Horizontal padding",
                },
                name: "buttonSpaceToggleContainerXM",
                attributes: {},
                path: ["button", "space", "toggle", "container", "x", "M"],
              },
              L: {
                $type: "spacing",
                $value: 4,
                $description: "Horizontal padding",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Horizontal padding",
                },
                name: "buttonSpaceToggleContainerXL",
                attributes: {},
                path: ["button", "space", "toggle", "container", "x", "L"],
              },
            },
            xg: {
              S: {
                $type: "spacing",
                $value: 8,
                $description: "Spacing between buttons in Toggle. ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Spacing between buttons in Toggle. ",
                },
                name: "buttonSpaceToggleContainerXgS",
                attributes: {},
                path: ["button", "space", "toggle", "container", "xg", "S"],
              },
              M: {
                $type: "spacing",
                $value: 8,
                $description: "Spacing between buttons in Toggle. ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Spacing between buttons in Toggle. ",
                },
                name: "buttonSpaceToggleContainerXgM",
                attributes: {},
                path: ["button", "space", "toggle", "container", "xg", "M"],
              },
              L: {
                $type: "spacing",
                $value: 8,
                $description: "Spacing between buttons in Toggle. ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description: "Spacing between buttons in Toggle. ",
                },
                name: "buttonSpaceToggleContainerXgL",
                attributes: {},
                path: ["button", "space", "toggle", "container", "xg", "L"],
              },
            },
            y: {
              S: {
                $type: "spacing",
                $value: 4,
                $description: "Vertical padding",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Vertical padding",
                },
                name: "buttonSpaceToggleContainerYS",
                attributes: {},
                path: ["button", "space", "toggle", "container", "y", "S"],
              },
              M: {
                $type: "spacing",
                $value: 4,
                $description: "Vertical padding",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Vertical padding",
                },
                name: "buttonSpaceToggleContainerYM",
                attributes: {},
                path: ["button", "space", "toggle", "container", "y", "M"],
              },
              L: {
                $type: "spacing",
                $value: 4,
                $description: "Vertical padding",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.S}",
                  $description: "Vertical padding",
                },
                name: "buttonSpaceToggleContainerYL",
                attributes: {},
                path: ["button", "space", "toggle", "container", "y", "L"],
              },
            },
            yg: {
              S: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Row gap between buttons in wrapped toggle group. ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description:
                    "Row gap between buttons in wrapped toggle group. ",
                },
                name: "buttonSpaceToggleContainerYgS",
                attributes: {},
                path: ["button", "space", "toggle", "container", "yg", "S"],
              },
              M: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Row gap between buttons in wrapped toggle group. ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description:
                    "Row gap between buttons in wrapped toggle group. ",
                },
                name: "buttonSpaceToggleContainerYgM",
                attributes: {},
                path: ["button", "space", "toggle", "container", "yg", "M"],
              },
              L: {
                $type: "spacing",
                $value: 8,
                $description:
                  "Row gap between buttons in wrapped toggle group. ",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "spacing",
                  $value: "{global.space.micro.L}",
                  $description:
                    "Row gap between buttons in wrapped toggle group. ",
                },
                name: "buttonSpaceToggleContainerYgL",
                attributes: {},
                path: ["button", "space", "toggle", "container", "yg", "L"],
              },
            },
          },
        },
        video: {
          x: {
            S: {
              $type: "spacing",
              $value: 2,
              $description: "Left padding on play icon in video button",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XS}",
                $description: "Left padding on play icon in video button",
              },
              name: "buttonSpaceVideoXS",
              attributes: {},
              path: ["button", "space", "video", "x", "S"],
            },
            M: {
              $type: "spacing",
              $value: 2,
              $description: "Left padding on play icon in video button",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XS}",
                $description: "Left padding on play icon in video button",
              },
              name: "buttonSpaceVideoXM",
              attributes: {},
              path: ["button", "space", "video", "x", "M"],
            },
            L: {
              $type: "spacing",
              $value: 2,
              $description: "Left padding on play icon in video button",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "spacing",
                $value: "{global.space.micro.XS}",
                $description: "Left padding on play icon in video button",
              },
              name: "buttonSpaceVideoXL",
              attributes: {},
              path: ["button", "space", "video", "x", "L"],
            },
          },
        },
      },
      color: {
        none: {
          $type: "color",
          $value: "#fff0",
          $description:
            "transparent override used for hiding colors when needed.",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{modes.color.none}",
            $description:
              "transparent override used for hiding colors when needed.",
          },
          name: "buttonColorNone",
          attributes: {},
          path: ["button", "color", "none"],
        },
        ai: {
          "bg-active": {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A03826 0%, #14919726 40%, #a87cfb26 90%)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.ai.active}",
            },
            name: "buttonColorAiBgActive",
            attributes: {},
            path: ["button", "color", "ai", "bg-active"],
          },
          "bg-hover": {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A03814 0%, #14919714 40%, #a87cfb14 90%)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.ai.hover}",
            },
            name: "buttonColorAiBgHover",
            attributes: {},
            path: ["button", "color", "ai", "bg-hover"],
          },
          "border-active": {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.ai.default}",
            },
            name: "buttonColorAiBorderActive",
            attributes: {},
            path: ["button", "color", "ai", "border-active"],
          },
          "border-disabled": {
            $type: "color",
            $value: "#a6a6a6",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.inactive.default}",
            },
            name: "buttonColorAiBorderDisabled",
            attributes: {},
            path: ["button", "color", "ai", "border-disabled"],
          },
          "border-default": {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.ai.default}",
            },
            name: "buttonColorAiBorderDefault",
            attributes: {},
            path: ["button", "color", "ai", "border-default"],
          },
          "border-hover": {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.ai.default}",
            },
            name: "buttonColorAiBorderHover",
            attributes: {},
            path: ["button", "color", "ai", "border-hover"],
          },
          "label-active": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.withActiveAlt}",
            },
            name: "buttonColorAiLabelActive",
            attributes: {},
            path: ["button", "color", "ai", "label-active"],
          },
          "label-disabled": {
            $type: "color",
            $value: "#0000006b",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.inactive.content}",
            },
            name: "buttonColorAiLabelDisabled",
            attributes: {},
            path: ["button", "color", "ai", "label-disabled"],
          },
          "label-default": {
            $type: "color",
            $value: "#000000e6",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.default}",
            },
            name: "buttonColorAiLabelDefault",
            attributes: {},
            path: ["button", "color", "ai", "label-default"],
          },
          "label-hover": {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.withHover}",
            },
            name: "buttonColorAiLabelHover",
            attributes: {},
            path: ["button", "color", "ai", "label-hover"],
          },
        },
        destructive: {
          primary: {
            "bg-disabled": {
              $type: "color",
              $value: "#a6a6a6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.default}",
              },
              name: "buttonColorDestructivePrimaryBgDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "primary",
                "bg-disabled",
              ],
            },
            "bg-default": {
              $type: "color",
              $value: "#CD384B",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.default}",
              },
              name: "buttonColorDestructivePrimaryBgDefault",
              attributes: {},
              path: ["button", "color", "destructive", "primary", "bg-default"],
            },
            "bg-hover": {
              $type: "color",
              $value: "#ac3240",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.hover}",
              },
              name: "buttonColorDestructivePrimaryBgHover",
              attributes: {},
              path: ["button", "color", "destructive", "primary", "bg-hover"],
            },
            "label-disabled": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.contentAlt}",
              },
              name: "buttonColorDestructivePrimaryLabelDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "primary",
                "label-disabled",
              ],
            },
            "label-default": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.withDefault}",
              },
              name: "buttonColorDestructivePrimaryLabelDefault",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "primary",
                "label-default",
              ],
            },
            "label-hover": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.withDefault}",
              },
              name: "buttonColorDestructivePrimaryLabelHover",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "primary",
                "label-hover",
              ],
            },
          },
          secondary: {
            "bg-hover": {
              $type: "color",
              $value: "#cd384b1a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.hoverAlt}",
              },
              name: "buttonColorDestructiveSecondaryBgHover",
              attributes: {},
              path: ["button", "color", "destructive", "secondary", "bg-hover"],
            },
            "border-disabled": {
              $type: "color",
              $value: "#a6a6a6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.default}",
              },
              name: "buttonColorDestructiveSecondaryBorderDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "secondary",
                "border-disabled",
              ],
            },
            "border-default": {
              $type: "color",
              $value: "#CD384B",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.default}",
              },
              name: "buttonColorDestructiveSecondaryBorderDefault",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "secondary",
                "border-default",
              ],
            },
            "border-hover": {
              $type: "color",
              $value: "#ac3240",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.hover}",
              },
              name: "buttonColorDestructiveSecondaryBorderHover",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "secondary",
                "border-hover",
              ],
            },
            "label-disabled": {
              $type: "color",
              $value: "#0000006b",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.content}",
              },
              name: "buttonColorDestructiveSecondaryLabelDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "secondary",
                "label-disabled",
              ],
            },
            "label-default": {
              $type: "color",
              $value: "#CD384B",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.default}",
              },
              name: "buttonColorDestructiveSecondaryLabelDefault",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "secondary",
                "label-default",
              ],
            },
            "label-hover": {
              $type: "color",
              $value: "#ac3240",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.danger.hover}",
              },
              name: "buttonColorDestructiveSecondaryLabelHover",
              attributes: {},
              path: [
                "button",
                "color",
                "destructive",
                "secondary",
                "label-hover",
              ],
            },
          },
        },
        typical: {
          primary: {
            "bg-active": {
              $type: "color",
              $value: "#13591a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.active}",
              },
              name: "buttonColorTypicalPrimaryBgActive",
              attributes: {},
              path: ["button", "color", "typical", "primary", "bg-active"],
            },
            "border-default": {
              $type: "color",
              $value: "#FFFFFF",
              $description: "For spacer in Split button",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.withDefault}",
                $description: "For spacer in Split button",
              },
              name: "buttonColorTypicalPrimaryBorderDefault",
              attributes: {},
              path: ["button", "color", "typical", "primary", "border-default"],
            },
            "bg-disabled": {
              $type: "color",
              $value: "#a6a6a6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.default}",
              },
              name: "buttonColorTypicalPrimaryBgDisabled",
              attributes: {},
              path: ["button", "color", "typical", "primary", "bg-disabled"],
            },
            "bg-default": {
              $type: "color",
              $value: "#00811F",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.default}",
              },
              name: "buttonColorTypicalPrimaryBgDefault",
              attributes: {},
              path: ["button", "color", "typical", "primary", "bg-default"],
            },
            "bg-hover": {
              $type: "color",
              $value: "#0e6d1d",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.hover}",
              },
              name: "buttonColorTypicalPrimaryBgHover",
              attributes: {},
              path: ["button", "color", "typical", "primary", "bg-hover"],
            },
            "label-active": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.withActive}",
              },
              name: "buttonColorTypicalPrimaryLabelActive",
              attributes: {},
              path: ["button", "color", "typical", "primary", "label-active"],
            },
            "label-disabled": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.contentAlt}",
              },
              name: "buttonColorTypicalPrimaryLabelDisabled",
              attributes: {},
              path: ["button", "color", "typical", "primary", "label-disabled"],
            },
            "label-default": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.withDefault}",
              },
              name: "buttonColorTypicalPrimaryLabelDefault",
              attributes: {},
              path: ["button", "color", "typical", "primary", "label-default"],
            },
            "label-hover": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.withDefault}",
              },
              name: "buttonColorTypicalPrimaryLabelHover",
              attributes: {},
              path: ["button", "color", "typical", "primary", "label-hover"],
            },
            inverse: {
              "bg-active": {
                $type: "color",
                $value: "#7ce47a",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.active}",
                },
                name: "buttonColorTypicalPrimaryInverseBgActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "bg-active",
                ],
              },
              "border-default": {
                $type: "color",
                $value: "#000000",
                $description: "For spacer in Split button",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.primary.inverse.withDefault}",
                  $description: "For spacer in Split button",
                },
                name: "buttonColorTypicalPrimaryInverseBorderDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "border-default",
                ],
              },
              "bg-disabled": {
                $type: "color",
                $value: "#4b4b4b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.inactive.inverse.default}",
                },
                name: "buttonColorTypicalPrimaryInverseBgDisabled",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "bg-disabled",
                ],
              },
              "bg-default": {
                $type: "color",
                $value: "#00D639",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.default}",
                },
                name: "buttonColorTypicalPrimaryInverseBgDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "bg-default",
                ],
              },
              "bg-hover": {
                $type: "color",
                $value: "#55dd5b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.hover}",
                },
                name: "buttonColorTypicalPrimaryInverseBgHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "bg-hover",
                ],
              },
              "label-active": {
                $type: "color",
                $value: "#000000",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.primary.inverse.withActive}",
                },
                name: "buttonColorTypicalPrimaryInverseLabelActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "label-active",
                ],
              },
              "label-disabled": {
                $type: "color",
                $value: "#000000",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.inactive.inverse.contentAlt}",
                },
                name: "buttonColorTypicalPrimaryInverseLabelDisabled",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "label-disabled",
                ],
              },
              "label-default": {
                $type: "color",
                $value: "#000000",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.primary.inverse.withDefault}",
                },
                name: "buttonColorTypicalPrimaryInverseLabelDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "label-default",
                ],
              },
              "label-hover": {
                $type: "color",
                $value: "#000000",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.primary.inverse.withDefault}",
                },
                name: "buttonColorTypicalPrimaryInverseLabelHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "primary",
                  "inverse",
                  "label-hover",
                ],
              },
            },
          },
          secondary: {
            "bg-active": {
              $type: "color",
              $value: "#00811f4d",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.activeAlt}",
              },
              name: "buttonColorTypicalSecondaryBgActive",
              attributes: {},
              path: ["button", "color", "typical", "secondary", "bg-active"],
            },
            "bg-default": {
              $type: "color",
              $value: "#00811f08",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.defaultAlt3}",
              },
              name: "buttonColorTypicalSecondaryBgDefault",
              attributes: {},
              path: ["button", "color", "typical", "secondary", "bg-default"],
            },
            "bg-hover": {
              $type: "color",
              $value: "#00811f1a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.hoverAlt}",
              },
              name: "buttonColorTypicalSecondaryBgHover",
              attributes: {},
              path: ["button", "color", "typical", "secondary", "bg-hover"],
            },
            "border-active": {
              $type: "color",
              $value: "#13591a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.active}",
              },
              name: "buttonColorTypicalSecondaryBorderActive",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "secondary",
                "border-active",
              ],
            },
            "border-disabled": {
              $type: "color",
              $value: "#a6a6a6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.default}",
              },
              name: "buttonColorTypicalSecondaryBorderDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "secondary",
                "border-disabled",
              ],
            },
            "border-default": {
              $type: "color",
              $value: "#00811fcc",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.defaultAlt}",
              },
              name: "buttonColorTypicalSecondaryBorderDefault",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "secondary",
                "border-default",
              ],
            },
            "border-hover": {
              $type: "color",
              $value: "#0e6d1d",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.hover}",
              },
              name: "buttonColorTypicalSecondaryBorderHover",
              attributes: {},
              path: ["button", "color", "typical", "secondary", "border-hover"],
            },
            "label-active": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withActiveAlt}",
              },
              name: "buttonColorTypicalSecondaryLabelActive",
              attributes: {},
              path: ["button", "color", "typical", "secondary", "label-active"],
            },
            "label-disabled": {
              $type: "color",
              $value: "#0000006b",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.content}",
              },
              name: "buttonColorTypicalSecondaryLabelDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "secondary",
                "label-disabled",
              ],
            },
            "label-default": {
              $type: "color",
              $value: "#000000e6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.default}",
              },
              name: "buttonColorTypicalSecondaryLabelDefault",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "secondary",
                "label-default",
              ],
            },
            "label-hover": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withHover}",
              },
              name: "buttonColorTypicalSecondaryLabelHover",
              attributes: {},
              path: ["button", "color", "typical", "secondary", "label-hover"],
            },
            inverse: {
              "bg-active": {
                $type: "color",
                $value: "#00d6394d",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.activeAlt}",
                },
                name: "buttonColorTypicalSecondaryInverseBgActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "bg-active",
                ],
              },
              "bg-default": {
                $type: "color",
                $value: "#00d63908",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.primary.inverse.defaultAlt3}",
                },
                name: "buttonColorTypicalSecondaryInverseBgDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "bg-default",
                ],
              },
              "bg-hover": {
                $type: "color",
                $value: "#00d6391a",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.hoverAlt}",
                },
                name: "buttonColorTypicalSecondaryInverseBgHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "bg-hover",
                ],
              },
              "border-active": {
                $type: "color",
                $value: "#7ce47a",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.active}",
                },
                name: "buttonColorTypicalSecondaryInverseBorderActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "border-active",
                ],
              },
              "border-disabled": {
                $type: "color",
                $value: "#4b4b4b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.inactive.inverse.default}",
                },
                name: "buttonColorTypicalSecondaryInverseBorderDisabled",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "border-disabled",
                ],
              },
              "border-default": {
                $type: "color",
                $value: "#00d639cc",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.primary.inverse.defaultAlt}",
                },
                name: "buttonColorTypicalSecondaryInverseBorderDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "border-default",
                ],
              },
              "border-hover": {
                $type: "color",
                $value: "#55dd5b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.hover}",
                },
                name: "buttonColorTypicalSecondaryInverseBorderHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "border-hover",
                ],
              },
              "label-active": {
                $type: "color",
                $value: "#FFFFFF",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.withActiveAlt}",
                },
                name: "buttonColorTypicalSecondaryInverseLabelActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "label-active",
                ],
              },
              "label-disabled": {
                $type: "color",
                $value: "#ffffff6b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.inactive.inverse.content}",
                },
                name: "buttonColorTypicalSecondaryInverseLabelDisabled",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "label-disabled",
                ],
              },
              "label-default": {
                $type: "color",
                $value: "#ffffffe6",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.default}",
                },
                name: "buttonColorTypicalSecondaryInverseLabelDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "label-default",
                ],
              },
              "label-hover": {
                $type: "color",
                $value: "#FFFFFF",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.withHover}",
                },
                name: "buttonColorTypicalSecondaryInverseLabelHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "secondary",
                  "inverse",
                  "label-hover",
                ],
              },
            },
          },
          tertiary: {
            "bg-active": {
              $type: "color",
              $value: "#00811f4d",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.activeAlt}",
              },
              name: "buttonColorTypicalTertiaryBgActive",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "bg-active"],
            },
            "bg-default": {
              $type: "color",
              $value: "#fff0",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{button.color.none}",
              },
              name: "buttonColorTypicalTertiaryBgDefault",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "bg-default"],
            },
            "bg-hover": {
              $type: "color",
              $value: "#00811f1a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.hoverAlt}",
              },
              name: "buttonColorTypicalTertiaryBgHover",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "bg-hover"],
            },
            "border-active": {
              $type: "color",
              $value: "#13591a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.active}",
              },
              name: "buttonColorTypicalTertiaryBorderActive",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "border-active"],
            },
            "border-disabled": {
              $type: "color",
              $value: "#a6a6a6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.default}",
              },
              name: "buttonColorTypicalTertiaryBorderDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "tertiary",
                "border-disabled",
              ],
            },
            "border-default": {
              $type: "color",
              $value: "#00811fcc",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.defaultAlt}",
              },
              name: "buttonColorTypicalTertiaryBorderDefault",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "tertiary",
                "border-default",
              ],
            },
            "border-hover": {
              $type: "color",
              $value: "#0e6d1d",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.primary.hover}",
              },
              name: "buttonColorTypicalTertiaryBorderHover",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "border-hover"],
            },
            "label-active": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withActiveAlt}",
              },
              name: "buttonColorTypicalTertiaryLabelActive",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "label-active"],
            },
            "label-disabled": {
              $type: "color",
              $value: "#0000006b",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.content}",
              },
              name: "buttonColorTypicalTertiaryLabelDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "tertiary",
                "label-disabled",
              ],
            },
            "label-default": {
              $type: "color",
              $value: "#000000e6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.default}",
              },
              name: "buttonColorTypicalTertiaryLabelDefault",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "label-default"],
            },
            "label-hover": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withHover}",
              },
              name: "buttonColorTypicalTertiaryLabelHover",
              attributes: {},
              path: ["button", "color", "typical", "tertiary", "label-hover"],
            },
            inverse: {
              "bg-active": {
                $type: "color",
                $value: "#00d6394d",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.activeAlt}",
                },
                name: "buttonColorTypicalTertiaryInverseBgActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "bg-active",
                ],
              },
              "bg-default": {
                $type: "color",
                $value: "#fff0",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{button.color.none}",
                },
                name: "buttonColorTypicalTertiaryInverseBgDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "bg-default",
                ],
              },
              "bg-hover": {
                $type: "color",
                $value: "#00d6391a",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.hoverAlt}",
                },
                name: "buttonColorTypicalTertiaryInverseBgHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "bg-hover",
                ],
              },
              "border-active": {
                $type: "color",
                $value: "#7ce47a",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.active}",
                },
                name: "buttonColorTypicalTertiaryInverseBorderActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "border-active",
                ],
              },
              "border-disabled": {
                $type: "color",
                $value: "#4b4b4b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.inactive.inverse.default}",
                },
                name: "buttonColorTypicalTertiaryInverseBorderDisabled",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "border-disabled",
                ],
              },
              "border-default": {
                $type: "color",
                $value: "#00d639cc",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.primary.inverse.defaultAlt}",
                },
                name: "buttonColorTypicalTertiaryInverseBorderDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "border-default",
                ],
              },
              "border-hover": {
                $type: "color",
                $value: "#55dd5b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.primary.inverse.hover}",
                },
                name: "buttonColorTypicalTertiaryInverseBorderHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "border-hover",
                ],
              },
              "label-active": {
                $type: "color",
                $value: "#FFFFFF",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.withActiveAlt}",
                },
                name: "buttonColorTypicalTertiaryInverseLabelActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "label-active",
                ],
              },
              "label-disabled": {
                $type: "color",
                $value: "#ffffff6b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.inactive.inverse.content}",
                },
                name: "buttonColorTypicalTertiaryInverseLabelDisabled",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "label-disabled",
                ],
              },
              "label-default": {
                $type: "color",
                $value: "#ffffffe6",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.default}",
                },
                name: "buttonColorTypicalTertiaryInverseLabelDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "label-default",
                ],
              },
              "label-hover": {
                $type: "color",
                $value: "#FFFFFF",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.withHover}",
                },
                name: "buttonColorTypicalTertiaryInverseLabelHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "tertiary",
                  "inverse",
                  "label-hover",
                ],
              },
            },
          },
          subtle: {
            "bg-active": {
              $type: "color",
              $value: "#00000026",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.activeAlt}",
              },
              name: "buttonColorTypicalSubtleBgActive",
              attributes: {},
              path: ["button", "color", "typical", "subtle", "bg-active"],
            },
            "bg-hover": {
              $type: "color",
              $value: "#0000001a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.hoverAlt}",
              },
              name: "buttonColorTypicalSubtleBgHover",
              attributes: {},
              path: ["button", "color", "typical", "subtle", "bg-hover"],
            },
            "label-active": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withActiveAlt}",
              },
              name: "buttonColorTypicalSubtleLabelActive",
              attributes: {},
              path: ["button", "color", "typical", "subtle", "label-active"],
            },
            "label-disabled": {
              $type: "color",
              $value: "#0000006b",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.content}",
              },
              name: "buttonColorTypicalSubtleLabelDisabled",
              attributes: {},
              path: ["button", "color", "typical", "subtle", "label-disabled"],
            },
            "label-default": {
              $type: "color",
              $value: "#000000e6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.default}",
              },
              name: "buttonColorTypicalSubtleLabelDefault",
              attributes: {},
              path: ["button", "color", "typical", "subtle", "label-default"],
            },
            "label-hover": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withHover}",
              },
              name: "buttonColorTypicalSubtleLabelHover",
              attributes: {},
              path: ["button", "color", "typical", "subtle", "label-hover"],
            },
            inverse: {
              "bg-active": {
                $type: "color",
                $value: "#ffffff26",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.activeAlt}",
                },
                name: "buttonColorTypicalSubtleInverseBgActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "subtle",
                  "inverse",
                  "bg-active",
                ],
              },
              "bg-hover": {
                $type: "color",
                $value: "#ffffff1a",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.hoverAlt}",
                },
                name: "buttonColorTypicalSubtleInverseBgHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "subtle",
                  "inverse",
                  "bg-hover",
                ],
              },
              "label-active": {
                $type: "color",
                $value: "#FFFFFF",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.withActiveAlt}",
                },
                name: "buttonColorTypicalSubtleInverseLabelActive",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "subtle",
                  "inverse",
                  "label-active",
                ],
              },
              "label-disabled": {
                $type: "color",
                $value: "#ffffff6b",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{modes.color.interactive.inactive.inverse.content}",
                },
                name: "buttonColorTypicalSubtleInverseLabelDisabled",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "subtle",
                  "inverse",
                  "label-disabled",
                ],
              },
              "label-default": {
                $type: "color",
                $value: "#ffffffe6",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.default}",
                },
                name: "buttonColorTypicalSubtleInverseLabelDefault",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "subtle",
                  "inverse",
                  "label-default",
                ],
              },
              "label-hover": {
                $type: "color",
                $value: "#FFFFFF",
                filePath: "data/tokens/components/button.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.inverse.withHover}",
                },
                name: "buttonColorTypicalSubtleInverseLabelHover",
                attributes: {},
                path: [
                  "button",
                  "color",
                  "typical",
                  "subtle",
                  "inverse",
                  "label-hover",
                ],
              },
            },
          },
          toggle: {
            "bg-activeDisabled": {
              $type: "color",
              $value: "#a6a6a6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.default}",
              },
              name: "buttonColorTypicalToggleBgActiveDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "toggle",
                "bg-activeDisabled",
              ],
            },
            "label-activeDisabled": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.contentAlt}",
              },
              name: "buttonColorTypicalToggleLabelActiveDisabled",
              attributes: {},
              path: [
                "button",
                "color",
                "typical",
                "toggle",
                "label-activeDisabled",
              ],
            },
            "bg-active": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.active}",
              },
              name: "buttonColorTypicalToggleBgActive",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "bg-active"],
            },
            "bg-hover": {
              $type: "color",
              $value: "#0000001a",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.hoverAlt}",
              },
              name: "buttonColorTypicalToggleBgHover",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "bg-hover"],
            },
            "border-default": {
              $type: "color",
              $value: "#000000e6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.default}",
              },
              name: "buttonColorTypicalToggleBorderDefault",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "border-default"],
            },
            "border-disabled": {
              $type: "color",
              $value: "#a6a6a6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.default}",
              },
              name: "buttonColorTypicalToggleBorderDisabled",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "border-disabled"],
            },
            "label-active": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withActive}",
              },
              name: "buttonColorTypicalToggleLabelActive",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "label-active"],
            },
            "label-disabled": {
              $type: "color",
              $value: "#0000006b",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.inactive.content}",
              },
              name: "buttonColorTypicalToggleLabelDisabled",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "label-disabled"],
            },
            "label-default": {
              $type: "color",
              $value: "#000000ab",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.defaultAlt}",
              },
              name: "buttonColorTypicalToggleLabelDefault",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "label-default"],
            },
            "label-hover": {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withHover}",
              },
              name: "buttonColorTypicalToggleLabelHover",
              attributes: {},
              path: ["button", "color", "typical", "toggle", "label-hover"],
            },
          },
        },
        video: {
          "bg-blur": {
            $type: "color",
            $value: "#0000001a",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.interactive.monochrome.hoverAlt}",
            },
            name: "buttonColorVideoBgBlur",
            attributes: {},
            path: ["button", "color", "video", "bg-blur"],
          },
          primary: {
            "bg-default": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withDefault}",
              },
              name: "buttonColorVideoPrimaryBgDefault",
              attributes: {},
              path: ["button", "color", "video", "primary", "bg-default"],
            },
            "bg-hover": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withDefault}",
              },
              name: "buttonColorVideoPrimaryBgHover",
              attributes: {},
              path: ["button", "color", "video", "primary", "bg-hover"],
            },
            "label-default": {
              $type: "color",
              $value: "#000000e6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.default}",
              },
              name: "buttonColorVideoPrimaryLabelDefault",
              attributes: {},
              path: ["button", "color", "video", "primary", "label-default"],
            },
            "label-hover": {
              $type: "color",
              $value: "#000000e6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.default}",
              },
              name: "buttonColorVideoPrimaryLabelHover",
              attributes: {},
              path: ["button", "color", "video", "primary", "label-hover"],
            },
          },
          secondary: {
            "bg-hover": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withDefault}",
              },
              name: "buttonColorVideoSecondaryBgHover",
              attributes: {},
              path: ["button", "color", "video", "secondary", "bg-hover"],
            },
            "border-default": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withDefault}",
              },
              name: "buttonColorVideoSecondaryBorderDefault",
              attributes: {},
              path: ["button", "color", "video", "secondary", "border-default"],
            },
            "border-hover": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withDefault}",
              },
              name: "buttonColorVideoSecondaryBorderHover",
              attributes: {},
              path: ["button", "color", "video", "secondary", "border-hover"],
            },
            "label-default": {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.withDefault}",
              },
              name: "buttonColorVideoSecondaryLabelDefault",
              attributes: {},
              path: ["button", "color", "video", "secondary", "label-default"],
            },
            "label-hover": {
              $type: "color",
              $value: "#000000e6",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.default}",
              },
              name: "buttonColorVideoSecondaryLabelHover",
              attributes: {},
              path: ["button", "color", "video", "secondary", "label-hover"],
            },
          },
        },
      },
      radius: {
        none: {
          $type: "borderRadius",
          $value: "0",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.none}",
          },
          name: "buttonRadiusNone",
          attributes: {},
          path: ["button", "radius", "none"],
        },
        S: {
          $type: "borderRadius",
          $value: 16,
          $description:
            "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.interactive.L}",
            $description:
              "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
          },
          name: "buttonRadiusS",
          attributes: {},
          path: ["button", "radius", "S"],
        },
        M: {
          $type: "borderRadius",
          $value: 20,
          $description:
            "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.interactive.XL}",
            $description:
              "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
          },
          name: "buttonRadiusM",
          attributes: {},
          path: ["button", "radius", "M"],
        },
        L: {
          $type: "borderRadius",
          $value: 24,
          $description:
            "Buttons L (typical and destructive, and inc bar, split and multi), Button toggle L (parent container)",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.interactive.XXL}",
            $description:
              "Buttons L (typical and destructive, and inc bar, split and multi), Button toggle L (parent container)",
          },
          name: "buttonRadiusL",
          attributes: {},
          path: ["button", "radius", "L"],
        },
        chip: {
          $type: "borderRadius",
          $value: 8,
          $description: "Buttons chip",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.interactive.M}",
            $description: "Buttons chip",
          },
          name: "buttonRadiusChip",
          attributes: {},
          path: ["button", "radius", "chip"],
        },
        FAB: {
          $type: "borderRadius",
          $value: "999",
          $description: "FAB Button radius",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderRadius",
            $value: "{global.radius.circle}",
            $description: "FAB Button radius",
          },
          name: "buttonRadiusFab",
          attributes: {},
          path: ["button", "radius", "FAB"],
        },
        primary: {
          S: {
            $type: "borderRadius",
            $value: 16,
            $description:
              "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.L}",
              $description:
                "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
            },
            name: "buttonRadiusPrimaryS",
            attributes: {},
            path: ["button", "radius", "primary", "S"],
          },
          M: {
            $type: "borderRadius",
            $value: 20,
            $description:
              "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XL}",
              $description:
                "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
            },
            name: "buttonRadiusPrimaryM",
            attributes: {},
            path: ["button", "radius", "primary", "M"],
          },
          L: {
            $type: "borderRadius",
            $value: 24,
            $description: "large tertiary button",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XXL}",
              $description: "large tertiary button",
            },
            name: "buttonRadiusPrimaryL",
            attributes: {},
            path: ["button", "radius", "primary", "L"],
          },
        },
        secondary: {
          XS: {
            $type: "borderRadius",
            $value: 12,
            $description: "Consumed within XS buttons only in table context.",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value:
                "{global.radius.interactive.M} + {global.radius.interactive.S}",
              $description: "Consumed within XS buttons only in table context.",
            },
            name: "buttonRadiusSecondaryXs",
            attributes: {},
            path: ["button", "radius", "secondary", "XS"],
          },
          S: {
            $type: "borderRadius",
            $value: 16,
            $description:
              "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.L}",
              $description:
                "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
            },
            name: "buttonRadiusSecondaryS",
            attributes: {},
            path: ["button", "radius", "secondary", "S"],
          },
          M: {
            $type: "borderRadius",
            $value: 20,
            $description:
              "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XL}",
              $description:
                "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
            },
            name: "buttonRadiusSecondaryM",
            attributes: {},
            path: ["button", "radius", "secondary", "M"],
          },
          L: {
            $type: "borderRadius",
            $value: 24,
            $description: "large tertiary button",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XXL}",
              $description: "large tertiary button",
            },
            name: "buttonRadiusSecondaryL",
            attributes: {},
            path: ["button", "radius", "secondary", "L"],
          },
        },
        tertiary: {
          XS: {
            $type: "borderRadius",
            $value: 12,
            $description: "Consumed within XS buttons only in table context.",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value:
                "{global.radius.interactive.M} + {global.radius.interactive.S}",
              $description: "Consumed within XS buttons only in table context.",
            },
            name: "buttonRadiusTertiaryXs",
            attributes: {},
            path: ["button", "radius", "tertiary", "XS"],
          },
          S: {
            $type: "borderRadius",
            $value: 16,
            $description:
              "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.L}",
              $description:
                "Buttons S (typical and destructive, and inc bar, split and multi),  Button toggle M (parent container)",
            },
            name: "buttonRadiusTertiaryS",
            attributes: {},
            path: ["button", "radius", "tertiary", "S"],
          },
          M: {
            $type: "borderRadius",
            $value: 20,
            $description:
              "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XL}",
              $description:
                "Buttons  M (typical and destructive, and inc bar, split and multi),  Button toggle L (parent container), Button toggle M (parent container)",
            },
            name: "buttonRadiusTertiaryM",
            attributes: {},
            path: ["button", "radius", "tertiary", "M"],
          },
          L: {
            $type: "borderRadius",
            $value: 24,
            $description: "large tertiary button",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XXL}",
              $description: "large tertiary button",
            },
            name: "buttonRadiusTertiaryL",
            attributes: {},
            path: ["button", "radius", "tertiary", "L"],
          },
        },
        subtle: {
          XS: {
            $type: "borderRadius",
            $value: 12,
            $description: "Consumed within XS buttons only in table context.",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value:
                "{global.radius.interactive.M} + {global.radius.interactive.S}",
              $description: "Consumed within XS buttons only in table context.",
            },
            name: "buttonRadiusSubtleXs",
            attributes: {},
            path: ["button", "radius", "subtle", "XS"],
          },
          S: {
            $type: "borderRadius",
            $value: 16,
            $description:
              "Buttons S (typical and destructive, and inc bar, split and multi), Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.L}",
              $description:
                "Buttons S (typical and destructive, and inc bar, split and multi), Button toggle M (parent container)",
            },
            name: "buttonRadiusSubtleS",
            attributes: {},
            path: ["button", "radius", "subtle", "S"],
          },
          M: {
            $type: "borderRadius",
            $value: 20,
            $description:
              "Buttons  M (typical and destructive, and inc bar, split and multi), Button toggle L (parent container), Button toggle M (parent container)",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XL}",
              $description:
                "Buttons  M (typical and destructive, and inc bar, split and multi), Button toggle L (parent container), Button toggle M (parent container)",
            },
            name: "buttonRadiusSubtleM",
            attributes: {},
            path: ["button", "radius", "subtle", "M"],
          },
          L: {
            $type: "borderRadius",
            $value: 24,
            $description: "large subtle button",
            filePath: "data/tokens/components/button.json",
            isSource: true,
            original: {
              $type: "borderRadius",
              $value: "{global.radius.interactive.XXL}",
              $description: "large subtle button",
            },
            name: "buttonRadiusSubtleL",
            attributes: {},
            path: ["button", "radius", "subtle", "L"],
          },
        },
        toggle: {
          button: {
            XS: {
              $type: "borderRadius",
              $value: 12,
              $description:
                "XS single toggle button (used within S toggle group)",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "borderRadius",
                $value: "{global.radius.interactive.XXL}/2",
                $description:
                  "XS single toggle button (used within S toggle group)",
              },
              name: "buttonRadiusToggleButtonXs",
              attributes: {},
              path: ["button", "radius", "toggle", "button", "XS"],
            },
            S: {
              $type: "borderRadius",
              $value: 16,
              $description:
                "S single toggle button (used within M toggle group)",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "borderRadius",
                $value: "{global.radius.interactive.L}",
                $description:
                  "S single toggle button (used within M toggle group)",
              },
              name: "buttonRadiusToggleButtonS",
              attributes: {},
              path: ["button", "radius", "toggle", "button", "S"],
            },
            M: {
              $type: "borderRadius",
              $value: 20,
              $description:
                "M single toggle button (used within L toggle group)",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "borderRadius",
                $value: "{global.radius.interactive.XL}",
                $description:
                  "M single toggle button (used within L toggle group)",
              },
              name: "buttonRadiusToggleButtonM",
              attributes: {},
              path: ["button", "radius", "toggle", "button", "M"],
            },
            L: {
              $type: "borderRadius",
              $value: 24,
              $description: "L single toggle button",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "borderRadius",
                $value: "{global.radius.interactive.XXL}",
                $description: "L single toggle button",
              },
              name: "buttonRadiusToggleButtonL",
              attributes: {},
              path: ["button", "radius", "toggle", "button", "L"],
            },
          },
          container: {
            S: {
              $type: "borderRadius",
              $value: 16,
              $description: "S toggle group",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "borderRadius",
                $value: "{global.radius.interactive.L}",
                $description: "S toggle group",
              },
              name: "buttonRadiusToggleContainerS",
              attributes: {},
              path: ["button", "radius", "toggle", "container", "S"],
            },
            M: {
              $type: "borderRadius",
              $value: 20,
              $description: "M toggle group",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "borderRadius",
                $value: "{global.radius.interactive.XL}",
                $description: "M toggle group",
              },
              name: "buttonRadiusToggleContainerM",
              attributes: {},
              path: ["button", "radius", "toggle", "container", "M"],
            },
            L: {
              $type: "borderRadius",
              $value: 24,
              $description: "L toggle group",
              filePath: "data/tokens/components/button.json",
              isSource: true,
              original: {
                $type: "borderRadius",
                $value: "{global.radius.interactive.XXL}",
                $description: "L toggle group",
              },
              name: "buttonRadiusToggleContainerL",
              attributes: {},
              path: ["button", "radius", "toggle", "container", "L"],
            },
          },
        },
      },
      borderwidth: {
        none: {
          $type: "borderWidth",
          $value: "0",
          $description: "Override on tertiary buttons within Button-toggle. ",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.none}",
            $description: "Override on tertiary buttons within Button-toggle. ",
          },
          name: "buttonBorderwidthNone",
          attributes: {},
          path: ["button", "borderwidth", "none"],
        },
        chip: {
          $type: "borderWidth",
          $value: 1,
          $description: "chip button border width",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "chip button border width",
          },
          name: "buttonBorderwidthChip",
          attributes: {},
          path: ["button", "borderwidth", "chip"],
        },
        primary: {
          $type: "borderWidth",
          $value: "0",
          $description: "primary button border ",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.none}",
            $description: "primary button border ",
          },
          name: "buttonBorderwidthPrimary",
          attributes: {},
          path: ["button", "borderwidth", "primary"],
        },
        secondary: {
          $type: "borderWidth",
          $value: 2,
          $description: "Secondary button. ",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.S}",
            $description: "Secondary button. ",
          },
          name: "buttonBorderwidthSecondary",
          attributes: {},
          path: ["button", "borderwidth", "secondary"],
        },
        tertiary: {
          $type: "borderWidth",
          $value: 1,
          $description: "tertiary button border ",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "tertiary button border ",
          },
          name: "buttonBorderwidthTertiary",
          attributes: {},
          path: ["button", "borderwidth", "tertiary"],
        },
        togglecontainer: {
          $type: "borderWidth",
          $value: 1,
          $description: "Toggle container",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "borderWidth",
            $value: "{global.borderwidth.XS}",
            $description: "Toggle container",
          },
          name: "buttonBorderwidthTogglecontainer",
          attributes: {},
          path: ["button", "borderwidth", "togglecontainer"],
        },
      },
      dimension: {
        video: {
          $type: "dimension",
          $value: "40px",
          $description: "background blur on video",
          filePath: "data/tokens/components/button.json",
          isSource: true,
          original: {
            $type: "dimension",
            $value: "40px",
            $description: "background blur on video",
          },
          name: "buttonDimensionVideo",
          attributes: {},
          path: ["button", "dimension", "video"],
        },
      },
    },
  };
});
