/**
 * Copyright © 2025 The Sage Group plc or its licensors. All Rights reserved
 */

/**
 * Do not edit directly, this file was auto-generated.
 */

module.exports = {
  modes: {
    color: {
      none: {
        $extensions: {
          "studio.tokens": {
            modify: {
              type: "alpha",
              value: "0",
              space: "lch",
              format: "hex",
            },
          },
        },
        $type: "color",
        $value: "#fff0",
        filePath: "data/tokens/modes/light.json",
        isSource: true,
        original: {
          $extensions: {
            "studio.tokens": {
              modify: {
                type: "alpha",
                value: "0",
                space: "lch",
              },
            },
          },
          $type: "color",
          $value: "{primitives.colors.white}",
        },
        name: "modesColorNone",
        attributes: {},
        path: ["modes", "color", "none"],
      },
      brand: {
        default: {
          $type: "color",
          $value: "#000000",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.black}",
          },
          name: "modesColorBrandDefault",
          attributes: {},
          path: ["modes", "color", "brand", "default"],
        },
        defaultAlt: {
          $type: "color",
          $value: "#000000",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.black}",
          },
          name: "modesColorBrandDefaultAlt",
          attributes: {},
          path: ["modes", "color", "brand", "defaultAlt"],
        },
        withDefaultAlt: {
          $type: "color",
          $value: "#FFFFFF",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.white}",
          },
          name: "modesColorBrandWithDefaultAlt",
          attributes: {},
          path: ["modes", "color", "brand", "withDefaultAlt"],
        },
        copilot: {
          AIIdentifier: {
            default: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorBrandCopilotAiIdentifierDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "brand",
                "copilot",
                "AIIdentifier",
                "default",
              ],
            },
            withDefault: {
              $type: "color",
              $value: "#00D639",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.brilliantGreen}",
              },
              name: "modesColorBrandCopilotAiIdentifierWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "brand",
                "copilot",
                "AIIdentifier",
                "withDefault",
              ],
            },
          },
          noBg: {
            monochrome: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorBrandCopilotNoBgMonochrome",
              attributes: {},
              path: [
                "modes",
                "color",
                "brand",
                "copilot",
                "noBg",
                "monochrome",
              ],
            },
          },
        },
      },
      custom: {
        default: {
          $type: "color",
          $value: "#00811F",
          $description:
            "This is the color to replace in white label products. Ensure luminousity of custom color = 46.8 (see hsluv.org).  AAA against FFFFFF bg. ",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.emerald}",
            $description:
              "This is the color to replace in white label products. Ensure luminousity of custom color = 46.8 (see hsluv.org).  AAA against FFFFFF bg. ",
          },
          name: "modesColorCustomDefault",
          attributes: {},
          path: ["modes", "color", "custom", "default"],
        },
        defaultAlt: {
          $type: "color",
          $value: "#00D639",
          $description:
            "This is the color to replace in white label products. Dark mode recommended luminosity for SAGE is 75.1 (tested), but above 51.9 should be ok. See hsluv.org to be AAA text on 000000 bgs.",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.brilliantGreen}",
            $description:
              "This is the color to replace in white label products. Dark mode recommended luminosity for SAGE is 75.1 (tested), but above 51.9 should be ok. See hsluv.org to be AAA text on 000000 bgs.",
          },
          name: "modesColorCustomDefaultAlt",
          attributes: {},
          path: ["modes", "color", "custom", "defaultAlt"],
        },
        frozen: {
          $type: "color",
          $value: "#008046",
          $description:
            "This is a derivative of Jade, and is the color to replace in white label products that use the FROZEN theme. Ensure luminousity of custom color = 46.8 (see hsluv.org). AAA against FFFFFF bg.",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.frozenJade}",
            $description:
              "This is a derivative of Jade, and is the color to replace in white label products that use the FROZEN theme. Ensure luminousity of custom color = 46.8 (see hsluv.org). AAA against FFFFFF bg.",
          },
          name: "modesColorCustomFrozen",
          attributes: {},
          path: ["modes", "color", "custom", "frozen"],
        },
      },
      colorcode: {
        blue: {
          deep: {
            $type: "color",
            $value: "#0071C3",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.blue.400}",
            },
            name: "modesColorColorcodeBlueDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "blue", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#CDE5FF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.blue.950}",
            },
            name: "modesColorColorcodeBlueMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "blue", "muted"],
          },
        },
        teal: {
          deep: {
            $type: "color",
            $value: "#007C7B",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.teal.400}",
            },
            name: "modesColorColorcodeTealDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "teal", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#C1FBFB",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.teal.950}",
            },
            name: "modesColorColorcodeTealMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "teal", "muted"],
          },
        },
        green: {
          deep: {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.green.400}",
            },
            name: "modesColorColorcodeGreenDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "green", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#C5FFC9",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.green.950}",
            },
            name: "modesColorColorcodeGreenMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "green", "muted"],
          },
        },
        lime: {
          deep: {
            $type: "color",
            $value: "#637700",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.lime.400}",
            },
            name: "modesColorColorcodeLimeDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "lime", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#FFFF9C",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.lime.950}",
            },
            name: "modesColorColorcodeLimeMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "lime", "muted"],
          },
        },
        orange: {
          deep: {
            $type: "color",
            $value: "#C54300",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.orange.400}",
            },
            name: "modesColorColorcodeOrangeDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "orange", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#FEEAB0",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.orange.950}",
            },
            name: "modesColorColorcodeOrangeMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "orange", "muted"],
          },
        },
        red: {
          deep: {
            $type: "color",
            $value: "#DC004E",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.red.400}",
            },
            name: "modesColorColorcodeRedDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "red", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#FFDBCF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.red.950}",
            },
            name: "modesColorColorcodeRedMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "red", "muted"],
          },
        },
        pink: {
          deep: {
            $type: "color",
            $value: "#C8269A",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.pink.400}",
            },
            name: "modesColorColorcodePinkDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "pink", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#FFD7EE",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.pink.950}",
            },
            name: "modesColorColorcodePinkMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "pink", "muted"],
          },
        },
        purple: {
          deep: {
            $type: "color",
            $value: "#8F4CD7",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.purple.400}",
            },
            name: "modesColorColorcodePurpleDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "purple", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#E7DEF8",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.purple.950}",
            },
            name: "modesColorColorcodePurpleMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "purple", "muted"],
          },
        },
        slate: {
          deep: {
            $type: "color",
            $value: "#527386",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.slate.400}",
            },
            name: "modesColorColorcodeSlateDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "slate", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#D4E5F1",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.slate.950}",
            },
            name: "modesColorColorcodeSlateMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "slate", "muted"],
          },
        },
        gray: {
          deep: {
            $type: "color",
            $value: "#6F6F6F",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.gray.400}",
            },
            name: "modesColorColorcodeGrayDeep",
            attributes: {},
            path: ["modes", "color", "colorcode", "gray", "deep"],
          },
          muted: {
            $type: "color",
            $value: "#E2E2E2",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.gray.950}",
            },
            name: "modesColorColorcodeGrayMuted",
            attributes: {},
            path: ["modes", "color", "colorcode", "gray", "muted"],
          },
        },
      },
      generic: {
        bg: {
          nought: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.white}",
            },
            name: "modesColorGenericBgNought",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "nought"],
          },
          faint: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.04",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#f3f3f3",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.04",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorGenericBgFaint",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "faint"],
          },
          delicate: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.08",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#e8e8e8",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.08",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorGenericBgDelicate",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "delicate"],
          },
          soft: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.117",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#dedede",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.117",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorGenericBgSoft",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "soft"],
          },
          moderate: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.16",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#d1d1d1",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.16",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorGenericBgModerate",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "moderate"],
          },
          firm: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.24",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#bbb",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.24",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorGenericBgFirm",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "firm"],
          },
          harsh: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.32",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#a6a6a6",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.32",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorGenericBgHarsh",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "harsh"],
          },
          severe: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.40",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#919191",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.40",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorGenericBgSevere",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "severe"],
          },
          extreme: {
            $type: "color",
            $value: "#000000",
            $description: "Consumed within generic monochrome, progress",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.black}",
              $description: "Consumed within generic monochrome, progress",
            },
            name: "modesColorGenericBgExtreme",
            attributes: {},
            path: ["modes", "color", "generic", "bg", "extreme"],
          },
          frozen: {
            soft: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.94",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#f2f4f6",
              $description: "Consumed within frozen table",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.94",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.navy}",
                $description: "Consumed within frozen table",
              },
              name: "modesColorGenericBgFrozenSoft",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "frozen", "soft"],
            },
            delicate: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.98",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#fbfbfc",
              $description: "Consumed within frozen table",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.98",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.navy}",
                $description: "Consumed within frozen table",
              },
              name: "modesColorGenericBgFrozenDelicate",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "frozen", "delicate"],
            },
          },
          inverse: {
            nought: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorGenericBgInverseNought",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "nought"],
            },
            faint: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.04",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0e0e0e",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.04",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "modesColorGenericBgInverseFaint",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "faint"],
            },
            delicate: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.08",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#181818",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.08",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "modesColorGenericBgInverseDelicate",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "delicate"],
            },
            soft: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.117",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#1f1f1f",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.117",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "modesColorGenericBgInverseSoft",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "soft"],
            },
            moderate: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.16",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#282828",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.16",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "modesColorGenericBgInverseModerate",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "moderate"],
            },
            firm: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.24",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#393939",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.24",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "modesColorGenericBgInverseFirm",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "firm"],
            },
            harsh: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.32",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#4b4b4b",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.32",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "modesColorGenericBgInverseHarsh",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "harsh"],
            },
            severe: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.40",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#5e5e5e",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.40",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
              },
              name: "modesColorGenericBgInverseSevere",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "severe"],
            },
            extreme: {
              $type: "color",
              $value: "#FFFFFF",
              $description: "Consumed within generic monochrome, progress",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.white}",
                $description: "Consumed within generic monochrome, progress",
              },
              name: "modesColorGenericBgInverseExtreme",
              attributes: {},
              path: ["modes", "color", "generic", "bg", "inverse", "extreme"],
            },
          },
        },
        content: {
          harsh: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.95",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#000000f2",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.95",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
            },
            name: "modesColorGenericContentHarsh",
            attributes: {},
            path: ["modes", "color", "generic", "content", "harsh"],
          },
          extreme: {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.black}",
            },
            name: "modesColorGenericContentExtreme",
            attributes: {},
            path: ["modes", "color", "generic", "content", "extreme"],
          },
          firm: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.67",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#000000ab",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.67",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
            },
            name: "modesColorGenericContentFirm",
            attributes: {},
            path: ["modes", "color", "generic", "content", "firm"],
          },
          moderate: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.55",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0000008c",
            $description:
              "was 0.5. Increased to 0.55 so that we can use this for hint text etc too, and still be accessible.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.55",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description:
                "was 0.5. Increased to 0.55 so that we can use this for hint text etc too, and still be accessible.",
            },
            name: "modesColorGenericContentModerate",
            attributes: {},
            path: ["modes", "color", "generic", "content", "moderate"],
          },
          muted: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.42",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0000006b",
            $description: "accessible OBJECT against white.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.42",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description: "accessible OBJECT against white.",
            },
            name: "modesColorGenericContentMuted",
            attributes: {},
            path: ["modes", "color", "generic", "content", "muted"],
          },
          soft: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.32",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00000052",
            $description: "Used for disabled text",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.32",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description: "Used for disabled text",
            },
            name: "modesColorGenericContentSoft",
            attributes: {},
            path: ["modes", "color", "generic", "content", "soft"],
          },
          nought: {
            $type: "color",
            $value: "#FFFFFF",
            $description: "pill hover X",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.modifier.contrastLess}",
              $description: "pill hover X",
            },
            name: "modesColorGenericContentNought",
            attributes: {},
            path: ["modes", "color", "generic", "content", "nought"],
          },
          inverse: {
            extreme: {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.white}",
              },
              name: "modesColorGenericContentInverseExtreme",
              attributes: {},
              path: [
                "modes",
                "color",
                "generic",
                "content",
                "inverse",
                "extreme",
              ],
            },
            harsh: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.95",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#fffffff2",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.95",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.content.inverse.extreme}",
              },
              name: "modesColorGenericContentInverseHarsh",
              attributes: {},
              path: [
                "modes",
                "color",
                "generic",
                "content",
                "inverse",
                "harsh",
              ],
            },
            firm: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.67",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffffab",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.67",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.content.inverse.extreme}",
              },
              name: "modesColorGenericContentInverseFirm",
              attributes: {},
              path: ["modes", "color", "generic", "content", "inverse", "firm"],
            },
            moderate: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.55",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff8c",
              $description:
                "was 0.5. Increased to 0.55 so that we can use this for hint text etc too, and still be accessible.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.55",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.content.inverse.extreme}",
                $description:
                  "was 0.5. Increased to 0.55 so that we can use this for hint text etc too, and still be accessible.",
              },
              name: "modesColorGenericContentInverseModerate",
              attributes: {},
              path: [
                "modes",
                "color",
                "generic",
                "content",
                "inverse",
                "moderate",
              ],
            },
            muted: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.42",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff6b",
              $description: "accessible OBJECT against white.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.42",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.content.inverse.extreme}",
                $description: "accessible OBJECT against white.",
              },
              name: "modesColorGenericContentInverseMuted",
              attributes: {},
              path: [
                "modes",
                "color",
                "generic",
                "content",
                "inverse",
                "muted",
              ],
            },
            soft: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.3",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff4d",
              $description: "Used for disabled text",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.3",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.content.inverse.extreme}",
                $description: "Used for disabled text",
              },
              name: "modesColorGenericContentInverseSoft",
              attributes: {},
              path: ["modes", "color", "generic", "content", "inverse", "soft"],
            },
            nought: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.modifier.contrastMore}",
              },
              name: "modesColorGenericContentInverseNought",
              attributes: {},
              path: [
                "modes",
                "color",
                "generic",
                "content",
                "inverse",
                "nought",
              ],
            },
          },
        },
        fg: {
          nought: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.modifier.contrastLess}",
            },
            name: "modesColorGenericFgNought",
            attributes: {},
            path: ["modes", "color", "generic", "fg", "nought"],
          },
          faint: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.08",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#e8e8e8",
            $description: "used for dividers",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.08",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
              $description: "used for dividers",
            },
            name: "modesColorGenericFgFaint",
            attributes: {},
            path: ["modes", "color", "generic", "fg", "faint"],
          },
          delicate: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.16",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#d1d1d1",
            $description: "table dividers and borders",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.16",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
              $description: "table dividers and borders",
            },
            name: "modesColorGenericFgDelicate",
            attributes: {},
            path: ["modes", "color", "generic", "fg", "delicate"],
          },
          soft: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.32",
                  space: "lch",
                  color: "#000000 ",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#a6a6a6",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.32",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore} ",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
            },
            name: "modesColorGenericFgSoft",
            attributes: {},
            path: ["modes", "color", "generic", "fg", "soft"],
          },
          moderate: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.50",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#777",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.50",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
            },
            name: "modesColorGenericFgModerate",
            attributes: {},
            path: ["modes", "color", "generic", "fg", "moderate"],
          },
          frozen: {
            soft: {
              $type: "color",
              $value: "#335B70",
              $description: "frozen progress tracker border",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.status.neutral.frozen.default}",
                $description: "frozen progress tracker border",
              },
              name: "modesColorGenericFgFrozenSoft",
              attributes: {},
              path: ["modes", "color", "generic", "fg", "frozen", "soft"],
            },
          },
          ai: {
            default: {
              $type: "color",
              $value:
                "linear-gradient(90deg, #00D639 0%, #00D6DE 40%, #9D60FF 90%)",
              $description: "Dialog top border treatment.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.lightAiH}",
                $description: "Dialog top border treatment.",
              },
              name: "modesColorGenericFgAiDefault",
              attributes: {},
              path: ["modes", "color", "generic", "fg", "ai", "default"],
            },
          },
          inverse: {
            nought: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.modifier.contrastMore}",
              },
              name: "modesColorGenericFgInverseNought",
              attributes: {},
              path: ["modes", "color", "generic", "fg", "inverse", "nought"],
            },
            faint: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.08",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#181818",
              $description: "table dividers and borders",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.08",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.fg.inverse.nought}",
                $description: "table dividers and borders",
              },
              name: "modesColorGenericFgInverseFaint",
              attributes: {},
              path: ["modes", "color", "generic", "fg", "inverse", "faint"],
            },
            delicate: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.16",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#282828",
              $description: "table dividers and borders",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.16",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.fg.inverse.nought}",
                $description: "table dividers and borders",
              },
              name: "modesColorGenericFgInverseDelicate",
              attributes: {},
              path: ["modes", "color", "generic", "fg", "inverse", "delicate"],
            },
            soft: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.32",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#4b4b4b",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.32",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.fg.inverse.nought}",
              },
              name: "modesColorGenericFgInverseSoft",
              attributes: {},
              path: ["modes", "color", "generic", "fg", "inverse", "soft"],
            },
            moderate: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.50",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#777",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.50",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.fg.nought}",
              },
              name: "modesColorGenericFgInverseModerate",
              attributes: {},
              path: ["modes", "color", "generic", "fg", "inverse", "moderate"],
            },
          },
        },
        backdrop: {
          nought: {
            $type: "color",
            $value: "#FFFFFF",
            $description: "used on full page backgrounds",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.white}",
              $description: "used on full page backgrounds",
            },
            name: "modesColorGenericBackdropNought",
            attributes: {},
            path: ["modes", "color", "generic", "backdrop", "nought"],
          },
          faint: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.04",
                  space: "lch",
                  color: "#335B70",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#f6f8f9",
            $description:
              "used on full page backgrounds as an alternative option",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.04",
                    space: "lch",
                    color: "{primitives.colors.navy}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.backdrop.nought}",
              $description:
                "used on full page backgrounds as an alternative option",
            },
            name: "modesColorGenericBackdropFaint",
            attributes: {},
            path: ["modes", "color", "generic", "backdrop", "faint"],
          },
        },
      },
      interactive: {
        ai: {
          active: {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A03826 0%, #14919726 40%, #a87cfb26 90%)",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value:
                "linear-gradient(90deg, #13A03826 0%, #14919726 40%, #a87cfb26 90%)",
            },
            name: "modesColorInteractiveAiActive",
            attributes: {},
            path: ["modes", "color", "interactive", "ai", "active"],
          },
          hover: {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A03814 0%, #14919714 40%, #a87cfb14 90%)",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value:
                "linear-gradient(90deg, #13A03814 0%, #14919714 40%, #a87cfb14 90%)",
            },
            name: "modesColorInteractiveAiHover",
            attributes: {},
            path: ["modes", "color", "interactive", "ai", "hover"],
          },
          default: {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.aiH}",
            },
            name: "modesColorInteractiveAiDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "ai", "default"],
          },
        },
        danger: {
          active: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.30",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#8c2c35",
            $description: "used on pill hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.active}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.danger.default}",
              $description: "used on pill hover states",
            },
            name: "modesColorInteractiveDangerActive",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "active"],
          },
          default: {
            $type: "color",
            $value: "#CD384B",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.red}",
            },
            name: "modesColorInteractiveDangerDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.12",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#b23342",
            $description: "For links in datatables",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.12",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.danger.default}",
              $description: "For links in datatables",
            },
            name: "modesColorInteractiveDangerDefaultAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#ac3240",
            $description: "used on solid-pill and primary-button hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.danger.default}",
              $description:
                "used on solid-pill and primary-button hover states",
            },
            name: "modesColorInteractiveDangerHover",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.10",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#cd384b1a",
            $description: "used on secondary-button hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "{primitives.color.modifiers.button.hoverAlt}",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.danger.default}",
              $description: "used on secondary-button hover states",
            },
            name: "modesColorInteractiveDangerHoverAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "hoverAlt"],
          },
          hoverAlt2: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.10",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#9f303c",
            $description: "used on link hover state",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hoverAlt}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.danger.defaultAlt}",
              $description: "used on link hover state",
            },
            name: "modesColorInteractiveDangerHoverAlt2",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "hoverAlt2"],
          },
          withActive: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.white}",
            },
            name: "modesColorInteractiveDangerWithActive",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "withActive"],
          },
          withDefault: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.white}",
            },
            name: "modesColorInteractiveDangerWithDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "danger", "withDefault"],
          },
          inverse: {
            active: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.30",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#f28083",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.active}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.danger.inverse.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorInteractiveDangerInverseActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "active",
              ],
            },
            default: {
              $type: "color",
              $value: "#E13E53",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.blush}",
              },
              name: "modesColorInteractiveDangerInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.12",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#e85b66",
              $description: "For links in datatables",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.12",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.danger.inverse.default}",
                $description: "For links in datatables",
              },
              name: "modesColorInteractiveDangerInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ea626a",
              $description:
                "used on solid-pill and primary-button hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.danger.inverse.default}",
                $description:
                  "used on solid-pill and primary-button hover states",
              },
              name: "modesColorInteractiveDangerInverseHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "hover",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.10",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#e13e531a",
              $description: "used on secondary-button hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.hoverAlt}",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.danger.inverse.default}",
                $description: "used on secondary-button hover states",
              },
              name: "modesColorInteractiveDangerInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "hoverAlt",
              ],
            },
            hoverAlt2: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.10",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ed6e74",
              $description: "used on link hover state",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hoverAlt}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.danger.inverse.defaultAlt}",
                $description: "used on link hover state",
              },
              name: "modesColorInteractiveDangerInverseHoverAlt2",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "hoverAlt2",
              ],
            },
            withActive: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorInteractiveDangerInverseWithActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "withActive",
              ],
            },
            withDefault: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorInteractiveDangerInverseWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "danger",
                "inverse",
                "withDefault",
              ],
            },
          },
        },
        dataEntry: {
          default: {
            $type: "color",
            $value: "#FFFFFF",
            $description: "Input backgrounds.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
              $description: "Input backgrounds.",
            },
            name: "modesColorInteractiveDataEntryDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "default"],
          },
          withActive: {
            $type: "color",
            $value: "#000000",
            $description: "checkbox tick icon or radio handle",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description: "checkbox tick icon or radio handle",
            },
            name: "modesColorInteractiveDataEntryWithActive",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "withActive"],
          },
          withActiveAlt: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
            },
            name: "modesColorInteractiveDataEntryWithActiveAlt",
            attributes: {},
            path: [
              "modes",
              "color",
              "interactive",
              "dataEntry",
              "withActiveAlt",
            ],
          },
          withHover: {
            $type: "color",
            $value: "#000000",
            $description: "text for draggable area on file input",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description: "text for draggable area on file input",
            },
            name: "modesColorInteractiveDataEntryWithHover",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "withHover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.10",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#e2e2e2",
            $description: "bg hover for draggable area on file input",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hoverAlt}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.dataEntry.default}",
              $description: "bg hover for draggable area on file input",
            },
            name: "modesColorInteractiveDataEntryHoverAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "hoverAlt"],
          },
          withDefault: {
            $type: "color",
            $value: "#777",
            $description: "Input borders.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.moderate}",
              $description: "Input borders.",
            },
            name: "modesColorInteractiveDataEntryWithDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "withDefault"],
          },
          defaultAlt: {
            $type: "color",
            $value: "#f3f3f3",
            $description: "Input footer bgs (e.g text editor).",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.faint}",
              $description: "Input footer bgs (e.g text editor).",
            },
            name: "modesColorInteractiveDataEntryDefaultAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "defaultAlt"],
          },
          content: {
            $type: "color",
            $value: "#000000f2",
            $description: "Input Text",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.harsh}",
              $description: "Input Text",
            },
            name: "modesColorInteractiveDataEntryContent",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "content"],
          },
          contentAlt: {
            $type: "color",
            $value: "#0000008c",
            $description: "Hint text, placeholder text, character count etc",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.moderate}",
              $description: "Hint text, placeholder text, character count etc",
            },
            name: "modesColorInteractiveDataEntryContentAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "dataEntry", "contentAlt"],
          },
          frozen: {
            withDefault: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.27",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#698495",
              $description: "Input borders.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.27",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.navy}",
                $description: "Input borders.",
              },
              name: "modesColorInteractiveDataEntryFrozenWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "dataEntry",
                "frozen",
                "withDefault",
              ],
            },
          },
        },
        focus: {
          default: {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.black}",
            },
            name: "modesColorInteractiveFocusDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "focus", "default"],
          },
          content: {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.black}",
            },
            name: "modesColorInteractiveFocusContent",
            attributes: {},
            path: ["modes", "color", "interactive", "focus", "content"],
          },
          withDefault: {
            $type: "color",
            $value: "#FFB500",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.gold}",
            },
            name: "modesColorInteractiveFocusWithDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "focus", "withDefault"],
          },
          withDefaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.4",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#ffd27e",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.4",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.gold}",
            },
            name: "modesColorInteractiveFocusWithDefaultAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "focus", "withDefaultAlt"],
          },
          inverse: {
            default: {
              $type: "color",
              $value: "#FFB500",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.gold}",
              },
              name: "modesColorInteractiveFocusInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "focus",
                "inverse",
                "default",
              ],
            },
            content: {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.white}",
              },
              name: "modesColorInteractiveFocusInverseContent",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "focus",
                "inverse",
                "content",
              ],
            },
            withDefault: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorInteractiveFocusInverseWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "focus",
                "inverse",
                "withDefault",
              ],
            },
            withDefaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.4",
                    space: "lch",
                    color: "#000000 ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#926916",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.4",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.gold}",
              },
              name: "modesColorInteractiveFocusInverseWithDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "focus",
                "inverse",
                "withDefaultAlt",
              ],
            },
          },
        },
        inactive: {
          default: {
            $type: "color",
            $value: "#a6a6a6",
            $description:
              "Disabled form secondary, tertiary and input borders borders.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.soft}",
              $description:
                "Disabled form secondary, tertiary and input borders borders.",
            },
            name: "modesColorInteractiveInactiveDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "inactive", "default"],
          },
          mask: {
            $type: "color",
            $value: "#000000",
            $description: "full screen takeover token for modal dimmer",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.extreme}",
              $description: "full screen takeover token for modal dimmer",
            },
            name: "modesColorInteractiveInactiveMask",
            attributes: {},
            path: ["modes", "color", "interactive", "inactive", "mask"],
          },
          defaultAlt: {
            $type: "color",
            $value: "#f3f3f3",
            $description:
              "Disabled input and button backgrounds, button borders and input backgrounds.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.faint}",
              $description:
                "Disabled input and button backgrounds, button borders and input backgrounds.",
            },
            name: "modesColorInteractiveInactiveDefaultAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "inactive", "defaultAlt"],
          },
          content: {
            $type: "color",
            $value: "#0000006b",
            $description: "Disabled text inside buttons and form inputs.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.muted}",
              $description: "Disabled text inside buttons and form inputs.",
            },
            name: "modesColorInteractiveInactiveContent",
            attributes: {},
            path: ["modes", "color", "interactive", "inactive", "content"],
          },
          contentAlt: {
            $type: "color",
            $value: "#FFFFFF",
            $description: " Disabled labels inside buttons and Switch.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.nought}",
              $description: " Disabled labels inside buttons and Switch.",
            },
            name: "modesColorInteractiveInactiveContentAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "inactive", "contentAlt"],
          },
          icon: {
            $type: "color",
            $value: "#00000052",
            $description: "Disabled icon inside buttons and form inputs.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.soft}",
              $description: "Disabled icon inside buttons and form inputs.",
            },
            name: "modesColorInteractiveInactiveIcon",
            attributes: {},
            path: ["modes", "color", "interactive", "inactive", "icon"],
          },
          iconAlt: {
            $type: "color",
            $value: "#0000008c",
            $description: "Readonly icon inside form inputs.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.moderate}",
              $description: "Readonly icon inside form inputs.",
            },
            name: "modesColorInteractiveInactiveIconAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "inactive", "iconAlt"],
          },
          frozen: {
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.88",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#e5eaed",
              $description:
                "Disabled input and button backgrounds, button borders and input backgrounds.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.88",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.navy}",
                $description:
                  "Disabled input and button backgrounds, button borders and input backgrounds.",
              },
              name: "modesColorInteractiveInactiveFrozenDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "inactive",
                "frozen",
                "defaultAlt",
              ],
            },
          },
          inverse: {
            default: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.32",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#4b4b4b",
              $description:
                "Inversed disabled form secondary, tertiary and input borders borders.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.32",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.black}",
                $description:
                  "Inversed disabled form secondary, tertiary and input borders borders.",
              },
              name: "modesColorInteractiveInactiveInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "inactive",
                "inverse",
                "default",
              ],
            },
            content: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.42",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff6b",
              $description:
                "Inversed disabled text inside buttons and form inputs.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.42",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.white}",
                $description:
                  "Inversed disabled text inside buttons and form inputs.",
              },
              name: "modesColorInteractiveInactiveInverseContent",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "inactive",
                "inverse",
                "content",
              ],
            },
            contentAlt: {
              $type: "color",
              $value: "#000000",
              $description: " Disabled labels inside buttons and Switch.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
                $description: " Disabled labels inside buttons and Switch.",
              },
              name: "modesColorInteractiveInactiveInverseContentAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "inactive",
                "inverse",
                "contentAlt",
              ],
            },
          },
        },
        monochrome: {
          active: {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.extreme}",
            },
            name: "modesColorInteractiveMonochromeActive",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "active"],
          },
          activeAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.15",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00000026",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "{primitives.color.modifiers.button.activeAlt}",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.monochrome.default}",
            },
            name: "modesColorInteractiveMonochromeActiveAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "activeAlt"],
          },
          default: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.9",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#000000e6",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.9",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
            },
            name: "modesColorInteractiveMonochromeDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.67",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#000000ab",
            $description: "subtle and toggle button text",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.67",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
              $description: "subtle and toggle button text",
            },
            name: "modesColorInteractiveMonochromeDefaultAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "defaultAlt"],
          },
          defaultAlt2: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.55",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0000008c",
            $description: "Dropdown option subtext.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.55",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
              $description: "Dropdown option subtext.",
            },
            name: "modesColorInteractiveMonochromeDefaultAlt2",
            attributes: {},
            path: [
              "modes",
              "color",
              "interactive",
              "monochrome",
              "defaultAlt2",
            ],
          },
          defaultAlt3: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.42",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0000006b",
            $description: "Tertiary border color",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.42",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
              $description: "Tertiary border color",
            },
            name: "modesColorInteractiveMonochromeDefaultAlt3",
            attributes: {},
            path: [
              "modes",
              "color",
              "interactive",
              "monochrome",
              "defaultAlt3",
            ],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.10",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0000001a",
            $description: "Accordion, secondary, tertiary, menu bg on hover",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "{primitives.color.modifiers.button.hoverAlt}",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.extreme}",
              $description: "Accordion, secondary, tertiary, menu bg on hover",
            },
            name: "modesColorInteractiveMonochromeHoverAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "hoverAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.15",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00000026",
            $description: "subtle table header hover",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.monochrome.active}",
              $description: "subtle table header hover",
            },
            name: "modesColorInteractiveMonochromeHover",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "hover"],
          },
          withActive: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.nought}",
            },
            name: "modesColorInteractiveMonochromeWithActive",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "withActive"],
          },
          withActiveAlt: {
            $type: "color",
            $value: "#000000",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
            },
            name: "modesColorInteractiveMonochromeWithActiveAlt",
            attributes: {},
            path: [
              "modes",
              "color",
              "interactive",
              "monochrome",
              "withActiveAlt",
            ],
          },
          withDefault: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.nought}",
            },
            name: "modesColorInteractiveMonochromeWithDefault",
            attributes: {},
            path: [
              "modes",
              "color",
              "interactive",
              "monochrome",
              "withDefault",
            ],
          },
          withHover: {
            $type: "color",
            $value: "#000000",
            $description:
              "maybe should be white to align with primary group logic",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description:
                "maybe should be white to align with primary group logic",
            },
            name: "modesColorInteractiveMonochromeWithHover",
            attributes: {},
            path: ["modes", "color", "interactive", "monochrome", "withHover"],
          },
          frozen: {
            active: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.4",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#223743",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.4",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.frozen.default}",
              },
              name: "modesColorInteractiveMonochromeFrozenActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "active",
              ],
            },
            activeAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.15",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#22374326",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.activeAlt}",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.frozen.active}",
              },
              name: "modesColorInteractiveMonochromeFrozenActiveAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "activeAlt",
              ],
            },
            default: {
              $type: "color",
              $value: "#335B70",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.navy}",
              },
              name: "modesColorInteractiveMonochromeFrozenDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.1",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#476a7d",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.1",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.frozen.default}",
              },
              name: "modesColorInteractiveMonochromeFrozenDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "defaultAlt",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.10",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#2237431a",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.hoverAlt}",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.frozen.active}",
              },
              name: "modesColorInteractiveMonochromeFrozenHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "hoverAlt",
              ],
            },
            withActive: {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.fg.nought}",
              },
              name: "modesColorInteractiveMonochromeFrozenWithActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "withActive",
              ],
            },
            withHover: {
              $type: "color",
              $value: "#223743",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.interactive.monochrome.frozen.active}",
              },
              name: "modesColorInteractiveMonochromeFrozenWithHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "withHover",
              ],
            },
            withHoverAlt: {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.fg.nought}",
              },
              name: "modesColorInteractiveMonochromeFrozenWithHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "frozen",
                "withHoverAlt",
              ],
            },
          },
          inverse: {
            active: {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.bg.nought}",
              },
              name: "modesColorInteractiveMonochromeInverseActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "active",
              ],
            },
            activeAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.15",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff26",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.activeAlt}",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.inverse.default}",
              },
              name: "modesColorInteractiveMonochromeInverseActiveAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "activeAlt",
              ],
            },
            default: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.9",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffffe6",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.9",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.inverse.active}",
              },
              name: "modesColorInteractiveMonochromeInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.67",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffffab",
              $description: "subtle and toggle button text",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.67",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.inverse.active}",
                $description: "subtle and toggle button text",
              },
              name: "modesColorInteractiveMonochromeInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "defaultAlt",
              ],
            },
            defaultAlt2: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.42",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff6b",
              $description: "Tertiary border color",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.42",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.inverse.active}",
                $description: "Tertiary border color",
              },
              name: "modesColorInteractiveMonochromeInverseDefaultAlt2",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "defaultAlt2",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.10",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff1a",
              $description: "Accordion, secondary, tertiary, menu bg on hover",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.hoverAlt}",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.inverse.active}",
                $description:
                  "Accordion, secondary, tertiary, menu bg on hover",
              },
              name: "modesColorInteractiveMonochromeInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "hoverAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.15",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff26",
              $description: "subtle table header hover",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.inverse.active}",
                $description: "subtle table header hover",
              },
              name: "modesColorInteractiveMonochromeInverseHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "hover",
              ],
            },
            withActive: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.extreme}",
              },
              name: "modesColorInteractiveMonochromeInverseWithActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "withActive",
              ],
            },
            withActiveAlt: {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.nought}",
              },
              name: "modesColorInteractiveMonochromeInverseWithActiveAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "withActiveAlt",
              ],
            },
            withDefault: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.extreme}",
              },
              name: "modesColorInteractiveMonochromeInverseWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "withDefault",
              ],
            },
            withHover: {
              $type: "color",
              $value: "#FFFFFF",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.nought}",
              },
              name: "modesColorInteractiveMonochromeInverseWithHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "inverse",
                "withHover",
              ],
            },
          },
          subtle: {
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.50",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#00000080",
              $description: "border color for off switches",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.50",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.active}",
                $description: "border color for off switches",
              },
              name: "modesColorInteractiveMonochromeSubtleDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "subtle",
                "defaultAlt",
              ],
            },
            default: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.04",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0000000a",
              $description: "bg color for tertiary buttons and table headers",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.04",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.monochrome.active}",
                $description: "bg color for tertiary buttons and table headers",
              },
              name: "modesColorInteractiveMonochromeSubtleDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "monochrome",
                "subtle",
                "default",
              ],
            },
          },
        },
        nav: {
          active: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.16",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00000029",
            $description: "active bg for nav items",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.16",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.black}",
              $description: "active bg for nav items",
            },
            name: "modesColorInteractiveNavActive",
            attributes: {},
            path: ["modes", "color", "interactive", "nav", "active"],
          },
          default: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorInteractiveNavDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "nav", "default"],
          },
          defaultAlt: {
            $type: "color",
            $value: "#f6f8f9",
            $description: "default bg for left nav container",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.backdrop.faint}",
              $description: "default bg for left nav container",
            },
            name: "modesColorInteractiveNavDefaultAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "nav", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.10",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0000001a",
            $description: "hover bg for nav items",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "{primitives.color.modifiers.button.hoverAlt}",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.black}",
              $description: "hover bg for nav items",
            },
            name: "modesColorInteractiveNavHover",
            attributes: {},
            path: ["modes", "color", "interactive", "nav", "hover"],
          },
          withActive: {
            $type: "color",
            $value: "#000000",
            $description: "text and icons on top of active bgs in nav contexts",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description:
                "text and icons on top of active bgs in nav contexts",
            },
            name: "modesColorInteractiveNavWithActive",
            attributes: {},
            path: ["modes", "color", "interactive", "nav", "withActive"],
          },
          withDefault: {
            $type: "color",
            $value: "#000000f2",
            $description: "hover bg for nav items",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.harsh}",
              $description: "hover bg for nav items",
            },
            name: "modesColorInteractiveNavWithDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "nav", "withDefault"],
          },
          withHover: {
            $type: "color",
            $value: "#000000",
            $description: "hover bg for nav items",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description: "hover bg for nav items",
            },
            name: "modesColorInteractiveNavWithHover",
            attributes: {},
            path: ["modes", "color", "interactive", "nav", "withHover"],
          },
          inverse: {
            active: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.35",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff59",
              $description: "active bg for nav items",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.35",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.white}",
                $description: "active bg for nav items",
              },
              name: "modesColorInteractiveNavInverseActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "nav",
                "inverse",
                "active",
              ],
            },
            default: {
              $type: "color",
              $value: "#000000",
              $description: "default bg for global nav",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.nought}",
                $description: "default bg for global nav",
              },
              name: "modesColorInteractiveNavInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "nav",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $type: "color",
              $value: "#282828",
              $description: "default bg for left nav container",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.bg.inverse.moderate}",
                $description: "default bg for left nav container",
              },
              name: "modesColorInteractiveNavInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "nav",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.15",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffff26",
              $description: "hover bg for nav items",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.white}",
                $description: "hover bg for nav items",
              },
              name: "modesColorInteractiveNavInverseHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "nav",
                "inverse",
                "hover",
              ],
            },
            withActive: {
              $type: "color",
              $value: "#FFFFFF",
              $description:
                "text and icons on top of active bgs in nav contexts",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.nought}",
                $description:
                  "text and icons on top of active bgs in nav contexts",
              },
              name: "modesColorInteractiveNavInverseWithActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "nav",
                "inverse",
                "withActive",
              ],
            },
            withDefault: {
              $type: "color",
              $value: "#fffffff2",
              $description: "hover bg for nav items",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.inverse.harsh}",
                $description: "hover bg for nav items",
              },
              name: "modesColorInteractiveNavInverseWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "nav",
                "inverse",
                "withDefault",
              ],
            },
            withHover: {
              $type: "color",
              $value: "#FFFFFF",
              $description: "hover bg for nav items",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.nought}",
                $description: "hover bg for nav items",
              },
              name: "modesColorInteractiveNavInverseWithHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "nav",
                "inverse",
                "withHover",
              ],
            },
          },
        },
        primary: {
          active: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.30",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#13591a",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.active}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.default}",
            },
            name: "modesColorInteractivePrimaryActive",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "active"],
          },
          activeAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.30",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00811f4d",
            $description: "Active color for secondary and tertiary buttons",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "{primitives.color.modifiers.button.active}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.default}",
              $description: "Active color for secondary and tertiary buttons",
            },
            name: "modesColorInteractivePrimaryActiveAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "activeAlt"],
          },
          default: {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.custom.default}",
            },
            name: "modesColorInteractivePrimaryDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.8",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00811fcc",
            $description: "border color for secondary and tertiary buttons",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.8",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.default}",
              $description: "border color for secondary and tertiary buttons",
            },
            name: "modesColorInteractivePrimaryDefaultAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "defaultAlt"],
          },
          defaultAlt2: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.12",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0c711d",
            $description: "default value for links",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.12",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.default}",
              $description: "default value for links",
            },
            name: "modesColorInteractivePrimaryDefaultAlt2",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "defaultAlt2"],
          },
          defaultAlt3: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.03",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00811f08",
            $description: "Default background color of secondary button",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.03",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.default}",
              $description: "Default background color of secondary button",
            },
            name: "modesColorInteractivePrimaryDefaultAlt3",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "defaultAlt3"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0e6d1d",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.default}",
            },
            name: "modesColorInteractivePrimaryHover",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.10",
                  space: "lch",
                  color: "#FFFFFF ",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00811f1a",
            $description: "hover for secondary and tertiary buttons",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "{primitives.color.modifiers.button.hoverAlt}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess} ",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.default}",
              $description: "hover for secondary and tertiary buttons",
            },
            name: "modesColorInteractivePrimaryHoverAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "hoverAlt"],
          },
          hoverAlt2: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#12601b",
            $description: "hover for links",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.interactive.primary.defaultAlt2}",
              $description: "hover for links",
            },
            name: "modesColorInteractivePrimaryHoverAlt2",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "hoverAlt2"],
          },
          withActive: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.white}",
            },
            name: "modesColorInteractivePrimaryWithActive",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "withActive"],
          },
          withDefault: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.white}",
            },
            name: "modesColorInteractivePrimaryWithDefault",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "withDefault"],
          },
          withHover: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.white}",
            },
            name: "modesColorInteractivePrimaryWithHover",
            attributes: {},
            path: ["modes", "color", "interactive", "primary", "withHover"],
          },
          frozen: {
            active: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.30",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#135932",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.active}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.frozen.default}",
              },
              name: "modesColorInteractivePrimaryFrozenActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "frozen",
                "active",
              ],
            },
            default: {
              $type: "color",
              $value: "#008046",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.custom.frozen}",
              },
              name: "modesColorInteractivePrimaryFrozenDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "frozen",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.12",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0b703e",
              $description: "for links",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.12",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.frozen.default}",
                $description: "for links",
              },
              name: "modesColorInteractivePrimaryFrozenDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "frozen",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0d6c3c",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.frozen.default}",
              },
              name: "modesColorInteractivePrimaryFrozenHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "frozen",
                "hover",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.12",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#106237",
              $description: "for link hover",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.12",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.frozen.defaultAlt}",
                $description: "for link hover",
              },
              name: "modesColorInteractivePrimaryFrozenHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "frozen",
                "hoverAlt",
              ],
            },
            nav: {
              hover: {
                $type: "color",
                $value: "#008046",
                filePath: "data/tokens/modes/light.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value: "{primitives.colors.frozenJade}",
                },
                name: "modesColorInteractivePrimaryFrozenNavHover",
                attributes: {},
                path: [
                  "modes",
                  "color",
                  "interactive",
                  "primary",
                  "frozen",
                  "nav",
                  "hover",
                ],
              },
              "label-hover": {
                $type: "color",
                $value: "#FFFFFF",
                filePath: "data/tokens/modes/light.json",
                isSource: true,
                original: {
                  $type: "color",
                  $value:
                    "{modes.color.interactive.monochrome.frozen.withHoverAlt}",
                },
                name: "modesColorInteractivePrimaryFrozenNavLabelHover",
                attributes: {},
                path: [
                  "modes",
                  "color",
                  "interactive",
                  "primary",
                  "frozen",
                  "nav",
                  "label-hover",
                ],
              },
            },
            table: {
              default: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.52",
                      space: "lch",
                      color: "#FFFFFF",
                      format: "hex",
                    },
                  },
                },
                $type: "color",
                $value: "#9badb8",
                filePath: "data/tokens/modes/light.json",
                isSource: true,
                original: {
                  $extensions: {
                    "studio.tokens": {
                      modify: {
                        type: "mix",
                        value: "0.52",
                        space: "lch",
                        color: "{modes.color.modifier.contrastLess}",
                      },
                    },
                  },
                  $type: "color",
                  $value: "{primitives.colors.navy}",
                },
                name: "modesColorInteractivePrimaryFrozenTableDefault",
                attributes: {},
                path: [
                  "modes",
                  "color",
                  "interactive",
                  "primary",
                  "frozen",
                  "table",
                  "default",
                ],
              },
            },
          },
          inverse: {
            active: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.30",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#7ce47a",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.active}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.default}",
              },
              name: "modesColorInteractivePrimaryInverseActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "active",
              ],
            },
            activeAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.30",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#00d6394d",
              $description:
                "Active color for inverse secondary and tertiary buttons",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.active}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.default}",
                $description:
                  "Active color for inverse secondary and tertiary buttons",
              },
              name: "modesColorInteractivePrimaryInverseActiveAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "activeAlt",
              ],
            },
            default: {
              $type: "color",
              $value: "#00D639",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.custom.defaultAlt}",
              },
              name: "modesColorInteractivePrimaryInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.8",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#00d639cc",
              $description:
                "border color for secondary and tertiary inverse buttons",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.8",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.default}",
                $description:
                  "border color for secondary and tertiary inverse buttons",
              },
              name: "modesColorInteractivePrimaryInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "defaultAlt",
              ],
            },
            defaultAlt2: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.12",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#4cdc55",
              $description: "Default color for links",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.12",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.default}",
                $description: "Default color for links",
              },
              name: "modesColorInteractivePrimaryInverseDefaultAlt2",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "defaultAlt2",
              ],
            },
            defaultAlt3: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.03",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#00d63908",
              $description:
                "Default background color of inverse secondary buttons",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.03",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.default}",
                $description:
                  "Default background color of inverse secondary buttons",
              },
              name: "modesColorInteractivePrimaryInverseDefaultAlt3",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "defaultAlt3",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#55dd5b",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.default}",
              },
              name: "modesColorInteractivePrimaryInverseHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "hover",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.10",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#00d6391a",
              $description: "Hover for inverse secondary and tertiary buttons",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "{primitives.color.modifiers.button.hoverAlt}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.default}",
                $description:
                  "Hover for inverse secondary and tertiary buttons",
              },
              name: "modesColorInteractivePrimaryInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "hoverAlt",
              ],
            },
            hoverAlt2: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#71e270",
              $description: "hover for links",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.interactive.primary.inverse.defaultAlt2}",
                $description: "hover for links",
              },
              name: "modesColorInteractivePrimaryInverseHoverAlt2",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "hoverAlt2",
              ],
            },
            withActive: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorInteractivePrimaryInverseWithActive",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "withActive",
              ],
            },
            withDefault: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorInteractivePrimaryInverseWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "withDefault",
              ],
            },
            withHover: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.black}",
              },
              name: "modesColorInteractivePrimaryInverseWithHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "primary",
                "inverse",
                "withHover",
              ],
            },
          },
        },
        progress: {
          bg: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.08",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#00000014",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.08",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.extreme}",
            },
            name: "modesColorInteractiveProgressBg",
            attributes: {},
            path: ["modes", "color", "interactive", "progress", "bg"],
          },
          bgAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "alpha",
                  value: "0.08",
                  space: "lch",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#ffffff14",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.08",
                    space: "lch",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorInteractiveProgressBgAlt",
            attributes: {},
            path: ["modes", "color", "interactive", "progress", "bgAlt"],
          },
          frozen: {
            bg: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.08",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#00804614",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.08",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.frozenJade}",
              },
              name: "modesColorInteractiveProgressFrozenBg",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "progress",
                "frozen",
                "bg",
              ],
            },
            "bg-alt": {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.75",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#cad3d9",
              $description: "progress tracker bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.75",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.navy}",
                $description: "progress tracker bg",
              },
              name: "modesColorInteractiveProgressFrozenBgAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "interactive",
                "progress",
                "frozen",
                "bg-alt",
              ],
            },
          },
        },
      },
      status: {
        ai: {
          default: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.nought}",
            },
            name: "modesColorStatusAiDefault",
            attributes: {},
            path: ["modes", "color", "status", "ai", "default"],
          },
          defaultAlt: {
            $type: "color",
            $value: "#000000",
            $description: "bg for contextual message comp",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.bg.extreme}",
              $description: "bg for contextual message comp",
            },
            name: "modesColorStatusAiDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "ai", "defaultAlt"],
          },
          "default-horizontal": {
            $type: "color",
            $value:
              "linear-gradient(90deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.aiH}",
            },
            name: "modesColorStatusAiDefaultHorizontal",
            attributes: {},
            path: ["modes", "color", "status", "ai", "default-horizontal"],
          },
          "default-vertical": {
            $type: "color",
            $value:
              "linear-gradient(180deg, #13A038 0%, #149197 40%, #A87CFB 90%)",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.aiV}",
            },
            name: "modesColorStatusAiDefaultVertical",
            attributes: {},
            path: ["modes", "color", "status", "ai", "default-vertical"],
          },
        },
        callout: {
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.85",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#e5fae2",
            $description: "used for marketing banners",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.85",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.brilliantGreen}",
              $description: "used for marketing banners",
            },
            name: "modesColorStatusCalloutDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "callout", "defaultAlt"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.05",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#d8ecd5",
            $description: "used for marketing banners",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.05",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.callout.defaultAlt}",
              $description: "used for marketing banners",
            },
            name: "modesColorStatusCalloutHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "callout", "hoverAlt"],
          },
        },
        caution: {
          default: {
            $type: "color",
            $value: "#D64309",
            $description:
              "For pills and messages. Not accessible with white TEXT.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.orange}",
              $description:
                "For pills and messages. Not accessible with white TEXT.",
            },
            name: "modesColorStatusCautionDefault",
            attributes: {},
            path: ["modes", "color", "status", "caution", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.9",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#ffede5",
            $description: "Subtle message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.orange}",
              $description: "Subtle message bg",
            },
            name: "modesColorStatusCautionDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "caution", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#b33b0d",
            $description: "used on pill hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.caution.default}",
              $description: "used on pill hover states",
            },
            name: "modesColorStatusCautionHover",
            attributes: {},
            path: ["modes", "color", "status", "caution", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#D64309",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#fed5c3",
            $description: "used on pill hover states and message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.status.caution.default}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.caution.defaultAlt}",
              $description: "used on pill hover states and message bg",
            },
            name: "modesColorStatusCautionHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "caution", "hoverAlt"],
          },
          text: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.10",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#bf3e0c",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.10",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.orange}",
            },
            name: "modesColorStatusCautionText",
            attributes: {},
            path: ["modes", "color", "status", "caution", "text"],
          },
          frozenglobal: {
            default: {
              $type: "color",
              $value: "#ff8629",
              $description: "used on global message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "#ff8629",
                $description: "used on global message bg",
              },
              name: "modesColorStatusCautionFrozenglobalDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "caution",
                "frozenglobal",
                "default",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ff994c",
              $description: "used on global message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.caution.frozenglobal.default}",
                $description: "used on global message bg",
              },
              name: "modesColorStatusCautionFrozenglobalHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "caution",
                "frozenglobal",
                "hover",
              ],
            },
          },
          inverse: {
            default: {
              $type: "color",
              $value: "#E04500",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.tangerine}",
              },
              name: "modesColorStatusCautionInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "caution",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.85",
                    space: "lch",
                    color: "#000000 ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#251206",
              $description: "Subtle message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.85",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.tangerine}",
                $description: "Subtle message bg",
              },
              name: "modesColorStatusCautionInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "caution",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#eb6530",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.caution.inverse.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCautionInverseHover",
              attributes: {},
              path: ["modes", "color", "status", "caution", "inverse", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#E04500",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#3e1a0b",
              $description: "used on pill hover states and message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.caution.inverse.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.caution.inverse.defaultAlt}",
                $description: "used on pill hover states and message bg",
              },
              name: "modesColorStatusCautionInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "caution",
                "inverse",
                "hoverAlt",
              ],
            },
            text: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.10",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#e75b23",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.10",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.tangerine}",
              },
              name: "modesColorStatusCautionInverseText",
              attributes: {},
              path: ["modes", "color", "status", "caution", "inverse", "text"],
            },
          },
        },
        content: {
          withDefault: {
            $type: "color",
            $value: "#FFFFFF",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.nought}",
            },
            name: "modesColorStatusContentWithDefault",
            attributes: {},
            path: ["modes", "color", "status", "content", "withDefault"],
          },
          withDefaultAlt: {
            $type: "color",
            $value: "#000000f2",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.harsh}",
            },
            name: "modesColorStatusContentWithDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "content", "withDefaultAlt"],
          },
          withHover: {
            $type: "color",
            $value: "#FFFFFF",
            $description: "for pill hover X",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.nought}",
              $description: "for pill hover X",
            },
            name: "modesColorStatusContentWithHover",
            attributes: {},
            path: ["modes", "color", "status", "content", "withHover"],
          },
          withHoverAlt: {
            $type: "color",
            $value: "#000000",
            $description: "for message text",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.extreme}",
              $description: "for message text",
            },
            name: "modesColorStatusContentWithHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "content", "withHoverAlt"],
          },
          loading: {
            $type: "color",
            $value: "linear-gradient(135deg, #6F6F6F5c 0%, #6F6F6F0A 100%)",
            $description: "used on skeleton text",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "linear-gradient(135deg, #6F6F6F5c 0%, #6F6F6F0A 100%)",
              $description: "used on skeleton text",
            },
            name: "modesColorStatusContentLoading",
            attributes: {},
            path: ["modes", "color", "status", "content", "loading"],
          },
          inverse: {
            withDefault: {
              $type: "color",
              $value: "#000000",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.extreme}",
              },
              name: "modesColorStatusContentInverseWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "content",
                "inverse",
                "withDefault",
              ],
            },
            withDefaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.95",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#fffffff2",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.95",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.generic.content.nought}",
              },
              name: "modesColorStatusContentInverseWithDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "content",
                "inverse",
                "withDefaultAlt",
              ],
            },
            withHover: {
              $type: "color",
              $value: "#000000",
              $description: "for pill hover X",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.extreme}",
                $description: "for pill hover X",
              },
              name: "modesColorStatusContentInverseWithHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "content",
                "inverse",
                "withHover",
              ],
            },
            withHoverAlt: {
              $type: "color",
              $value: "#FFFFFF",
              $description: "for message text",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.generic.content.nought}",
                $description: "for message text",
              },
              name: "modesColorStatusContentInverseWithHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "content",
                "inverse",
                "withHoverAlt",
              ],
            },
          },
        },
        custom: {
          blue: {
            default: {
              $type: "color",
              $value: "#0071C3",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.blue.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomBlueDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "blue", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ebf0f9",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.blue.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomBlueDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "blue",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#135fa3",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.blue.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomBlueHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "blue", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ced9ed",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.blue.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomBlueHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "blue", "hoverAlt"],
            },
          },
          teal: {
            default: {
              $type: "color",
              $value: "#007C7B",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.teal.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomTealDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "teal", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#e9f1f1",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.teal.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomTealDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "teal",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0e6968",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.teal.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomTealHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "teal", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#c4dde0",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.teal.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomTealHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "teal", "hoverAlt"],
            },
          },
          green: {
            default: {
              $type: "color",
              $value: "#00811F",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.green.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomGreenDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "green", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#e9f2e8",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.green.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomGreenDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "green",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0e6d1d",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.green.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomGreenHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "green", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#c4decf",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.green.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomGreenHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "green", "hoverAlt"],
            },
          },
          lime: {
            default: {
              $type: "color",
              $value: "#637700",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.lime.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomLimeDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "lime", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#eff1e6",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.lime.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomLimeDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "lime",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#546408",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.lime.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomLimeHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "lime", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#cdddc9",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.lime.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomLimeHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "lime", "hoverAlt"],
            },
          },
          orange: {
            default: {
              $type: "color",
              $value: "#C54300",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.orange.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomOrangeDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "orange", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#feece5",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.orange.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomOrangeDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "orange",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#a53a06",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.orange.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomOrangeHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "orange", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#f2d0ce",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.orange.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomOrangeHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "orange",
                "hoverAlt",
              ],
            },
          },
          red: {
            default: {
              $type: "color",
              $value: "#DC004E",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.red.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomRedDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "red", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffebec",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.red.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomRedDefaultAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "red", "defaultAlt"],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#b81242",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.red.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomRedHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "red", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#f1cfd9",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.red.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomRedHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "red", "hoverAlt"],
            },
          },
          pink: {
            default: {
              $type: "color",
              $value: "#C8269A",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.pink.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomPinkDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "pink", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#fcecf5",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.pink.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomPinkDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "pink",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#a82581",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.pink.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomPinkHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "pink", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ead2e5",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.pink.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomPinkHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "pink", "hoverAlt"],
            },
          },
          purple: {
            default: {
              $type: "color",
              $value: "#8F4CD7",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.purple.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomPurpleDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "purple", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#f5edfc",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.purple.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomPurpleDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "purple",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#7941b4",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.purple.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomPurpleHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "purple", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ded4ee",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.purple.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomPurpleHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "purple",
                "hoverAlt",
              ],
            },
          },
          gray: {
            default: {
              $type: "color",
              $value: "#6F6F6F",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.gray.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomGrayDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "gray", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#f0f0f0",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.gray.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomGrayDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "gray",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#5e5e5e",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.gray.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomGrayHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "gray", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#d3d9e5",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.gray.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomGrayHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "gray", "hoverAlt"],
            },
          },
          slate: {
            default: {
              $type: "color",
              $value: "#527386",
              $description: "For pills. Not accessible with white TEXT.",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.slate.400}",
                $description: "For pills. Not accessible with white TEXT.",
              },
              name: "modesColorStatusCustomSlateDefault",
              attributes: {},
              path: ["modes", "color", "status", "custom", "slate", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#edf0f2",
              $description: "Pill bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.slate.400}",
                $description: "Pill bg",
              },
              name: "modesColorStatusCustomSlateDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "custom",
                "slate",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#466171",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.slate.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomSlateHover",
              attributes: {},
              path: ["modes", "color", "status", "custom", "slate", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#0060A7",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#cbdae6",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.custom.slate.defaultAlt}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusCustomSlateHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "custom", "slate", "hoverAlt"],
            },
          },
        },
        important: {
          default: {
            $type: "color",
            $value: "#8F4CD7",
            $description:
              "For tile status keylines to show if something is of high importance.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.supplementary.purple.400}",
              $description:
                "For tile status keylines to show if something is of high importance.",
            },
            name: "modesColorStatusImportantDefault",
            attributes: {},
            path: ["modes", "color", "status", "important", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.9",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#f5edfc",
            $description: "Subtle message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.supplementary.purple.400}",
              $description: "Subtle message bg",
            },
            name: "modesColorStatusImportantDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "important", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#7941b4",
            $description: "used on pill hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.important.default}",
              $description: "used on pill hover states",
            },
            name: "modesColorStatusImportantHover",
            attributes: {},
            path: ["modes", "color", "status", "important", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#0060A7",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#ded4ee",
            $description: "used on pill hover states and message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.status.info.default}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.important.defaultAlt}",
              $description: "used on pill hover states and message bg",
            },
            name: "modesColorStatusImportantHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "important", "hoverAlt"],
          },
          inverse: {
            default: {
              $type: "color",
              $value: "#985FDC",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.supplementary.purple.500}",
              },
              name: "modesColorStatusImportantInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "important",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.85",
                    space: "lch",
                    color: "#000000 ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#1b1422",
              $description: "Subtle message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.85",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.supplementary.purple.500}",
                $description: "Subtle message bg",
              },
              name: "modesColorStatusImportantInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "important",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#a977e2",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.important.inverse.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusImportantInverseHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "important",
                "inverse",
                "hover",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#007ED9",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#282039",
              $description: "used on pill hover states and message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.inverse.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.important.inverse.defaultAlt}",
                $description: "used on pill hover states and message bg",
              },
              name: "modesColorStatusImportantInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "important",
                "inverse",
                "hoverAlt",
              ],
            },
          },
        },
        inactive: {
          default: {
            $type: "color",
            $value: "#a6a6a6",
            $description: "For readonly pill bg and border",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.fg.soft}",
              $description: "For readonly pill bg and border",
            },
            name: "modesColorStatusInactiveDefault",
            attributes: {},
            path: ["modes", "color", "status", "inactive", "default"],
          },
          withDefault: {
            $type: "color",
            $value: "#000000ab",
            $description: "For readonly filled pill text",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.generic.content.firm}",
              $description: "For readonly filled pill text",
            },
            name: "modesColorStatusInactiveWithDefault",
            attributes: {},
            path: ["modes", "color", "status", "inactive", "withDefault"],
          },
          inverse: {
            default: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.32",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#4b4b4b",
              $description: "For readonly pill bg and border",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.32",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.black}",
                $description: "For readonly pill bg and border",
              },
              name: "modesColorStatusInactiveInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "inactive",
                "inverse",
                "default",
              ],
            },
            withDefault: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "alpha",
                    value: "0.67",
                    space: "lch",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ffffffab",
              $description: "For readonly filled pill text",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "alpha",
                      value: "0.67",
                      space: "lch",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.white}",
                $description: "For readonly filled pill text",
              },
              name: "modesColorStatusInactiveInverseWithDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "inactive",
                "inverse",
                "withDefault",
              ],
            },
          },
        },
        info: {
          default: {
            $type: "color",
            $value: "#0060A7",
            $description:
              "For pills and messages. Not accessible with white TEXT.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.blue}",
              $description:
                "For pills and messages. Not accessible with white TEXT.",
            },
            name: "modesColorStatusInfoDefault",
            attributes: {},
            path: ["modes", "color", "status", "info", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.9",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#eaeef6",
            $description: "Subtle message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.blue}",
              $description: "Subtle message bg",
            },
            name: "modesColorStatusInfoDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "info", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#10518c",
            $description: "used on pill hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.info.default}",
              $description: "used on pill hover states",
            },
            name: "modesColorStatusInfoHover",
            attributes: {},
            path: ["modes", "color", "status", "info", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#0060A7",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#cdd7ea",
            $description: "used on pill hover states and message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.status.info.default}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.info.defaultAlt}",
              $description: "used on pill hover states and message bg",
            },
            name: "modesColorStatusInfoHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "info", "hoverAlt"],
          },
          frozenglobal: {
            default: {
              $type: "color",
              $value: "#65a9ff",
              $description: "used on global message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "#65a9ff",
                $description: "used on global message bg",
              },
              name: "modesColorStatusInfoFrozenglobalDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "info",
                "frozenglobal",
                "default",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#82b5ff",
              $description: "used on global message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.info.frozenglobal.default}",
                $description: "used on global message bg",
              },
              name: "modesColorStatusInfoFrozenglobalHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "info",
                "frozenglobal",
                "hover",
              ],
            },
          },
          inverse: {
            default: {
              $type: "color",
              $value: "#007ED9",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.azure}",
              },
              name: "modesColorStatusInfoInverseDefault",
              attributes: {},
              path: ["modes", "color", "status", "info", "inverse", "default"],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.85",
                    space: "lch",
                    color: "#000000 ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#111722",
              $description: "Subtle message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.85",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.azure}",
                $description: "Subtle message bg",
              },
              name: "modesColorStatusInfoInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "info",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#4f90df",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.info.inverse.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusInfoInverseHover",
              attributes: {},
              path: ["modes", "color", "status", "info", "inverse", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#007ED9",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#17253a",
              $description: "used on pill hover states and message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.info.inverse.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.info.inverse.defaultAlt}",
                $description: "used on pill hover states and message bg",
              },
              name: "modesColorStatusInfoInverseHoverAlt",
              attributes: {},
              path: ["modes", "color", "status", "info", "inverse", "hoverAlt"],
            },
          },
        },
        negative: {
          default: {
            $type: "color",
            $value: "#CD384B",
            $description:
              "For pills and messages. Not accessible with white TEXT.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.red}",
              $description:
                "For pills and messages. Not accessible with white TEXT.",
            },
            name: "modesColorStatusNegativeDefault",
            attributes: {},
            path: ["modes", "color", "status", "negative", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.9",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#fdeceb",
            $description: "Subtle message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.red}",
              $description: "Subtle message bg",
            },
            name: "modesColorStatusNegativeDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "negative", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#ac3240",
            $description: "used on pill hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.negative.default}",
              $description: "used on pill hover states",
            },
            name: "modesColorStatusNegativeHover",
            attributes: {},
            path: ["modes", "color", "status", "negative", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#CD384B",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#f9d3d1",
            $description: "used on pill hover states and message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.status.negative.default}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.negative.defaultAlt}",
              $description: "used on pill hover states and message bg",
            },
            name: "modesColorStatusNegativeHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "negative", "hoverAlt"],
          },
          text: {
            $type: "color",
            $value: "#CD384B",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.red}",
            },
            name: "modesColorStatusNegativeText",
            attributes: {},
            path: ["modes", "color", "status", "negative", "text"],
          },
          inverse: {
            default: {
              $type: "color",
              $value: "#E13E53",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.blush}",
              },
              name: "modesColorStatusNegativeInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "negative",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.85",
                    space: "lch",
                    color: "#000000 ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#241212",
              $description: "Subtle message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.85",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore} ",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.blush}",
                $description: "Subtle message bg",
              },
              name: "modesColorStatusNegativeInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "negative",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#ea626a",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.negative.inverse.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusNegativeInverseHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "negative",
                "inverse",
                "hover",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#E13E53",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#3d1a1c",
              $description: "used on pill hover states and message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.negative.inverse.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.negative.inverse.defaultAlt}",
                $description: "used on pill hover states and message bg",
              },
              name: "modesColorStatusNegativeInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "negative",
                "inverse",
                "hoverAlt",
              ],
            },
            text: {
              $type: "color",
              $value: "#E13E53",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.blush}",
              },
              name: "modesColorStatusNegativeInverseText",
              attributes: {},
              path: ["modes", "color", "status", "negative", "inverse", "text"],
            },
          },
        },
        neutral: {
          default: {
            $type: "color",
            $value: "#656565",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.storm}",
            },
            name: "modesColorStatusNeutralDefault",
            attributes: {},
            path: ["modes", "color", "status", "neutral", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.9",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#efefef",
            $description: "Subtle message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.storm}",
              $description: "Subtle message bg",
            },
            name: "modesColorStatusNeutralDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "neutral", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#565656",
            $description: "used on pill hover states",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.neutral.default}",
              $description: "used on pill hover states",
            },
            name: "modesColorStatusNeutralHover",
            attributes: {},
            path: ["modes", "color", "status", "neutral", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#656565",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#d9d9d9",
            $description: "used on pill hover states and message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.status.neutral.default}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.neutral.defaultAlt}",
              $description: "used on pill hover states and message bg",
            },
            name: "modesColorStatusNeutralHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "neutral", "hoverAlt"],
          },
          frozen: {
            default: {
              $type: "color",
              $value: "#335B70",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.navy}",
              },
              name: "modesColorStatusNeutralFrozenDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "neutral",
                "frozen",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "#FFFFFF",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#eaedf0",
              $description: "Subtle message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.9",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.navy}",
                $description: "Subtle message bg",
              },
              name: "modesColorStatusNeutralFrozenDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "neutral",
                "frozen",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.47",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#20313b",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.47",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.navy}",
              },
              name: "modesColorStatusNeutralFrozenHover",
              attributes: {},
              path: ["modes", "color", "status", "neutral", "frozen", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.05",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#dde0e2",
              $description: "used on pill hover states and message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.05",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.neutral.frozen.defaultAlt}",
                $description: "used on pill hover states and message bg",
              },
              name: "modesColorStatusNeutralFrozenHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "neutral",
                "frozen",
                "hoverAlt",
              ],
            },
          },
          inverse: {
            default: {
              $type: "color",
              $value: "#7C7C7C",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.smoke}",
              },
              name: "modesColorStatusNeutralInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "neutral",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.85",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#171717",
              $description: "Subtle message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.85",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.smoke}",
                $description: "Subtle message bg",
              },
              name: "modesColorStatusNeutralInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "neutral",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#8e8e8e",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.neutral.inverse.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusNeutralInverseHover",
              attributes: {},
              path: ["modes", "color", "status", "neutral", "inverse", "hover"],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#7C7C7C",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#242424",
              $description: "used on pill hover states and message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.neutral.inverse.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.neutral.inverse.defaultAlt}",
                $description: "used on pill hover states and message bg",
              },
              name: "modesColorStatusNeutralInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "neutral",
                "inverse",
                "hoverAlt",
              ],
            },
          },
        },
        positive: {
          default: {
            $type: "color",
            $value: "#00811F",
            $description:
              "For pills and messages. Not accessible with white TEXT.",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{primitives.colors.emerald}",
              $description:
                "For pills and messages. Not accessible with white TEXT.",
            },
            name: "modesColorStatusPositiveDefault",
            attributes: {},
            path: ["modes", "color", "status", "positive", "default"],
          },
          defaultAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.9",
                  space: "lch",
                  color: "#FFFFFF",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#e9f2e8",
            $description: "Subtle message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.9",
                    space: "lch",
                    color: "{modes.color.modifier.contrastLess}",
                  },
                },
              },
              $type: "color",
              $value: "{primitives.colors.emerald}",
              $description: "Subtle message bg",
            },
            name: "modesColorStatusPositiveDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "positive", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0e6d1d",
            $description: "used on pill hover states ",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.positive.default}",
              $description: "used on pill hover states ",
            },
            name: "modesColorStatusPositiveHover",
            attributes: {},
            path: ["modes", "color", "status", "positive", "hover"],
          },
          hoverAlt: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#00811F",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#cbe1c9",
            $description: "used on pill hover states and message bg",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.status.positive.default}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.status.positive.defaultAlt}",
              $description: "used on pill hover states and message bg",
            },
            name: "modesColorStatusPositiveHoverAlt",
            attributes: {},
            path: ["modes", "color", "status", "positive", "hoverAlt"],
          },
          inverse: {
            default: {
              $type: "color",
              $value: "#009023",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{primitives.colors.verdant}",
              },
              name: "modesColorStatusPositiveInverseDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "positive",
                "inverse",
                "default",
              ],
            },
            defaultAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.85",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0e1a0b",
              $description: "Subtle message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "0.85",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{primitives.colors.verdant}",
                $description: "Subtle message bg",
              },
              name: "modesColorStatusPositiveInverseDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "positive",
                "inverse",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.10",
                    space: "lch",
                    color: "#FFFFFF ",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#328e37",
              $description: "used on pill hover states",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hoverAlt}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastLess} ",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.positive.default}",
                $description: "used on pill hover states",
              },
              name: "modesColorStatusPositiveInverseHover",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "positive",
                "inverse",
                "hover",
              ],
            },
            hoverAlt: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#009023",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#132912",
              $description: "used on pill hover states and message bg",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.status.positive.inverse.default}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.status.positive.inverse.defaultAlt}",
                $description: "used on pill hover states and message bg",
              },
              name: "modesColorStatusPositiveInverseHoverAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "positive",
                "inverse",
                "hoverAlt",
              ],
            },
          },
        },
        reviews: {
          default: {
            $type: "color",
            $value: "#00811F",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value: "{modes.color.custom.default}",
            },
            name: "modesColorStatusReviewsDefault",
            attributes: {},
            path: ["modes", "color", "status", "reviews", "default"],
          },
          defaultAlt: {
            $type: "color",
            $value:
              "linear-gradient(90deg, #00811F 0%, #00811F 50%, #d1d1d1 50%, #d1d1d1 100%)",
            $description: "half fill",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $type: "color",
              $value:
                "linear-gradient(90deg, {modes.color.custom.default} 0%, {modes.color.custom.default} 50%, {modes.color.generic.bg.moderate} 50%, {modes.color.generic.bg.moderate} 100%)",
              $description: "half fill",
            },
            name: "modesColorStatusReviewsDefaultAlt",
            attributes: {},
            path: ["modes", "color", "status", "reviews", "defaultAlt"],
          },
          hover: {
            $extensions: {
              "studio.tokens": {
                modify: {
                  type: "mix",
                  value: "0.15",
                  space: "lch",
                  color: "#000000",
                  format: "hex",
                },
              },
            },
            $type: "color",
            $value: "#0e6d1d",
            filePath: "data/tokens/modes/light.json",
            isSource: true,
            original: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "{primitives.color.modifiers.button.hover}",
                    space: "lch",
                    color: "{modes.color.modifier.contrastMore}",
                  },
                },
              },
              $type: "color",
              $value: "{modes.color.custom.default}",
            },
            name: "modesColorStatusReviewsHover",
            attributes: {},
            path: ["modes", "color", "status", "reviews", "hover"],
          },
          frozen: {
            default: {
              $type: "color",
              $value: "#008046",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value: "{modes.color.custom.frozen}",
              },
              name: "modesColorStatusReviewsFrozenDefault",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "reviews",
                "frozen",
                "default",
              ],
            },
            defaultAlt: {
              $type: "color",
              $value:
                "linear-gradient(90deg, #008046 0%, #008046 50%, #d1d1d1 50%, #d1d1d1 100%)",
              $description: "half fill",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $type: "color",
                $value:
                  "linear-gradient(90deg, {modes.color.custom.frozen} 0%, {modes.color.custom.frozen} 50%, {modes.color.generic.bg.moderate} 50%, {modes.color.generic.bg.moderate} 100%)",
                $description: "half fill",
              },
              name: "modesColorStatusReviewsFrozenDefaultAlt",
              attributes: {},
              path: [
                "modes",
                "color",
                "status",
                "reviews",
                "frozen",
                "defaultAlt",
              ],
            },
            hover: {
              $extensions: {
                "studio.tokens": {
                  modify: {
                    type: "mix",
                    value: "0.15",
                    space: "lch",
                    color: "#000000",
                    format: "hex",
                  },
                },
              },
              $type: "color",
              $value: "#0d6c3c",
              filePath: "data/tokens/modes/light.json",
              isSource: true,
              original: {
                $extensions: {
                  "studio.tokens": {
                    modify: {
                      type: "mix",
                      value: "{primitives.color.modifiers.button.hover}",
                      space: "lch",
                      color: "{modes.color.modifier.contrastMore}",
                    },
                  },
                },
                $type: "color",
                $value: "{modes.color.custom.frozen}",
              },
              name: "modesColorStatusReviewsFrozenHover",
              attributes: {},
              path: ["modes", "color", "status", "reviews", "frozen", "hover"],
            },
          },
        },
      },
      modifier: {
        contrastLess: {
          $type: "color",
          $value: "#FFFFFF",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.white}",
          },
          name: "modesColorModifierContrastLess",
          attributes: {},
          path: ["modes", "color", "modifier", "contrastLess"],
        },
        contrastMore: {
          $type: "color",
          $value: "#000000",
          filePath: "data/tokens/modes/light.json",
          isSource: true,
          original: {
            $type: "color",
            $value: "{primitives.colors.black}",
          },
          name: "modesColorModifierContrastMore",
          attributes: {},
          path: ["modes", "color", "modifier", "contrastMore"],
        },
      },
    },
  },
};
